<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <?php include "meta-title.php";?>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />

    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />

    <link rel="stylesheet" href="assets/css/vendor.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->

      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row">
              <div class="col-sm-12">
                <h3 class="page-title">Add EquService</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Add EquService</li>
                </ul>
              </div>
            </div>
          </div>
          <!-- /Page Header -->

          <div class="row">
            <div class="col-sm-12">
              <form method="POST" action="" id="addForm">
                <div class="row mb-4 service-group">
                  <div class="col-md-6">
                    <label class="form-label">Services</label>
                    <select class="form-control" id="service_id"></select>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-5">
                    <label class="form-label">Equipments</label>
                    <select
                      name="from"
                      id="undo_redo"
                      class="form-control"
                      size="13"
                      multiple="multiple"
                    ></select>
                  </div>
                  <div class="col-md-2">
                    <div class="row text-center">
                      <label class="form-label">&nbsp;</label><br />
                      <button
                        type="button"
                        id="undo_redo_undo"
                        class="btn btn-primary btn-block w-100 mb-2"
                      >
                        undo</button
                      ><br />
                      <button
                        type="button"
                        id="undo_redo_rightAll"
                        class="btn btn-outline-primary btn-block w-100 mb-2"
                      >
                        <i class="ti-angle-double-right"></i></button
                      ><br />
                      <button
                        type="button"
                        id="undo_redo_rightSelected"
                        class="btn btn-outline-primary btn-block w-100 mb-2"
                      >
                        <i class="ti-angle-right"></i></button
                      ><br />
                      <button
                        type="button"
                        id="undo_redo_leftSelected"
                        class="btn btn-outline-primary btn-block w-100 mb-2"
                      >
                        <i class="ti-angle-left"></i></button
                      ><br />
                      <button
                        type="button"
                        id="undo_redo_leftAll"
                        class="btn btn-outline-primary btn-block w-100 mb-2"
                      >
                        <i class="ti-angle-double-left"></i></button
                      ><br />
                      <button
                        type="button"
                        id="undo_redo_redo"
                        class="btn btn-warning btn-block w-100 mb-2"
                      >
                        redo
                      </button>
                    </div>
                  </div>
                  <div class="col-md-5">
                    <label class="form-label">Equipments</label>
                    <select
                      name="to"
                      id="undo_redo_to"
                      class="form-control"
                      size="13"
                      multiple="multiple"
                    ></select>
                  </div>
                </div>
                <div class="submit-section">
                  <button class="btn btn-primary submit-btn m-r-10">
                    Submit
                  </button>
                </div>
              </form>
            </div>
          </div>
        </div>
        <!-- /Page Content -->
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->

    <!-- Add Client Modal -->

    <!-- /Add Client Modal -->

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>

    <!-- Select2 JS -->
    <script src="assets/js/select2.min.js"></script>

    <!-- Datetimepicker JS -->
    <script src="assets/js/moment.min.js"></script>
    <script src="assets/js/bootstrap-datetimepicker.min.js"></script>

    <!-- Datatable JS -->
    <script src="assets/js/jquery.dataTables.min.js"></script>
    <script src="assets/js/dataTables.bootstrap4.min.js"></script>

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>
    <script src="https://netdna.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
    <script src="plugins/multiselect/multiselect.js"></script>
    <script type="text/javascript">
      $(document).ready(function () {
        var prefillData = "";
        $("#undo_redo").multiselect();

        getEquip();
        getServices();

        $("#addForm").submit((e) => {
          e.preventDefault();
          addEquip();
        });

        function getUserServices(id) {
          $.ajax({
            type: "GET",
            url: `https://efflo.xyz/App/api.php?gofor=userequiplist&user_id=${sessionStorage.getItem("user_id")}`,
            success: function (data) {				
              prefillData = data.filter(v => v.service_id === id);
              if(prefillData) {
                $('#service_id').val(prefillData[0].service_id);

                var equipList = prefillData[0].equipments.split(',');
                var equipNames = prefillData[0].equip_names.split(',');
                var mapEquip = equipList.map((v,i) => 
                  ({
                    equipment_id: v,
                    equip_names: equipNames[i]
                  }
                ))				
                var $dropdown = $("#undo_redo_to");
                $.each(mapEquip, function () {
                  $dropdown.append(
                    "<option selected value='" +
                      this.equipment_id +
                      "'>" +
                      this.equip_names +
                      "</option>"
                  );

                  $(`#undo_redo option[value=${this.equipment_id}]`).remove();
                });
              }
            },
            error: function (e) {
              console.log(e);
            },
          });
        }
        function getEquip() {
          $.ajax({
            type: "GET",
            url: `https://efflo.xyz/App/api.php?gofor=equipmentslist&user_id=${sessionStorage.getItem("user_id")}`,
            success: function (data) {
              var $dropdown = $("#undo_redo");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.equipment_id  +
                    "'>" +
                    this.name +
                    "</option>"
                );
              });
            },
            error: function (e) {
              console.log(e);
            },
          });
        }

        function getServices() {
          $.ajax({
            type: "GET",
            url: `https://efflo.xyz/App/api.php?gofor=serviceslist&user_id=${sessionStorage.getItem("user_id")}`,
            success: function (data) {
              var $dropdown = $("#service_id");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.service_id +
                    "'>" +
                    this.service_name +
                    "</option>"
                );
              });

              var id = window.location.href.split('id=')[1]
              if(id) {
                $('.service-group').hide();
                getUserServices(id)
              }
            },
            error: function (e) {
              console.log(e);
            },
          });
        }

        function addEquip() {
          var selectElement = $("#undo_redo_to");
          var optionValues = [...selectElement[0].options].map((o) => o.value);

          var id = window.location.href.split('id=')[1]

          let postData = {
            gofor: id ? "editserveequip" : "addserveequip",
            service_id: $("#service_id").val(),
            user_id: sessionStorage.getItem("user_id"),
            equipments: optionValues.toString(),
            status: "1",
          };

          if(id) {
            postData['se_id'] = prefillData[0]['se_id']
          }
          $.ajax({
            type: "POST",
            url: "https://efflo.xyz/App/api.php",
            contentType: "application/json",
            cache: false,
            data: JSON.stringify(postData),
            success: function (data) {
              console.log(data);
              //window.location.reload();
			  window.location.href='./eqserv.php'
            },
            error: function (e) {
              console.log(e);
            },
          });
        }
      });
    </script>
	<?php include "common-script.php";?>
  </body>
</html>
