<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
        <?php include "meta-title.php";?>
		
		<!-- Favicon -->
        <link rel="shortcut icon" type="image/x-icon" href="assets/img/favicon.png">
		
		<!-- Bootstrap CSS -->
        <link rel="stylesheet" href="assets/css/bootstrap.min.css">
		
		<!-- Fontawesome CSS -->
        <link rel="stylesheet" href="assets/css/font-awesome.min.css">
		
		<!-- Lineawesome CSS -->
        <link rel="stylesheet" href="assets/css/line-awesome.min.css">
		
		<!-- Select2 CSS -->
		<link rel="stylesheet" href="assets/css/select2.min.css">
		
		<!-- Datetimepicker CSS -->
		<link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css">
		
		<!-- Main CSS -->
        <link rel="stylesheet" href="assets/css/style.css">
		
		<link rel="stylesheet" href="assets/css/vendor.css">
		
		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!--[if lt IE 9]>
			<script src="assets/js/html5shiv.min.js"></script>
			<script src="assets/js/respond.min.js"></script>
		<![endif]-->
    </head>
    <body>
		<!-- Main Wrapper -->
        <div class="main-wrapper">
		
			<!-- Header -->
            <?php include "header.php";?>
			<!-- /Header -->
			
			<!-- Sidebar -->
            <?php include "sidebar.php";?>
			<!-- /Sidebar -->
			
			<!-- Page Wrapper -->
            <div class="page-wrapper">
			
				<!-- Page Content -->
                <div class="content container-fluid">
				
					<!-- Page Header -->
					<div class="page-header">
						<div class="row align-items-center">
							<div class="col">
								<h3 class="page-title">Customers</h3>
								<ul class="breadcrumb">
									<li class="breadcrumb-item"><a href="dashboard.php">Dashboard</a></li>
									<li class="breadcrumb-item active">Customers</li>
								</ul>
							</div>
							<div class="col-auto float-right ml-auto">
								<div class="circle-btn">
									<a href="#" data-toggle="modal" data-target="#add_client"><div class="circle-container"><div class="circle-div">+</div></div></a>
								</div>
							</div>
						</div>
					</div>
					<!-- /Page Header -->
					
					<div class="card mb-0">
						<div class="card-body">
							<div class="row">
								<div class="col-md-12">
									<div class="profile-view">
										<div class="profile-img-wrap">
											<div class="profile-img">
												<a href="#"><img alt="" src="assets/img/profiles/avatar-02.jpg"></a>
											</div>
										</div>
										<div class="profile-basic">
											<div class="row">
												<div class="col-md-5">
													<div class="profile-info-left">
														<h3 class="user-name m-t-0 mb-0">Arunraj</h3>
														<h6 class="text-muted"></h6>
														<small class="text-muted">Chennai</small>
														<div class="staff-id">9874563210</div>
														<div class="small doj text-muted"> arunrajsp12@gmail.com</div>
														<div class="staff-msg"><a class="btn btn-custom" href="#">Call</a></div>
													</div>
												</div>
												<div class="col-md-7">
													<ul class="personal-info">
														<li>
															<div class="title">Source:</div>
															<div class="text">Google</div>
														</li>
														<li>
															<div class="title">Total Events:</div>
															<div class="text">4</div>
														</li>
														<li>
															<div class="title">Payment</div>
															<div class="text">240000</div>
														</li>
														<li>
															<div class="title">Pay Due</div>
															<div class="text">40000</div>
														</li>
														<li>
															<div class="title">Referral</div>
															<div class="text">2</div>
														</li>
														<li>
															<div class="title">Feedbacks</div>
															<div class="text">Good</div>
														</li>
														
													</ul>
												</div>
											</div>
										</div>
										<div class="pro-edit"><a data-target="#profile_info" data-toggle="modal" class="edit-icon" href="#"><i class="fa fa-pencil"></i></a></div>
									</div>
								</div>
							</div>
						</div>
					</div>
					
					<div class="card tab-box">
						<div class="row user-tabs">
							<div class="col-lg-12 col-md-12 col-sm-12 line-tabs">
								<ul class="nav nav-tabs nav-tabs-bottom">
										<li class="nav-item"><a href="#client_orders" data-toggle="tab" class="nav-link ">Orders</a></li>
										<li class="nav-item"><a href="#client_estimates" data-toggle="tab" class="nav-link active">Estimates</a></li>
										<li class="nav-item"><a href="#client_payments" data-toggle="tab" class="nav-link">Payments</a></li>
								    	<li class="nav-item"><a href="#client_referrals" data-toggle="tab" class="nav-link">Referrals </a></li>
								    	<li class="nav-item"><a href="#client_feedbacks" data-toggle="tab" class="nav-link">Feedbacks </a></li>
								</ul>
							</div>
						</div>
					</div>
					
					<div class="tab-content">
					
						<!-- Bank Statutory Tab -->
						<div class="tab-pane fade" id="client_orders">
							<div class="card">
								<div class="card-body">
									<div class="col-md-12">
										<div class="table-responsive">
											<table class="table table-striped custom-table mb-0">
												<thead>
													<tr>
														<tr>
                                                  <th>OrdersId</th>
                                                  <th>Estimate ID</th>
                                                  <th>Event Name</th>
                                                  <th>Event Type</th>
                                                  <th>Event Date</th>
                                                  <th>Amount</th>
                                                  
                                                  <th class="text-right">Status</th>
                    
														
													</tr>
												</thead>
												<tbody>
													<tr>
														<td>
															<strong>ORD 004</strong>
														</td>
														<td>EST 034</td>
														<td>Arun Weds Fazeela</td>
														
														<td>Wedding</td>
														<td>14 Feb 2024</td>
														<td>340000</td>
														<td class="text-center">
															<div class="dropdown action-label">
																<a class="btn btn-white btn-sm btn-rounded dropdown-toggle" href="#" data-toggle="dropdown" aria-expanded="false">
																	<i class="fa fa-dot-circle-o text-danger"></i> Yet to Shoot
																</a>
																<div class="dropdown-menu dropdown-menu-right">
																	<a class="dropdown-item" href="#"><i class="fa fa-dot-circle-o text-danger"></i> Pending</a>
																	<a class="dropdown-item" href="#"><i class="fa fa-dot-circle-o text-success"></i> Approved</a>
																</div>
															</div>
														</td>
														
													</tr>
												</tbody>
											</table>
										</div>
									</div>
									
								</div>
							</div>
						</div>
						<!-- /Bank Statutory Tab -->
						
						<!-- Bank Statutory Tab -->
						<div class="tab-pane fade" id="client_estimates">
							<div class="card">
								<div class="card-body">
									<div class="col-md-12">
										<div class="table-responsive">
											<table class="table table-striped custom-table mb-0">
												<thead>
													<tr>
														<th>Estimate Number</th>
            											<th>Name</th>
            											<th>Sub Category</th>
            											<th>Shoot Type</th>
            											<th>Event Date</th>
            											<th>Status</th>
            										
														
													</tr>
												</thead>
												<tbody>
													<tr>
														<td>
															<strong>EST 013</strong>
														</td>
														<td>Arunraj</td>
														<td>Wedding</td>
														
														<td>Full Wedding</td>
														<td>14 Feb 2024</td>
														<td class="text-center">
															<div class="dropdown action-label">
																<a class="btn btn-white btn-sm btn-rounded dropdown-toggle" href="#" data-toggle="dropdown" aria-expanded="false">
																	<i class="fa fa-dot-circle-o text-danger"></i> Confirmed
																</a>
																<div class="dropdown-menu dropdown-menu-right">
																	<a class="dropdown-item" href="#"><i class="fa fa-dot-circle-o text-danger"></i> Pending</a>
																	<a class="dropdown-item" href="#"><i class="fa fa-dot-circle-o text-success"></i> Approved</a>
																</div>
															</div>
														</td>
														
													</tr>
												</tbody>
											</table>
										</div>
									</div>
									
								</div>
							</div>
						</div>
						<!-- /Bank Statutory Tab -->
						
						<!-- Bank Statutory Tab -->
						<div class="tab-pane fade" id="client_payments">
							<div class="card">
								<div class="card-body">
									<div class="col-md-12">
										<div class="table-responsive">
											<table class="table table-striped custom-table mb-0">
												<thead>
													<tr>
														<th>Invoice ID</th>
                                                          <th>Order</th>
                                                          <th>Name</th>
                                                          <th>Payment Type</th>
                                                          <th>Paid Date</th>
                                                          <th>Paid Amount</th>
                                                          <th>Status</th>
														
													</tr>
												</thead>
												<tbody>
													<tr>
														<td>
															<strong>INV 100</strong>
														</td>
														<td>ORD 004</td>
														<td>Arunraj</td>
														<td>Cash</td>
														
														<td>40000</td>
														<td>19 Nov 2023</td>
														<td class="text-center">
															<div class="dropdown action-label">
																<a class="btn btn-white btn-sm btn-rounded dropdown-toggle" href="#" data-toggle="dropdown" aria-expanded="false">
																	<i class="fa fa-dot-circle-o text-success"></i> Paid
																</a>
																<div class="dropdown-menu dropdown-menu-right">
																	<a class="dropdown-item" href="#"><i class="fa fa-dot-circle-o text-danger"></i> Pending</a>
																	<a class="dropdown-item" href="#"><i class="fa fa-dot-circle-o text-success"></i> Approved</a>
																</div>
															</div>
														</td>
														
													</tr>
												</tbody>
											</table>
										</div>
									</div>
									
								</div>
							</div>
						</div>
						<!-- /Bank Statutory Tab -->
						
						<!-- Bank Statutory Tab -->
						<div class="tab-pane fade" id="client_referrals">
							<div class="card">
								<div class="card-body">
									<div class="col-md-12">
										<div class="table-responsive">
											<table class="table table-striped custom-table mb-0">
												<thead>
													<tr>
														<th>#</th>
                                                          <th>Name</th>
                                                          <th>Mobile</th>
                                                          <th>Event Type</th>
                                                          <th>Event Date</th>
                                                          <th>Status</th>
                                                          <th>Next Followup</th>
														
													</tr>
												</thead>
												<tbody>
													<tr>
														<td>
															<strong>LD 150</strong>
														</td>
														<td>Santhosh</td>
														<td>9240400342</td>
														<td>Wedding</td>
														<td>31 Mar 2024</td>
														<td>Discussions</td>
														<td>25 Nov 2023</td>
													</tr>
													
													<tr>
														<td>
															<strong>LD 198</strong>
														</td>
														<td>Hema</td>
														<td>8994420043</td>
														<td>Wedding</td>
														<td>06 May 2024</td>
														<td>Converted</td>
														<td>NA</td>
													</tr>
												</tbody>
											</table>
										</div>
									</div>
									
								</div>
							</div>
						</div>
						<!-- /Bank Statutory Tab -->
						
						<!-- Bank Statutory Tab -->
						<div class="tab-pane fade" id="client_feedbacks">
							<div class="card">
								<div class="card-body">
									<div class="col-md-12">
										<div class="table-responsive">
											<table class="table table-striped custom-table mb-0">
												<thead>
													<tr>
														<th>ID</th>
                                                          <th>Name</th>
                                                          <th>Type</th>
                                                          <th>Title</th>
                                                          <th>Details</th>
                                                          <th>Order</th>
                                                          <th>Solution</th>
														
													</tr>
												</thead>
												<tbody>
													<tr>
														<td>
															<strong>FB 3</strong>
														</td>
														<td>Karthick</td>
														<td>Compliment</td>
														<td>Early Album Completion</td>
														<td>ORD 004</td>
														<td>2000 Incentive</td>
														
														
													</tr>
												</tbody>
											</table>
										</div>
									</div>
									
								</div>
							</div>
						</div>
						<!-- /Bank Statutory Tab -->
						
					</div>
                </div>
				<!-- /Page Content -->
				
				<!-- Profile Modal -->
				
				<!-- /Profile Modal -->
				
				<!-- Personal Info Modal -->
				
				<!-- /Personal Info Modal -->
				
				<!-- Family Info Modal -->
				
				<!-- /Family Info Modal -->
				
				<!-- Emergency Contact Modal -->
				
				<!-- /Emergency Contact Modal -->
				
				<!-- Education Modal -->
				
				<!-- /Education Modal -->
				
				<!-- Experience Modal -->
				
				<!-- /Experience Modal -->
				
            </div>
			<!-- /Page Wrapper -->

        </div>
		<!-- /Main Wrapper -->
		
		
		
		<!-- jQuery -->
        <script src="assets/js/jquery-3.5.1.min.js"></script>
		
		<!-- Bootstrap Core JS -->
        <script src="assets/js/popper.min.js"></script>
        <script src="assets/js/bootstrap.min.js"></script>
		
		<!-- Slimscroll JS -->
		<script src="assets/js/jquery.slimscroll.min.js"></script>
		
		<!-- Slimscroll JS -->
		<script src="assets/js/select2.min.js"></script>
		
		<!-- Datetimepicker JS -->
		<script src="assets/js/moment.min.js"></script>
		<script src="assets/js/bootstrap-datetimepicker.min.js"></script>
		
		<!-- Custom JS -->
		<script src="assets/js/app.js"></script>
		<?php include "common-script.php";?>
    </body>
</html>