<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <?php include "meta-title.php";?>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />

    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />

    <link rel="stylesheet" href="assets/css/vendor.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <!--<link href="https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/css/select2.min.css" rel="stylesheet" />-->
    <script src="https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/js/select2.min.js"></script>

    <script src="plugins/datetimepicker/moment.min.js"></script>

    <script src="plugins/datetimepicker/bootstrap-datetimepicker.min.js"></script>

    <link
      rel="stylesheet"
      href="plugins/datetimepicker/bootstrap-datetimepicker.min.css"
    />
    <link
      href="plugins/datetimepicker/bootstrap-glyphicons.css"
      rel="stylesheet"
    />
    <style>
      .bootstrap-datetimepicker-widget.dropdown-menu {
        width: auto;
      }

      .timepicker-picker table td a span,
      .timepicker-picker table td,
      .timepicker-picker table td span {
        height: 20px !important;
        line-height: 20px !important;
        vertical-align: middle;
        width: 30px !important;
        padding: 0px !important;
      }
    </style>
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->

      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row">
              <div class="col-sm-12">
                <h3 class="page-title">Create Estimate</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Create Estimate</li>
                </ul>
              </div>
            </div>
          </div>
          <!-- /Page Header -->

          <div class="row">
            <div class="col-sm-12">
              <form method="POST" id="addForm">
                <div class="row text-right justify-content-end">
                  <div class="col-sm-6 col-md-4">
                    <div class="form-group">
                      <label
                        >Estimate Number
                        <span class="text-danger">*</span></label
                      >
                      <input
                        class="form-control"
                        type="text"
                        readonly
                        id="estid"
                      />
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-6 col-md-4">
                    <div class="form-group">
                      <label
                        >Select Type <span class="text-danger">*</span></label
                      >
                      <select id="type" name="type" class="form-control">
                        <option value="lead">Lead</option>
                        <option value="customer">Customer</option>
                      </select>
                    </div>
                  </div>
                  <div class="col-sm-6 col-md-4">
                    <div class="form-group" id="leadGroup">
                      <label class="text-capitalize"
                        >Lead<span class="text-danger">*</span></label
                      >
                      <select
                        id="lead"
                        name="lead"
                        class="form-control operator select-first"
                      >
                        <option value="">Please Select</option>
                      </select>
                      <span class="error-message" id="leadErr"></span>
                    </div>
                    <div class="form-group" id="customerGroup">
                      <label class="text-capitalize"
                        >Customer<span class="text-danger">*</span></label
                      >
                      <select
                        id="customer"
                        name="customer"
                        class="form-control operator select-first"
                      >
                        <option value="">Please Select</option>
                      </select>
                      <span class="error-message" id="customerErr"></span>
                    </div>
                  </div>
                  <div class="col-sm-6 col-md-4 category_div" id="category_div">
                    <label class="col-form-label">Subcategory</label>
                    <select
                      class="form-control"
                      id="subcategory"
                      name="subcategory"
                    >
                      <option value="">Choose</option>
                    </select>
                    <span class="error-message" id="subcategoryErr"></span>
                  </div>
                  <div
                    class="col-sm-6 col-md-4 sub_category_div"
                    id="sub_category_div"
                  >
                    <label class="col-form-label">Type of Shoot</label>
                    <select
                      class="form-control"
                      id="shoot_type"
                      name="shoot_type"
                    >
                      <option value="">Choose</option>
                    </select>
                  </div>

                  <div class="col-sm-6 col-md-4">
                    <div class="form-group">
                      <label>Package <span class="text-danger">*</span></label>
                      <select class="select" id="package_id" name="package_id">
                        <option value="">Please Select</option>
                      </select>
                      <span class="error-message" id="package_idErr"></span>
                    </div>
                  </div>

                  <div class="col-sm-6 col-md-4 cinvoice_date">
                    <div class="form-group">
                      <label
                        >Date of Estimate
                        <span class="text-danger">*</span></label
                      >
                      <div class="cal-icon">
                        <input
                          class="form-control datetimepicker"
                          type="text"
                          id="date"
                          disabled
                        />
                      </div>
                    </div>
                  </div>
                  <div class="col-sm-6 col-md-4 cevent_date">
                    <div class="form-group">
                      <label
                        >Event Date <span class="text-danger">*</span></label
                      >
                      <div class="cal-icon">
                        <input
                          class="form-control datetimepicker"
                          type="text"
                          name="event_date"
                        />
                      </div>
                    </div>
                  </div>
                  <div class="col-sm-6 col-md-4 cvenue">
                    <div class="form-group">
                      <label
                        >Event Venue <span class="text-danger">*</span></label
                      >
                      <input
                        class="form-control"
                        type="text"
                        name="event_venue"
                      />
                    </div>
                  </div>
                  <div class="col-sm-6 col-md-4 ctime">
                    <div class="form-group">
                      <label
                        >Event Time <span class="text-danger">*</span></label
                      >
                      <!--
                      <input
                        class="form-control"
                        type="time"
                        name="event_time"
                      />
					  -->
                      <div class="input-group date" id="datetimepicker1">
                        <input
                          type="text"
                          name="event_time"
                          class="form-control"
                        />
                        <span class="input-group-addon">
                          <i
                            class="fa fa-clock-o"
                            style="
                              font-size: 20px;
                              color: #000;
                              position: absolute;
                              top: 20%;
                              right: 2%;
                              z-index: 99;
                            "
                          ></i>
                        </span>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-12 col-sm-12">
                    <div class="table-responsive">
                      <table id="baseRow" style="display: none">
                        <tbody>
                          <tr>
                            <td>
                              <select
                                id="col1"
                                class="form-control services"
                                style="min-width: 150px"
                              >
                                <option value="">Please Select</option>
                              </select>
                            </td>
                            <td>
                              <input
                                class="form-control"
                                type="text"
                                style="min-width: 150px"
                                id="col2"
                              />
                            </td>
                            <td>
                              <input
                                class="form-control amount"
                                style="width: 100px"
                                type="text"
                                id="col3"
                              />
                            </td>

                            <td style="padding-top: 20px">
                              <a
                                href="javascript:void(0)"
                                class="text-success font-18"
                                title="Add"
                                onclick="insRow()"
                                ><i class="fa fa-plus"></i></a
                              >&nbsp;&nbsp;<a
                                href="javascript:void(0)"
                                class="text-danger font-18"
                                title="Remove"
                                onclick="deleteRow(this)"
                                ><i class="fa fa-trash-o"></i
                              ></a>
                            </td>
                          </tr>
                        </tbody>
                      </table>
                      <table
                        id="GRNTable1"
                        class="table table-hover table-white"
                      >
                        <thead>
                          <tr>
                            <th class="col-md-5">Services</th>
                            <th class="col-md-5">Specifications</th>
                            <th>Amount</th>
                            <th></th>
                          </tr>
                        </thead>
                        <tbody></tbody>
                      </table>
                    </div>
                    <div class="table-responsive">
                      <table class="table table-hover table-white">
                        <tbody>
                          <tr>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td class="text-right">Total</td>
                            <td
                              style="
                                text-align: right;
                                padding-right: 30px;
                                width: 230px;
                              "
                            >
                              <input
                                class="form-control text-right"
                                readonly
                                type="text"
                                id="total"
                              />
                            </td>
                          </tr>
						  <!--
                          <tr>
                            <td colspan="5" class="text-right">Discount %</td>
                            <td
                              style="
                                text-align: right;
                                padding-right: 30px;
                                width: 230px;
                              "
                            >
                              <input
                                class="form-control discount text-right"
                                type="text"
                                id="discount"
                                value="0"
                              />
                            </td>
                          </tr>
						  -->
                          <tr>
                            <td colspan="5" class="text-right">
                              Discount (Rs.)
                            </td>
                            <td
                              style="
                                text-align: right;
                                padding-right: 30px;
                                width: 230px;
                              "
                            >
                              <input
                                class="form-control DiscAmt text-right"
                                type="text"
                                id="DiscAmt"
                                value="0"
                                
                              />
                            </td>
                          </tr>
                          <tr>
                            <td
                              colspan="5"
                              style="text-align: right; font-weight: bold"
                            >
                              Grand Total
                            </td>
                            <td
                              style="
                                text-align: right;
                                padding-right: 30px;
                                font-weight: bold;
                                font-size: 16px;
                                width: 230px;
                              "
                            >
                              <input
                                class="form-control text-right"
                                readonly
                                type="text"
                                id="grandtotal"
                              />
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
                <div class="submit-section">
                  <button class="btn btn-primary submit-btn">Submit</button>
                </div>
              </form>
            </div>
          </div>
        </div>
        <!-- /Page Content -->
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->

    <!-- Add Client Modal -->

    <!-- /Add Client Modal -->

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>

    <!-- Select2 JS -->
    <script src="assets/js/select2.min.js"></script>

    <!-- Datetimepicker JS -->
    <script src="assets/js/moment.min.js"></script>
    <script src="assets/js/bootstrap-datetimepicker.min.js"></script>

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>

    <!--
		<script>
			$(function() {
				$("#total_amount, #payment_due").on("keydown keyup", sum);
				function sum() {				
				$("#final_amount").val(Number($("#total_amount").val()) - Number($("#payment_due").val()));
				}
			});
		</script>
		-->

    <script>
      function deleteRow(row) {
        var x = document.getElementById("GRNTable1");
        var len = x.rows.length;
        var i = row.parentNode.parentNode.rowIndex;
        if (i == len - 1)
          if (i != 1) document.getElementById("GRNTable1").deleteRow(i);
          else alert("Must have one row");
        else alert("Delete last rows first");
      }
      function insRow(val) {
        var cloneRow = $("#baseRow tbody tr").clone();

        var removeExistingValues = servicesList;
        $(".services").each(function (index, selector) {
          var value = $(selector).val() || $(selector).text();

          const fIndex = servicesList.findIndex(
            (obj) => obj["service_id"] === value
          );
          // If the object is found, remove it from the array
          if (fIndex !== -1) {
            removeExistingValues.splice(fIndex, 1);
          }
        });

        console.log(removeExistingValues);

        cloneRow.find("#col1").empty();

        var $dropdown = cloneRow.find("#col1");
        $.each(removeExistingValues, function () {
          $dropdown.append(
            "<option value='" +
              this.service_id +
              "'>" +
              this.service_name +
              "</option>"
          );
        });

        if (val) {
          cloneRow.find(":input#col1").val(val?.service);
          cloneRow.find(":input#col2").val(val?.specifications);
          cloneRow.find(":input#col3").val(val?.amount);
        } else {
          cloneRow.find(":input").val("");
        }

        $("#GRNTable1 tbody").append(cloneRow);
      }
      $(document).ready(async function () {
        $("#customer").select2();
        $("#lead").select2();
        await getLeadsList();
        await getCustomersList();
        await getSubcategoryList();
        await getShootList();
        await getPackageList();
        await getServicesList();

        const currentDate = new Date();
        const formattedDate = `${currentDate.getFullYear()}/${String(
          currentDate.getDate()
        ).padStart(2, "0")}/${String(currentDate.getMonth() + 1).padStart(
          2,
          "0"
        )}`;
        $("#date").val(formattedDate);

        var leadOrCustomer = "lead";
        $("#leadGroup").show();
        $("#customerGroup").hide();
        $(document).on("change", "#type", function (val) {
          leadOrCustomer = val.target.value;
          if (val.target.value === "lead") {
            $("#leadGroup").show();
            $("#customerGroup").hide();
          } else {
            $("#customerGroup").show();
            $("#leadGroup").hide();
          }
        });

        const queryString = window.location.search;
        const urlParams = new URLSearchParams(queryString);
        const eid = urlParams.get("eid");
        if (eid) {
          getEstimate(eid);
        } else {
          getEstimateCount();
          $(document).on("change", "#package_id", (e) => {
            $("#GRNTable1 tbody tr").remove();
            const selectedPackage = e.target.value;
            const getPackageDetails = packageList.find(
              (p) => p.package_id === selectedPackage
            );
            getPackageDetails?.servicedetail.map((v) => {
              insRow(v);
            });
            calc_sum();
          });
        }

        function calc_sum() {
          var total = 0;
          var grandTotal = 0;
          var discount = 0;
		  var DiscAmt = 0;
          $("#GRNTable1 > tbody > tr").each(function () {
            var $row = $(this);
            total += Number($row.find("td").eq(2).find("input").val());
          });
          //discount = Number($("#discount").val());
		  DiscAmt = Number($("#DiscAmt").val());
          //var val = total - (total * discount) / 100;
		  var val = total - DiscAmt;
          $("#total").val(total);
          $("#grandtotal").val(val);
          //var discAmt = total - val;
          //$("#DiscAmt").val(discAmt);
        }

        $(document).on("change", ".amount", function () {
          calc_sum();
        });

        //$(document).on("change", ".discount", function (val) {
        //  calc_sum();
        //});
		
		$(document).on("change", ".DiscAmt", function (val) {
          calc_sum();
        });

        $("#addForm").submit(function (e) {
          e.preventDefault();

          // Validation form
          function printError(elemId, hintMsg) {
            document.getElementById(elemId).innerHTML = hintMsg;
          }

          // Defining error variables with a default value
          var leadErr = (customerErr = subcategoryErr = package_idErr = true);

          var checkedValue = $("select[name='type']").val();
          //alert(checkedValue);

          // Validate employee
          if (checkedValue == "lead" && $("select[name='lead']").val() == "") {
            printError("leadErr", "Please select your leads");
          } else {
            printError("leadErr", "");
            leadErr = false;
          }

          // Validate vendor
          if (
            checkedValue == "customer" &&
            $("select[name='customer']").val() == ""
          ) {
            printError("customerErr", "Please select your customer");
          } else {
            printError("customerErr", "");
            customerErr = false;
          }

          if ($("select[name='subcategory']").val() == "") {
            printError("subcategoryErr", "Please select subcategory");
          } else {
            printError("subcategoryErr", "");
            subcategoryErr = false;
          }

          if ($("select[name='package_id']").val() == "") {
            printError("package_idErr", "Please select package");
          } else {
            printError("package_idErr", "");
            package_idErr = false;
          }

          //Prevent the form from being submitted if there are any errors
          if (
            (leadErr || customerErr || subcategoryErr || package_idErr) == true
          ) {
            return false;
          }

          var postData = {
            user_id: sessionStorage.getItem("user_id"),
            subcategory: $('[name="subcategory"]').val(),
            shoot_type: $('[name="shoot_type"]').val(),
            package_id: $('[name="package_id"]').val(),
            discount: $("#DiscAmt").val(),
            final_amount: $("#grandtotal").val(),
            status: "1",
            estimate_details: [],
            event_date: $('[name="event_date"]').val(),
            event_venue: $('[name="event_venue"]').val(),
            event_time: $('[name="event_time"]').val(),
          };

          if (eid) {
            postData.gofor = "editestimates";
            postData.estimate_id = eid;
          } else {
            postData.gofor = "addestimates";
          }

          if (leadOrCustomer === "customer") {
            postData.customer_id = $("#customer").val();
          } else {
            postData.lead_id = $("#lead").val();
          }

          $("#GRNTable1 tbody tr").map(function () {
            var $row = $(this);
            postData.estimate_details.push({
              service: $row.find("td").eq(0).find("select").val(),
              specifications: $row.find("td").eq(1).find("input").val(),
              amount: $row.find("td").eq(2).find("input").val(),
            });
          });
          addEstimates(postData);
        });

        function addEstimates(postData) {
          $.ajax({
            type: "POST",
            url: "https://efflo.xyz/App/api.php",
            contentType: "application/json",
            cache: false,
            data: JSON.stringify(postData),
            success: function (data) {
              console.log(data);
              //window.location.reload();
              window.location.href = "./estimates.php";
            },
            error: function (e) {
              console.log(e);
            },
          });
        }

        function getLeadsList() {
          return new Promise(function (resolve, reject) {
            $.ajax({
              type: "GET",
              url:
                "https://efflo.xyz/App/api.php?gofor=leadslist&user_id=" +
                sessionStorage.getItem("user_id"),
              success: function (data) {
                var $dropdown = $("#lead");
                $.each(data, function () {
                  $dropdown.append(
                    "<option value='" +
                      this.lead_id +
                      "'>" +
                      this.name +
                      "</option>"
                  );
                });
                resolve(data);
              },
              error: function (error) {
                reject(error);
              },
            });
          });
        }

        function getCustomersList() {
          return new Promise(function (resolve, reject) {
            $.ajax({
              type: "GET",
              url:
                "https://efflo.xyz/App/api.php?gofor=customerslist&user_id=" +
                sessionStorage.getItem("user_id"),
              success: function (data) {
                var $dropdown = $("#customer");
                $.each(data, function () {
                  $dropdown.append(
                    "<option value='" +
                      this.customer_id +
                      "'>" +
                      this.name +
                      "</option>"
                  );
                });
                resolve(data);
              },
              error: function (error) {
                reject(error);
              },
            });
          });
        }

        function getServicesList() {
          return new Promise(function (resolve, reject) {
            $.ajax({
              type: "GET",
              url:
                "https://efflo.xyz/App/api.php?gofor=serviceslist&user_id=" +
                sessionStorage.getItem("user_id"),
              success: function (data) {
                window.servicesList = data;
                var $dropdown = $(".services");
                $.each(data, (index, selector) => {
                  $dropdown.append(
                    "<option value='" +
                      selector.service_id +
                      "'>" +
                      selector.service_name +
                      "</option>"
                  );
                });
                resolve(data);
              },
              error: function (error) {
                reject(error);
              },
            });
          });
        }

        function getShootList() {
          return new Promise(function (resolve, reject) {
            $.ajax({
              type: "GET",
              url:
                "https://efflo.xyz/App/api.php?gofor=shootlist&user_id=" +
                sessionStorage.getItem("user_id"),
              success: function (data) {
                var $dropdown = $("#shoot_type");
                $.each(data, function () {
                  $dropdown.append(
                    "<option value='" +
                      this.name +
                      "'>" +
                      this.name +
                      "</option>"
                  );
                });
                resolve(data);
              },
              error: function (error) {
                reject(error);
              },
            });
          });
        }

        function getSubcategoryList() {
          return new Promise(function (resolve, reject) {
            $.ajax({
              type: "GET",
              url:
                "https://efflo.xyz/App/api.php?gofor=subcategorylist&user_id=" +
                sessionStorage.getItem("user_id"),
              success: function (data) {
                var $dropdown = $("#subcategory");
                $.each(data, function () {
                  $dropdown.append(
                    "<option value='" +
                      this.name +
                      "'>" +
                      this.name +
                      "</option>"
                  );
                });
                resolve(data);
              },
              error: function (error) {
                reject(error);
              },
            });
          });
        }

        function getPackageList() {
          return new Promise(function (resolve, reject) {
            $.ajax({
              type: "GET",
              url:
                "https://efflo.xyz/App/api.php?gofor=packagelist&user_id=" +
                sessionStorage.getItem("user_id"),
              success: function (data) {
                window.packageList = data;
                var $dropdown = $("#package_id");
                $.each(data, (index, selector) => {
                  $dropdown.append(
                    "<option value='" +
                      selector.package_id +
                      "'>" +
                      selector.name +
                      "</option>"
                  );
                });
                resolve(data);
              },
              error: function (error) {
                reject(error);
              },
            });
          });
        }

        function getEstimate(eid) {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=getestimate&estimate_id=" +
              eid,
            success: function (data) {
              $("#estid").val("EST-" + eid);
              window.estimateDetail = data.estimate_detail;
              if (data.estimate_detail) {
                if (data.estimate_detail.lead_id) {
                  $("#type").val("lead").trigger("change");
                  $("#lead").val(Number(data.estimate_detail.lead_id));
                  $("#lead").trigger("change");
                }

                if (data.estimate_detail?.customer_id) {
                  $("#type").val("customer").trigger("change");
                  $("#customer").val(Number(data.estimate_detail.customer_id));
                  $("#customer").trigger("change");
                }

                $("#subcategory").val(data.estimate_detail?.subcategory);
                // dynamicdropdown(data.estimate_detail?.subcategory);

                $("#shoot_type").val(data.estimate_detail?.shoot_type);

                $("#package_id").val(Number(data.estimate_detail?.package_id));
                $("#package_id").trigger("change");

                if (data.estimate_detail?.event_date) {
                  $('[name="event_date"]').val(
                    data.estimate_detail?.event_date
                  );
                  $('[name="event_venue"]').val(
                    data.estimate_detail?.event_venue
                  );
                  $('[name="event_time"]').val(
                    data.estimate_detail?.event_time
                  );
                } else {
                  $("#shoot_date").val(data.estimate_detail?.shoot_date);
                  $("#shoot_time").val(data.estimate_detail?.shoot_time);
                }

                //$("#discount").val(Number(data.estimate_detail.discount));
				$("#DiscAmt").val(Number(data.estimate_detail.discount));
              }
              if (data.estimate_service.length > 0) {
                data.estimate_service.map((v) => {
                  insRow(v);
                });
                calc_sum();
              }

              $(document).on("change", "#package_id", (e) => {
                $("#GRNTable1 tbody tr").remove();
                const selectedPackage = e.target.value;
                const getPackageDetails = packageList.find(
                  (p) => p.package_id === selectedPackage
                );
                getPackageDetails?.servicedetail.map((v) => {
                  insRow(v);
                });
                calc_sum();
              });
            },
          });
        }

        function getEstimateCount() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=estimateslist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              $("#estid").val("EST-" + (Number(data.length) + 1));
            },
          });
        }
      });
    </script>
    <script>
      $(function () {
        $("#datetimepicker1").datetimepicker({
          format: "hh:mm A",
        });
        $("#datetimepicker2").datetimepicker({
          format: "hh:mm A",
        });
        $("#datetimepicker3").datetimepicker({
          format: "DD/MM/YYYY hh:mm A",
        });
      });
    </script>
	<?php include "common-script.php";?>
  </body>
</html>
