<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
        <?php include "meta-title.php";?>
		
		<!-- Favicon -->
        <link rel="shortcut icon" type="image/x-icon" href="assets/img/favicon.png">
		
		<!-- Bootstrap CSS -->
        <link rel="stylesheet" href="assets/css/bootstrap.min.css">
		
		<!-- Fontawesome CSS -->
        <link rel="stylesheet" href="assets/css/font-awesome.min.css">
		
		<!-- Lineawesome CSS -->
        <link rel="stylesheet" href="assets/css/line-awesome.min.css">
		
		<!-- Select2 CSS -->
		<link rel="stylesheet" href="assets/css/select2.min.css">
		
		<!-- Datetimepicker CSS -->
		<link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css">
		
		<!-- Main CSS -->
        <link rel="stylesheet" href="assets/css/style.css">
		
		<link rel="stylesheet" href="assets/css/vendor.css">
		
		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!--[if lt IE 9]>
			<script src="assets/js/html5shiv.min.js"></script>
			<script src="assets/js/respond.min.js"></script>
		<![endif]-->
    </head>
    <body>
		<!-- Main Wrapper -->
        <div class="main-wrapper">
		
			<!-- Header -->
            <?php include "header.php";?>
			<!-- /Header -->
			
			<!-- Sidebar -->
            <?php include "sidebar.php";?>
			<!-- /Sidebar -->
			
			<!-- Page Wrapper -->
            <div class="page-wrapper">
			
				<!-- Page Content -->
                <div class="content container-fluid">
				
					<!-- Page Header -->
					<div class="page-header">
						<div class="row">
							<div class="col-sm-12">
								<h3 class="page-title">Create Invoice</h3>
								<ul class="breadcrumb">
									<li class="breadcrumb-item"><a href="dashboard.php">Dashboard</a></li>
									<li class="breadcrumb-item active">Create Invoice</li>
								</ul>
							</div>
						</div>
					</div>
					<!-- /Page Header -->
					
					<div class="row">
						<div class="col-sm-12">
							<form>
								<div class="row">
									<div class="col-sm-6 col-md-3">
										<div class="form-group">
											<label>Estimate Number <span class="text-danger">*</span></label>
											<input class="form-control" type="text" readonly value="EST-001">
										</div>
									</div>
									<div class="col-sm-6 col-md-3">
										<div class="form-group row">
											<div class="col-sm-6 col-md-10">
												<label>Orders <span class="text-danger">*</span></label>
												<select class="select">
													<option>Please Select</option>
													<option selected>Ord01</option>
													<option>Ord02</option>
												</select>
											</div>
											<div class="col-sm-6 col-md-2">
												<div style="margin-left:-20px;margin-top:30px;">
													<a href="#" data-toggle="modal" data-target="#add_client"><div class="circle-container"><div class="circle-div">+</div></div></a>
												</div>
											</div>
										</div>
									</div>
									
									
									
									<div class="col-sm-6 col-md-3">
										<div class="form-group">
											<label>Invoice Date <span class="text-danger">*</span></label>
											<div class="cal-icon">
												<input class="form-control datetimepicker" type="text">
											</div>
										</div>
									</div>
									<div class="col-sm-6 col-md-3">
										<div class="form-group">
											<label>Due Date <span class="text-danger">*</span></label>
											<div class="cal-icon">
												<input class="form-control datetimepicker" type="text">
											</div>
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-md-12 col-sm-12">
										<div class="table-responsive">
											<table id="GRNTable" class="table table-hover table-white">
												<thead>
													<tr>
														<th style="width: 20px">#</th>
														<th class="col-sm-2">Service</th>
														<th class="col-md-6">Package</th>
														<th style="width:100px;">Costing</th>
														<th style="width:80px;">Qty</th>
														<th>Amount</th>
														<th> </th>
													</tr>
												</thead>
												<tbody>
												<tr>
													<td>1</td>
													<td>
														<input class="form-control" type="text" style="min-width:150px" id="col1">
													</td>
													<td>
														<input class="form-control" type="text" style="min-width:150px" id="col2">
													</td>
													<td>
														<input class="form-control" style="width:100px" type="text" id="col3">
													</td>
													<td>
														<input class="form-control" style="width:80px" type="text" id="col4">
													</td>
													<td>
														<input class="form-control" readonly style="width:120px" type="text" id="col5">
													</td>
													<td style="padding-top:20px"><a href="javascript:void(0)" class="text-success font-18" title="Add" onclick="insRow()"><i class="fa fa-plus"></i></a>&nbsp;&nbsp;<a href="javascript:void(0)" class="text-danger font-18" title="Remove" onclick="deleteRow(this)"><i class="fa fa-trash-o"></i></a></td>
												</tr>
												
												</tbody>
											</table>
										</div>
										<div class="table-responsive">
											<table class="table table-hover table-white">
												<tbody>
													<tr>
														<td></td>
														<td></td>
														<td></td>
														<td></td>
														<td class="text-right">Total</td>
														<td style="text-align: right; padding-right: 30px;width: 230px">0</td>
													</tr>
													<tr>
														<td colspan="5" class="text-right">Tax</td>
														<td style="text-align: right; padding-right: 30px;width: 230px">
															<input class="form-control text-right" value="0" readonly type="text">
														</td>
													</tr>
													<tr>
														<td colspan="5" class="text-right">
															Discount %
														</td>
														<td style="text-align: right; padding-right: 30px;width: 230px">
															<input class="form-control text-right" type="text">
														</td>
													</tr>
													<tr>
														<td colspan="5" style="text-align: right; font-weight: bold">
															Grand Total
														</td>
														<td style="text-align: right; padding-right: 30px; font-weight: bold; font-size: 16px;width: 230px">
															$ 0.00
														</td>
													</tr>
												</tbody>
											</table>                               
										</div>
										<div class="row">
											<div class="col-md-12">
												<div class="form-group">
													<label>Notes</label>
													<textarea class="form-control" rows="4"></textarea>
												</div>
											</div>
										</div>
									</div>
								</div>
								<div class="submit-section">
									<button class="btn btn-primary submit-btn m-r-10">Save & Send</button>
									<button class="btn btn-primary submit-btn">Save</button>
								</div>
							</form>
						</div>
					</div>
				</div>
				<!-- /Page Content -->
				
			</div>
			<!-- /Page Wrapper -->
			
        </div>
		<!-- /Main Wrapper -->
		
		<!-- Add Client Modal -->
				<div id="add_client" class="modal custom-modal fade" role="dialog">
					<div class="modal-dialog modal-dialog-centered modal-lg" role="document">
						<div class="modal-content">
							<div class="modal-header">
								<h5 class="modal-title">Add Orders</h5>
								<button type="button" class="close" data-dismiss="modal" aria-label="Close">
									<span aria-hidden="true">&times;</span>
								</button>
							</div>
							<div class="modal-body">
								<form>
									<div class="row">
										<div class="col-md-6">
											<div class="form-group">
												<label class="col-form-label">Customer <span class="text-danger">*</span></label>
												<input class="form-control" type="text">
											</div>
										</div>
										<div class="col-md-6">
											<div class="form-group">
												<label class="col-form-label">Event Name <span class="text-danger">*</span></label>
												<input class="form-control" type="text">
											</div>
										</div>
										<div class="col-md-6">  
											<div class="form-group">
												<label class="col-form-label">Event Type <span class="text-danger">*</span></label>
												<select class="select floating"> 
													<option>Select Type</option>
													<option>type1</option>
													<option>type2</option>
												</select>
											</div>
										</div>
										<div class="col-md-6">
											<div class="form-group">
												<label>Event Date<span class="text-danger">*</span></label>
												<div class="cal-icon">
													<input class="form-control datetimepicker" type="text">
												</div>
											</div>
										</div>
										<div class="col-md-12">
										<div class="row">
									<div class="col-md-12 col-sm-12">
										<div class="table-responsive">
											<table id="GRNTable1" class="table table-hover table-white">
												<thead>
													<tr>
														<th style="width: 20px">#</th>
														<th class="col-sm-2">Service</th>
														<th class="col-md-6">Package</th>
														<th style="width:100px;">Costing</th>
														<th style="width:80px;">Qty</th>
														<th>Amount</th>
														<th> </th>
													</tr>
												</thead>
												<tbody>
												<tr>
													<td>1</td>
													<td>
														<input class="form-control" type="text" style="min-width:150px" id="col1">
													</td>
													<td>
														<input class="form-control" type="text" style="min-width:150px" id="col2">
													</td>
													<td>
														<input class="form-control" style="width:100px" type="text" id="col3">
													</td>
													<td>
														<input class="form-control" style="width:80px" type="text" id="col4">
													</td>
													<td>
														<input class="form-control" readonly style="width:120px" type="text" id="col5">
													</td>
													<td style="padding-top:20px"><a href="javascript:void(0)" class="text-success font-18" title="Add" onclick="insRow1()"><i class="fa fa-plus"></i></a>&nbsp;&nbsp;<a href="javascript:void(0)" class="text-danger font-18" title="Remove" onclick="deleteRow1(this)"><i class="fa fa-trash-o"></i></a></td>
												</tr>
												
												</tbody>
											</table>
										</div>
										<div class="table-responsive">
											<table class="table table-hover table-white">
												<tbody>
													<tr>
														<td></td>
														<td></td>
														<td></td>
														<td></td>
														<td class="text-right">Total</td>
														<td style="text-align: right; padding-right: 30px;width: 230px">0</td>
													</tr>
													<tr>
														<td colspan="5" class="text-right">Tax</td>
														<td style="text-align: right; padding-right: 30px;width: 230px">
															<input class="form-control text-right" value="0" readonly type="text">
														</td>
													</tr>
													<tr>
														<td colspan="5" class="text-right">
															Discount %
														</td>
														<td style="text-align: right; padding-right: 30px;width: 230px">
															<input class="form-control text-right" type="text">
														</td>
													</tr>
													<tr>
														<td colspan="5" style="text-align: right; font-weight: bold">
															Grand Total
														</td>
														<td style="text-align: right; padding-right: 30px; font-weight: bold; font-size: 16px;width: 230px">
															$ 0.00
														</td>
													</tr>
												</tbody>
											</table>                               
										</div>
										<div class="row">
											<div class="col-md-12">
												<div class="form-group">
													<label>Notes</label>
													<textarea class="form-control" rows="4"></textarea>
												</div>
											</div>
										</div>
									</div>
								</div>
								</div>
										
										
									</div>
									
									<div class="submit-section">
										<button class="btn btn-primary submit-btn">Submit</button>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
				<!-- /Add Client Modal -->
		
		<!-- jQuery -->
        <script src="assets/js/jquery-3.5.1.min.js"></script>
		
		<!-- Bootstrap Core JS -->
        <script src="assets/js/popper.min.js"></script>
        <script src="assets/js/bootstrap.min.js"></script>
		
		<!-- Slimscroll JS -->
		<script src="assets/js/jquery.slimscroll.min.js"></script>
		
		<!-- Select2 JS -->
		<script src="assets/js/select2.min.js"></script>
		
		<!-- Datetimepicker JS -->
		<script src="assets/js/moment.min.js"></script>
		<script src="assets/js/bootstrap-datetimepicker.min.js"></script>
		
		<!-- Custom JS -->
		<script src="assets/js/app.js"></script>
		<script>
	function deleteRow(row)
	  {
		var x=document.getElementById('GRNTable');
		var len = x.rows.length ;
		var i=row.parentNode.parentNode.rowIndex;
		if (i==(len-1))
		  if(i!=1)
			document.getElementById('GRNTable').deleteRow(i);
		  else
			alert ("Must have one row");
		else
		  alert ("Delete last rows first");
	  }


	function insRow()
	{
		var x=document.getElementById('GRNTable');
		var new_row = x.rows[1].cloneNode(true);
		var len = x.rows.length;
		new_row.cells[0].innerHTML = len;
		
		var inp1 = new_row.cells[1].getElementsByTagName('input')[0];
		inp1.id = "Pro"+len;
		inp1.value = '';
		var inp2 = new_row.cells[2].getElementsByTagName('input')[0];
		inp2.id = "Batch"+len;
		inp2.value = '';
		var inp3 = new_row.cells[3].getElementsByTagName('input')[0];
		inp3.id = "Exp"+len;
		inp3.value = '';
		var inp4 = new_row.cells[4].getElementsByTagName('input')[0];
		inp4.id = "Avl"+len;
		inp4.value = '';
		var inp5 = new_row.cells[5].getElementsByTagName('input')[0];
		inp5.id = "Qty"+len;
		inp5.value = '';
		x.appendChild( new_row );
	}
</script>
<script>
	function deleteRow1(row)
	  {
		var x=document.getElementById('GRNTable1');
		var len = x.rows.length ;
		var i=row.parentNode.parentNode.rowIndex;
		if (i==(len-1))
		  if(i!=1)
			document.getElementById('GRNTable1').deleteRow(i);
		  else
			alert ("Must have one row");
		else
		  alert ("Delete last rows first");
	  }


	function insRow1()
	{
		var x=document.getElementById('GRNTable1');
		var new_row = x.rows[1].cloneNode(true);
		var len = x.rows.length;
		new_row.cells[0].innerHTML = len;
		
		var inp1 = new_row.cells[1].getElementsByTagName('input')[0];
		inp1.id = "Pro"+len;
		inp1.value = '';
		var inp2 = new_row.cells[2].getElementsByTagName('input')[0];
		inp2.id = "Batch"+len;
		inp2.value = '';
		var inp3 = new_row.cells[3].getElementsByTagName('input')[0];
		inp3.id = "Exp"+len;
		inp3.value = '';
		var inp4 = new_row.cells[4].getElementsByTagName('input')[0];
		inp4.id = "Avl"+len;
		inp4.value = '';
		x.appendChild( new_row );
	}
</script>
<?php include "common-script.php";?>
    </body>
</html>