<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <?php include "meta-title.php";?>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />

    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />

    <link rel="stylesheet" href="assets/css/vendor.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <!--<link href="https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/css/select2.min.css" rel="stylesheet" />-->
    <script src="https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/js/select2.min.js"></script>
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->

      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row">
              <div class="col-sm-12">
                <h3 class="page-title">Create Order</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Create Order</li>
                </ul>
              </div>
            </div>
          </div>
          <!-- /Page Header -->

          <div class="row">
            <div class="col-sm-12">
              <form method="POST" id="addForm">
                <div class="row">
                  <div class="col-md-6">
                    <div class="form-group">
                      <label class="col-form-label"
                        >Order No <span class="text-danger">*</span></label
                      >
                      <select
                        class="select floating"
                        name="estimatoid"
                        id="estimate"
                      >
                        <option>Select Estimate</option>
                      </select>
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div class="form-group">
                      <label class="col-form-label"
                        >Event Name <span class="text-danger">*</span></label
                      >
                      <input
                        class="form-control"
                        type="text"
                        name="eventName"
                      />
                    </div>
                </div>
                
                <div class="row estimates-fields d-none">
                  <div class="col-md-6">
                    <div class="form-group">
                      <label class="col-form-label"
                        >Subcategory <span class="text-danger">*</span></label
                      >
                      <input class="form-control subcategory" type="text" disabled />
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div class="form-group">
                      <label class="col-form-label"
                        >Type of Shoot <span class="text-danger">*</span></label
                      >
                      <input class="form-control typeofshoot" type="text" disabled />
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div class="form-group">
                      <label class="col-form-label"
                        >Package <span class="text-danger">*</span></label
                      >
                      <input class="form-control package" type="text" disabled />
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div class="form-group">
                      <label class="col-form-label"
                        >Date of Estimate <span class="text-danger">*</span></label
                      >
                      <input class="form-control dateofestimate" type="text" disabled />
                    </div>
                  </div>
                  <div class="col-md-4">
                    <div class="form-group">
                      <label class="col-form-label"
                        >Event Date <span class="text-danger">*</span></label
                      >
                      <input class="form-control eventdate" type="text" disabled />
                    </div>
                  </div>
                  <div class="col-md-4">
                    <div class="form-group">
                      <label class="col-form-label"
                        >Event Venue <span class="text-danger">*</span></label
                      >
                      <input class="form-control eventvenue" type="text" disabled />
                    </div>
                  </div>
                  <div class="col-md-4">
                    <div class="form-group">
                      <label class="col-form-label"
                        >Event Time <span class="text-danger">*</span></label
                      >
                      <input class="form-control eventtime" type="text" disabled />
                    </div>
                  </div>
                </div>
                  
                  <div class="col-md-12">
                    <div class="form-group">
                      <label class="col-form-label"
                        >Itinerary <span class="text-danger">*</span></label
                      >
                      <textarea
                        class="form-control"
                        type="text"
                        name="itinerary"
                      ></textarea>
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-12">
                    <div class="row">
                      <div class="col-md-12 col-sm-12">
                        <div class="table-responsive">
                          <table id="baseRow" style="display: none">
                            <tbody>
                              <tr>
                                <td>
                                  <select
                                    id="col1"
                                    class="form-control services"
                                    style="min-width: 150px"
                                  >
                                    <option value="">Please Select</option>
                                  </select>
                                </td>
                                <td>
                                  <input
                                    class="form-control"
                                    type="text"
                                    style="min-width: 150px"
                                    id="col2"
                                  />
                                </td>
                                <td>
                                  <input
                                    class="form-control amount"
                                    style="width: 100px"
                                    type="text"
                                    id="col3"
                                  />
                                </td>

                                <td style="padding-top: 20px">
                                  <a
                                    href="javascript:void(0)"
                                    class="text-success font-18"
                                    title="Add"
                                    onclick="insRow()"
                                    ><i class="fa fa-plus"></i></a
                                  >&nbsp;&nbsp;<a
                                    href="javascript:void(0)"
                                    class="text-danger font-18"
                                    title="Remove"
                                    onclick="deleteRow(this)"
                                    ><i class="fa fa-trash-o"></i
                                  ></a>
                                </td>
                              </tr>
                            </tbody>
                          </table>
                          <table
                            id="GRNTable1"
                            class="table table-hover table-white"
                          >
                            <thead>
                              <tr>
                                <th class="col-md-5">Services</th>
                                <th class="col-md-5">Specifications</th>
                                <th>Amount</th>
                                <th></th>
                              </tr>
                            </thead>
                            <tbody></tbody>
                          </table>
                        </div>
                        <div class="table-responsive">
                          <table class="table table-hover table-white">
                            <tbody>
                              <tr>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td class="text-right">Total</td>
                                <td
                                  style="
                                    text-align: right;
                                    padding-right: 30px;
                                    width: 230px;
                                  "
                                >
                                  <input
                                    class="form-control text-right"
                                    readonly
                                    type="text"
                                    id="total"
                                  />
                                </td>
                              </tr>
                              <tr>
                                <td colspan="5" class="text-right">
                                  Discount %
                                </td>
                                <td
                                  style="
                                    text-align: right;
                                    padding-right: 30px;
                                    width: 230px;
                                  "
                                >
                                  <input
                                    class="form-control discount text-right"
                                    type="text"
                                    id="discount"
                                  />
                                </td>
                              </tr>
                              <tr>
                                <td colspan="5" class="text-right">
                                  Discount (Rs.)
                                </td>
                                <td
                                  style="
                                    text-align: right;
                                    padding-right: 30px;
                                    width: 230px;
                                  "
                                >
                                  <input
                                    class="form-control text-right"
                                    type="text"
                                    id="DiscAmt"
                                    value="0"
                                    readonly
                                  />
                                </td>
                              </tr>
                              <tr>
                                <td
                                  colspan="5"
                                  style="text-align: right; font-weight: bold"
                                >
                                  Grand Total
                                </td>
                                <td
                                  style="
                                    text-align: right;
                                    padding-right: 30px;
                                    font-weight: bold;
                                    font-size: 16px;
                                    width: 230px;
                                  "
                                >
                                  <input
                                    class="form-control text-right"
                                    readonly
                                    type="text"
                                    id="grandtotal"
                                  />
                                </td>
                              </tr>
                            </tbody>
                          </table>
                        </div>

                        <div class="col-md-12">
                          <div class="form-group">
                            <label>Notes</label>
                            <textarea
                              class="form-control"
                              rows="4"
                              name="notes"
                            ></textarea>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="submit-section">
                  <button class="btn btn-primary submit-btn">Submit</button>
                </div>
              </form>
            </div>
          </div>
        </div>
        <!-- /Page Content -->
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->

    <!-- Add Client Modal -->

    <!-- /Add Client Modal -->

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>

    <!-- Select2 JS -->
    <script src="assets/js/select2.min.js"></script>

    <!-- Datetimepicker JS -->
    <script src="assets/js/moment.min.js"></script>
    <script src="assets/js/bootstrap-datetimepicker.min.js"></script>

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>

    <script>
      function deleteRow(row) {
        var x = document.getElementById("GRNTable1");
        var len = x.rows.length;
        var i = row.parentNode.parentNode.rowIndex;
        if (i == len - 1)
          if (i != 1) document.getElementById("GRNTable1").deleteRow(i);
          else alert("Must have one row");
        else alert("Delete last rows first");
      }
      function insRow(val) {
        var cloneRow = $("#baseRow tbody tr").clone();
        if (val) {
          cloneRow.find(":input#col1").val(val?.service);
          cloneRow.find(":input#col2").val(val?.specifications);
          cloneRow.find(":input#col3").val(val?.amount);
        } else {
          cloneRow.find(":input").val("");
        }

        $("#GRNTable1 tbody").append(cloneRow);
      }
      $(document).ready(async function () {
        const queryString = window.location.search;
        const urlParams = new URLSearchParams(queryString);
        const oid = urlParams.get("oid");
        await getServicesList();
        await getOrderDetails();

        const currentDate = new Date();
        const formattedDate = `${currentDate.getFullYear()}/${String(
          currentDate.getDate()
        ).padStart(2, "0")}/${String(currentDate.getMonth() + 1).padStart(
          2,
          "0"
        )}`;
        $("#date").val(formattedDate);

        var leadOrCustomer = "lead";
        $("#leadGroup").show();
        $("#customerGroup").hide();

        $(document).on("change", "#type", function (val) {
          leadOrCustomer = val.target.value;
          if (val.target.value === "lead") {
            $("#leadGroup").show();
            $("#customerGroup").hide();
          } else {
            $("#customerGroup").show();
            $("#leadGroup").hide();
          }
        });

        $(document).on("change", "#subcategory", function (val) {
          dynamicdropdown(val.target.value);
        });

        function calc_sum() {
          if (window.orderDetail) {
            var dis =
              ((window.orderDetail.amount_payable -
                window.orderDetail.final_amount) /
                window.orderDetail.amount_payable) *
              100;
            $("#total").val(window.orderDetail.amount_payable);
            $("#discount").val(dis);
            $("#grandtotal").val(window.orderDetail.final_amount);
            var val =
              window.orderDetail.final_amount -
              (window.orderDetail.final_amount * dis) / 100;
            var discAmt = window.orderDetail.final_amount - val;
            $("#DiscAmt").val(discAmt);
          } else {
          }
          var total = 0;
          var grandTotal = 0;
          var discount = 0;
          $("#GRNTable1 > tbody > tr").each(function () {
            var $row = $(this);
            total += Number($row.find("td").eq(2).find("input").val());
          });
          discount = Number($("#discount").val());
          var val = total - (total * discount) / 100;
          $("#total").val(total);
          $("#discount").val(discount);
          $("#grandtotal").val(val);
          var discAmt = total - val;
          $("#DiscAmt").val(discAmt);
        }

        $(document).on("change", ".amount", function () {
          calc_sum();
        });

        $(document).on("change", ".discount", function (val) {
          calc_sum();
        });

        $("#addForm").submit(function (e) {
          e.preventDefault();

          var postData = {
            user_id: sessionStorage.getItem("user_id"),
            estimate_id: $('[name="estimatoid"]').val(),
            ordevent_name: $('[name="eventName"]').val(),
            itinerary: $('[name="itinerary"]').val(),
            amount_payable: $("#total").val(),
            discount: $("#discount").val(),
            final_amount: $("#grandtotal").val(),
            status: "1",
            order_details: [],
          };

          if (oid) {
            postData.gofor = "editorders";
            postData.order_id = oid;
          } else {
            postData.gofor = "addorders";
          }

          $("#GRNTable1 tbody tr").map(function () {
            var $row = $(this);
            postData.order_details.push({
              service: $row.find("td").eq(0).find("select").val(),
              specifications: $row.find("td").eq(1).find("input").val(),
              amount: $row.find("td").eq(2).find("input").val(),
            });
          });
          addOrders(postData);
        });

        function addOrders(postData) {
          $.ajax({
            type: "POST",
            url: "https://efflo.xyz/App/api.php",
            contentType: "application/json",
            cache: false,
            data: JSON.stringify(postData),
            success: function (data) {
              console.log(data);
              window.location.href = "./orders.php";
            },
            error: function (e) {
              console.log(e);
            },
          });
        }

        function getOrder(oid) {
          var strDate = new Date(); // By default Date empty constructor give you Date.now
          var shortYear = strDate.getFullYear();
          // Add this line
          var twoDigitYear = shortYear.toString().substr(-2);

          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=getorder&order_id=" +
              oid,
            success: function (data) {
              window.orderService = data.order_service;
              window.orderDetail = data.order_detail;
              if (data.order_detail) {
                $('[name="eventName"]').val(data.order_detail.ordevent_name);

                var $dropdown = $('[name="estimatoid"]');
                $dropdown.append(
                  "<option value='" +
                    data.order_detail.estimate_id +
                    "'>EST-" +
                    twoDigitYear +
                    "-00" +
                    data.order_detail.estimate_id +
                    "</option>"
                );

                $('[name="estimatoid"]').val(data.order_detail.estimate_id);
                $('[name="estimatoid"]').attr("disabled", true);

              
                $('[name="itinerary"]').val(data.order_detail.itinerary);

                $('[name="estimatoid"]').trigger("change");

                $('[name="notes"]').val(data.order_detail.notes);

                $("#discount").val(Number(data.order_detail.discount));
              }
              if(data?.estimate_detail) {
                $('.estimates-fields').removeClass('d-none')
                $('.subcategory').val(data?.estimate_detail.subcategory)
                $('.typeofshoot').val(data?.estimate_detail.shoot_type)
                $('.package').val(data?.estimate_detail.package_name)
                $('.dateofestimate').val(data?.estimate_detail.date)
                $('.eventdate').val(data?.estimate_detail.event_date)
                $('.eventvenue').val(data?.estimate_detail.event_venue)
                $('.eventtime').val(data?.estimate_detail.event_time)
              } else {
                $('.estimates-fields').addClass('d-none')
              }
              // if (data.order_service.length > 0) {
              //   data.order_service.map((v) => {
              //     insRow(v);
              //   });
              //   $("#GRNTable1 tbody tr:nth-child(1)").remove();
              //   calc_sum();
              // }
            },
          });
        }

        function getOrderDetails() {
          var strDate = new Date(); // By default Date empty constructor give you Date.now
          var shortYear = strDate.getFullYear();
          // Add this line
          var twoDigitYear = shortYear.toString().substr(-2);

          return new Promise(function (resolve, reject) {
            $.ajax({
              type: "GET",
              url:
                "https://efflo.xyz/App/api.php?gofor=orderslist&user_id=" +
                sessionStorage.getItem("user_id"),
              success: function (orderData) {
                var ignoreList = orderData.map((v) => v.estimate_id);
                $.ajax({
                  type: "GET",
                  url:
                    "https://efflo.xyz/App/api.php?gofor=estimateslist&user_id=" +
                    sessionStorage.getItem("user_id"),
                  success: function (data) {
                    var estimateList = data;
                    var $dropdown = $('[name="estimatoid"]');
                    $.each(data, function () {
                      if (!oid && !ignoreList.includes(this.estimate_id)) {
                        $dropdown.append(
                          "<option value='" +
                            this.estimate_id +
                            "'>EST-" +
                            twoDigitYear +
                            "-00" +
                            this.estimate_id +
                            "</option>"
                        );
                      }
                    });

                    $(document).on("change", "#estimate", (e) => {
                      $("#GRNTable1 tbody tr").remove();
                      const selectedEstimate = e.target.value;

                      const queryString = window.location.search;
                      const urlParams = new URLSearchParams(queryString);
                      const isEdit = urlParams.get("oid");
                      if (!isEdit) {
                        $.ajax({
                          type: "GET",
                          url: `https://efflo.xyz/App/api.php?gofor=getestimate&estimate_id=${selectedEstimate}`,
                          success: function (data) {
                            if(data?.estimate_detail) {
                              $('.estimates-fields').removeClass('d-none')
                              $('.subcategory').val(data?.estimate_detail.subcategory)
                              $('.typeofshoot').val(data?.estimate_detail.shoot_type)
                              $('.package').val(data?.estimate_detail.package_name)
                              $('.dateofestimate').val(data?.estimate_detail.date)
                              $('.eventdate').val(data?.estimate_detail.event_date)
                              $('.eventvenue').val(data?.estimate_detail.event_venue)
                              $('.eventtime').val(data?.estimate_detail.event_time)
                            } else {
                              $('.estimates-fields').addClass('d-none')
                            }
                            data?.estimate_service.map((v) => {
                              insRow(v);
                            });
                            calc_sum();
                          },
                        });
                      } else {
                        // const getEstimateDetails = estimateList.find(
                        //   (p) => p.estimate_id === selectedEstimate
                        // );
                        window.orderService.map((v) => {
                          insRow(v);
                        });
                        calc_sum();
                      }
                    });

                    if (oid) {
                      getOrder(oid);
                    }
                    resolve(data);
                  },
                  error: function (error) {
                    reject(error);
                  },
                });
              },
            });
          });
        }

        function getServicesList() {
          return new Promise(function (resolve, reject) {
            $.ajax({
              type: "GET",
              url:
                "https://efflo.xyz/App/api.php?gofor=serviceslist&user_id=" +
                sessionStorage.getItem("user_id"),
              success: function (data) {
                window.servicesList = data;
                var $dropdown = $(".services");
                $.each(data, (index, selector) => {
                  $dropdown.append(
                    "<option value='" +
                      selector.service_id +
                      "'>" +
                      selector.service_name +
                      "</option>"
                  );
                });
                resolve(data);
              },
              error: function (error) {
                reject(error);
              },
            });
          });
        }
      });
    </script>
	<?php include "common-script.php";?>
  </body>
</html>
