<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <?php include "meta-title.php";?>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />

    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />

    <link rel="stylesheet" href="assets/css/vendor.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <!--<link href="https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/css/select2.min.css" rel="stylesheet" />-->
    <script src="https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/js/select2.min.js"></script>
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->

      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row">
              <div class="col-sm-12">
                <h3 class="page-title">Create Estimate</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Create Estimate</li>
                </ul>
              </div>
            </div>
          </div>
          <!-- /Page Header -->

          <div class="row">
            <div class="col-sm-12">
              <form method="POST" id="addForm">
                <div class="row text-right justify-content-end">
                  <div class="col-sm-6 col-md-4">
                    <div class="form-group">
                      <label
                        >Estimate Number
                        <span class="text-danger">*</span></label
                      >
                      <input
                        class="form-control"
                        type="text"
                        readonly
                        value="EST-001"
                      />
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-6 col-md-4">
                    <div class="form-group">
                      <label
                        >Select Type <span class="text-danger">*</span></label
                      >
                      <select id="type" name="type" class="form-control">
                        <option value="lead">Lead</option>
                        <option value="customer">Customer</option>
                      </select>
                    </div>
                  </div>
                  <div class="col-sm-6 col-md-4">
                    <div class="form-group" id="leadGroup">
                      <label class="text-capitalize"
                        >Lead<span class="text-danger">*</span></label
                      >
                      <select
                        id="lead"
                        name="lead"
                        class="form-control operator select-first"
                      >
                        <option value="select">Please Select</option>
                      </select>
                    </div>
                    <div class="form-group" id="customerGroup">
                      <label class="text-capitalize"
                        >Customer<span class="text-danger">*</span></label
                      >
                      <select
                        id="customer"
                        name="customer"
                        class="form-control operator select-first"
                      >
                        <option value="select">Please Select</option>
                      </select>
                    </div>
                  </div>
                  <div class="col-sm-6 col-md-4 category_div" id="category_div">
                    <label class="col-form-label">Subcategory</label>
                    <select
                      class="form-control"
                      id="subcategory"
                      name="subcategory"
                      onchange="javascript: dynamicdropdown(this.options[this.selectedIndex].value);"
                    >
                      <option value="">Choose</option>
                      <option value="Wedding">Wedding</option>
                      <option value="Baby Salem">Baby Salem</option>
                      <option value="Baby Erode">Baby Erode</option>
                    </select>
                  </div>
                  <div
                    class="col-sm-6 col-md-4 sub_category_div"
                    id="sub_category_div"
                  >
                    <label class="col-form-label">Type of Shoot</label>
                    <script type="text/javascript" language="JavaScript">
                      document.write(
                        '<select class="form-control" name="shoot_type" id="shoot_type"><option value="">Choose</option></select>'
                      );
                    </script>
                    <noscript>
                      <select
                        class="form-control"
                        id="shoot_type"
                        name="shoot_type"
                      >
                        <option value="">Choose</option>
                        <option value="Wedding(Full)">Wedding(Full)</option>
                        <option value="Wedding(Half)">Wedding(Half)</option>
                        <option value="Reception">Reception</option>
                        <option value="Engagement">Engagement</option>
                        <option value="Babyshower">Babyshower</option>
                        <option value="Birthday">Birthday</option>
                        <option value="Puberty">Puberty</option>
                        <option value="Housewarming">Housewarming</option>
                        <option value="Ear Piercing">Ear Piercing</option>
                        <option value="Opening Ceremony">
                          Opening Ceremony
                        </option>
                        <option value="Others">Others</option>
                      </select>
                    </noscript>
                  </div>

                  <div class="col-sm-6 col-md-4">
                    <div class="form-group">
                      <label>Package <span class="text-danger">*</span></label>
                      <select class="select" name="package_id">
                        <option value="">Please Select</option>
                        <option value="1">Gold</option>
                        <option value="2">Platnium</option>
                        <option value="3">Custom</option>
                      </select>
                    </div>
                  </div>

                  <div class="col-sm-6 col-md-4 cinvoice_date">
                    <div class="form-group">
                      <label
                        >Date of Invoice
                        <span class="text-danger">*</span></label
                      >
                      <div class="cal-icon">
                        <input
                          class="form-control datetimepicker"
                          type="text"
                          name="date"
                        />
                      </div>
                    </div>
                  </div>
                  <div class="col-sm-6 col-md-4 cevent_date">
                    <div class="form-group">
                      <label
                        >Event Date <span class="text-danger">*</span></label
                      >
                      <div class="cal-icon">
                        <input
                          class="form-control datetimepicker"
                          type="text"
                          name="event_date"
                        />
                      </div>
                    </div>
                  </div>
                  <div class="col-sm-6 col-md-4 cvenue">
                    <div class="form-group">
                      <label
                        >Event Venue <span class="text-danger">*</span></label
                      >
                      <input
                        class="form-control"
                        type="text"
                        name="event_venue"
                      />
                    </div>
                  </div>
                  <div class="col-sm-6 col-md-4 ctime">
                    <div class="form-group">
                      <label
                        >Event Time <span class="text-danger">*</span></label
                      >
                      <input
                        class="form-control"
                        type="text"
                        name="event_time"
                      />
                    </div>
                  </div>
                  <div
                    class="col-sm-6 col-md-4 cshoot_date"
                    style="display: none"
                  >
                    <div class="form-group">
                      <label
                        >Shoot Date <span class="text-danger">*</span></label
                      >
                      <div class="cal-icon">
                        <input
                          class="form-control datetimepicker"
                          type="text"
                          id="shoot_date"
                        />
                      </div>
                    </div>
                  </div>
                  <div
                    class="col-sm-6 col-md-4 cshoot_time"
                    style="display: none"
                  >
                    <div class="form-group">
                      <label
                        >Shoot Time <span class="text-danger">*</span></label
                      >
                      <input class="form-control" type="text" id="shoot_time" />
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-12 col-sm-12">
                    <div class="table-responsive">
                      <table
                        id="GRNTable1"
                        class="table table-hover table-white"
                      >
                        <thead>
                          <tr>
                            <th class="col-md-5">Services</th>
                            <th class="col-md-5">Specifications</th>
                            <th>Amount</th>
                            <th></th>
                          </tr>
                        </thead>
                        <tbody>
                          <tr>
                            <td>
                              <input
                                class="form-control"
                                type="text"
                                style="min-width: 150px"
                                id="col1"
                              />
                            </td>
                            <td>
                              <input
                                class="form-control"
                                type="text"
                                style="min-width: 150px"
                                id="col2"
                              />
                            </td>
                            <td>
                              <input
                                class="form-control amount"
                                style="width: 100px"
                                type="text"
                                id="col3"
                              />
                            </td>

                            <td style="padding-top: 20px">
                              <a
                                href="javascript:void(0)"
                                class="text-success font-18"
                                title="Add"
                                onclick="insRow()"
                                ><i class="fa fa-plus"></i></a
                              >&nbsp;&nbsp;<a
                                href="javascript:void(0)"
                                class="text-danger font-18"
                                title="Remove"
                                onclick="deleteRow(this)"
                                ><i class="fa fa-trash-o"></i
                              ></a>
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </div>
                    <div class="table-responsive">
                      <table class="table table-hover table-white">
                        <tbody>
                          <tr>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td class="text-right">Total</td>
                            <td
                              style="
                                text-align: right;
                                padding-right: 30px;
                                width: 230px;
                              "
                            >
                              <input
                                class="form-control text-right"
                                readonly
                                type="text"
                                id="total"
                              />
                            </td>
                          </tr>
                          <tr>
                            <td colspan="5" class="text-right">Discount %</td>
                            <td
                              style="
                                text-align: right;
                                padding-right: 30px;
                                width: 230px;
                              "
                            >
                              <input
                                class="form-control discount text-right"
                                type="text"
                                id="discount"
                                value="0"
                              />
                            </td>
                          </tr>
                          <tr>
                            <td
                              colspan="5"
                              style="text-align: right; font-weight: bold"
                            >
                              Grand Total
                            </td>
                            <td
                              style="
                                text-align: right;
                                padding-right: 30px;
                                font-weight: bold;
                                font-size: 16px;
                                width: 230px;
                              "
                            >
                              <input
                                class="form-control text-right"
                                readonly
                                type="text"
                                id="grandtotal"
                              />
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
                <div class="submit-section">
                  <button class="btn btn-primary submit-btn">Submit</button>
                </div>
              </form>
            </div>
          </div>
        </div>
        <!-- /Page Content -->
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->

    <!-- Add Client Modal -->

    <!-- /Add Client Modal -->

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>

    <!-- Select2 JS -->
    <script src="assets/js/select2.min.js"></script>

    <!-- Datetimepicker JS -->
    <script src="assets/js/moment.min.js"></script>
    <script src="assets/js/bootstrap-datetimepicker.min.js"></script>

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>

    <script>
      $(document).ready(function () {
        //change selectboxes to selectize mode to be searchable
        //$(".").select2();
        $(".select-first").select2();
      });
    </script>

    <script language="javascript" type="text/javascript">
      function dynamicdropdown(listindex) {
        document.getElementById("shoot_type").options.length = 0;
        switch (listindex) {
          case "Wedding":
            document.getElementById("shoot_type").options[0] = new Option(
              "Choose",
              ""
            );
            document.getElementById("shoot_type").options[1] = new Option(
              "Wedding(Full)",
              "Wedding(Full)"
            );
            document.getElementById("shoot_type").options[2] = new Option(
              "Wedding(Half)",
              "Wedding(Half)"
            );
            document.getElementById("shoot_type").options[3] = new Option(
              "Reception",
              "Reception"
            );
            document.getElementById("shoot_type").options[4] = new Option(
              "Engagement",
              "Engagement"
            );
            document.getElementById("shoot_type").options[5] = new Option(
              "Babyshower",
              "Babyshower"
            );
            document.getElementById("shoot_type").options[6] = new Option(
              "Birthday",
              "Birthday"
            );
            document.getElementById("shoot_type").options[7] = new Option(
              "Puberty",
              "Puberty"
            );
            document.getElementById("shoot_type").options[8] = new Option(
              "Housewarming",
              "Housewarming"
            );
            document.getElementById("shoot_type").options[9] = new Option(
              "Ear Piercing",
              "Ear Piercing"
            );
            document.getElementById("shoot_type").options[10] = new Option(
              "Opening Ceremony",
              "Opening Ceremony"
            );
            document.getElementById("shoot_type").options[11] = new Option(
              "Others",
              "Others"
            );

            $(".cadvance").show();
            $(".cevent_pay").show();
            $(".cfinal_pay").show();
            $(".cevent_date").show();
            $(".cvenue").show();
            $(".ctime").show();

            $(".cshoot_date").hide();
            $(".cshoot_time").hide();
            break;
          case "Baby Salem":
            document.getElementById("shoot_type").options[0] = new Option(
              "Choose",
              ""
            );
            document.getElementById("shoot_type").options[1] = new Option(
              "Baby",
              "Baby"
            );
            document.getElementById("shoot_type").options[2] = new Option(
              "Maternity",
              "Maternity"
            );
            document.getElementById("shoot_type").options[3] = new Option(
              "Familyshoot",
              "Familyshoot"
            );
            document.getElementById("shoot_type").options[4] = new Option(
              "Others",
              "Others"
            );

            $(".cadvance").hide();
            $(".cevent_pay").hide();
            $(".cfinal_pay").hide();
            $(".cevent_date").hide();
            $(".cvenue").hide();
            $(".ctime").hide();

            $(".cshoot_date").show();
            $(".cshoot_time").show();
            break;
          case "Baby Erode":
            document.getElementById("shoot_type").options[0] = new Option(
              "Choose",
              ""
            );
            document.getElementById("shoot_type").options[1] = new Option(
              "Baby",
              "Baby"
            );
            document.getElementById("shoot_type").options[2] = new Option(
              "Familyshoot",
              "Familyshoot"
            );
            document.getElementById("shoot_type").options[3] = new Option(
              "Others",
              "Others"
            );

            $(".cadvance").hide();
            $(".cevent_pay").hide();
            $(".cfinal_pay").hide();
            $(".cevent_date").hide();
            $(".cvenue").hide();
            $(".ctime").hide();

            $(".cshoot_date").show();
            $(".cshoot_time").show();
            break;
        }
        return true;
      }
    </script>
    <!--
		<script>
			$(function() {
				$("#total_amount, #payment_due").on("keydown keyup", sum);
				function sum() {				
				$("#final_amount").val(Number($("#total_amount").val()) - Number($("#payment_due").val()));
				}
			});
		</script>
		-->

    <script>
      function deleteRow(row) {
        var x = document.getElementById("GRNTable1");
        var len = x.rows.length;
        var i = row.parentNode.parentNode.rowIndex;
        if (i == len - 1)
          if (i != 1) document.getElementById("GRNTable1").deleteRow(i);
          else alert("Must have one row");
        else alert("Delete last rows first");
      }
      function insRow() {
        var cloneRow = $("#GRNTable1 tr").last().clone();
        cloneRow.find(":input").val("");

        $("#GRNTable1 tr").last().after(cloneRow);
      }
      $(document).ready(function () {
        var leadOrCustomer = "lead";
        $("#leadGroup").show();
        $("#customerGroup").hide();
        $(document).on("change", "#type", function (val) {
          leadOrCustomer = val.target.value;
          if (val.target.value === "lead") {
            $("#leadGroup").show();
            $("#customerGroup").hide();
          } else {
            $("#customerGroup").show();
            $("#leadGroup").hide();
          }
        });

        getLeadsList();
        getCustomersList();

        function calc_sum() {
			var total = 0;
			var grandTotal = 0;
			var discount = 0;
          $("#GRNTable1 > tbody > tr").each(function () {
            var $row = $(this);
            total += Number($row.find("td").eq(2).find("input").val());
          });
		  discount = Number($("#discount").val());
          var val = total - (total * discount) / 100;
          $("#total").val(total);
          $("#grandtotal").val(val);
        }

        $(document).on("change", ".amount", function () {
          calc_sum();
        });

        $(document).on("change", ".discount", function (val) {
          calc_sum();
        });

        $("#addForm").submit(function (e) {
          e.preventDefault();

          var postData = {
            gofor: "addestimates",
            user_id: sessionStorage.getItem("user_id"),
            customer_id: ($("#customer").val() !== 'select' && leadOrCustomer === 'customer') ? $("#customer").val() : 0,
            lead_id: ($("#lead").val() !== 'select' && leadOrCustomer === 'lead') ? $("#lead").val() : 0,
            subcategory: $('[name="subcategory"]').val(),
            shoot_type: $('[name="shoot_type"]').val(),
            package_id: $('[name="package_id"]').val(),
            date: $('[name="date"]').val(),
            event_date: $('[name="event_date"]').val(),
            event_venue: $('[name="event_venue"]').val(),
            event_time: $('[name="event_time"]').val(),
            discount: $('#discount').val(),
            final_amount: $('#grandtotal').val(),
            status: "1",
            estimate_details: [],
          };

          $("#GRNTable1 tbody tr").map(function () {
            var $row = $(this);
            postData.estimate_details.push({
              service: $row.find("td").eq(0).find("input").val(),
              specifications: $row.find("td").eq(1).find("input").val(),
              amount: $row.find("td").eq(2).find("input").val(),
            });
          });
          addEstimates(postData);
        });

        function addEstimates(postData) {
          $.ajax({
            type: "POST",
            url: "https://efflo.xyz/App/api.php",
            contentType: "application/json",
            cache: false,
            data: JSON.stringify(postData),
            success: function (data) {
              console.log(data);
              window.location.reload();
            },
            error: function (e) {
              console.log(e);
            },
          });
        }

        function getLeadsList() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=leadslist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#lead");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.lead_id +
                    "'>" +
                    this.name +
                    "</option>"
                );
              });
            },
          });
        }

        function getCustomersList() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=customerslist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#customer");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.customer_id +
                    "'>" +
                    this.name +
                    "</option>"
                );
              });
            },
          });
        }
      });
    </script>
  </body>
</html>
