<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
        <?php include "meta-title.php";?>
		
		<!-- Favicon -->
        <link rel="shortcut icon" type="image/x-icon" href="assets/img/favicon.png">
		
		<!-- Bootstrap CSS -->
        <link rel="stylesheet" href="assets/css/bootstrap.min.css">
		
		<!-- Fontawesome CSS -->
        <link rel="stylesheet" href="assets/css/font-awesome.min.css">
		
		<!-- Lineawesome CSS -->
        <link rel="stylesheet" href="assets/css/line-awesome.min.css">
		
		<!-- Select2 CSS -->
		<link rel="stylesheet" href="assets/css/select2.min.css">
		
		<!-- Datetimepicker CSS -->
		<link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css">
		
		<!-- Main CSS -->
        <link rel="stylesheet" href="assets/css/style.css">
		
		<link rel="stylesheet" href="assets/css/vendor.css">
		
		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!--[if lt IE 9]>
			<script src="assets/js/html5shiv.min.js"></script>
			<script src="assets/js/respond.min.js"></script>
		<![endif]-->
    </head>
    <body>
		<!-- Main Wrapper -->
        <div class="main-wrapper">
		
			<!-- Header -->
            <?php include "header.php";?>
			<!-- /Header -->
			
			<!-- Sidebar -->
            <?php include "sidebar.php";?>
			<!-- /Sidebar -->
			
			<!-- Page Wrapper -->
            <div class="page-wrapper">
			
				<!-- Page Content -->
                <div class="content container-fluid">
				
					<!-- Page Header -->
					<div class="page-header">
						<div class="row align-items-center">
							<div class="col">
								<h3 class="page-title">Customers</h3>
								<ul class="breadcrumb">
									<li class="breadcrumb-item"><a href="dashboard.php">Dashboard</a></li>
									<li class="breadcrumb-item active">Customers</li>
								</ul>
							</div>
							<div class="col-auto float-right ml-auto">
								<div class="circle-btn">
									<a href="#" data-toggle="modal" data-target="#add_client"><div class="circle-container"><div class="circle-div">+</div></div></a>
								</div>
							</div>
						</div>
					</div>
					<!-- /Page Header -->
					
					<div class="card mb-0">
						<div class="card-body">
							<div class="row">
								<div class="col-md-12">
									<div class="profile-view">
										
										
									</div>
								</div>
							</div>
						</div>
					</div>
					
					<div class="card tab-box">
						<div class="row user-tabs">
							<div class="col-lg-12 col-md-12 col-sm-12 line-tabs">
								<ul class="nav nav-tabs nav-tabs-bottom">
										<li class="nav-item"><a href="#client_orders" data-toggle="tab" class="nav-link ">Orders</a></li>
										<li class="nav-item"><a href="#client_estimates" data-toggle="tab" class="nav-link active">Estimates</a></li>
										<li class="nav-item"><a href="#client_payments" data-toggle="tab" class="nav-link">Payments</a></li>
								    	<li class="nav-item"><a href="#client_referrals1" data-toggle="tab" class="nav-link">Customer Referrals </a></li>
										<li class="nav-item"><a href="#client_referrals2" data-toggle="tab" class="nav-link">Lead Referrals </a></li>
								    	<li class="nav-item"><a href="#client_feedbacks" data-toggle="tab" class="nav-link">Feedbacks </a></li>
								</ul>
							</div>
						</div>
					</div>
					
					<div class="tab-content">
					
						<!-- Bank Statutory Tab -->
						<div class="tab-pane fade" id="client_orders">
							<div class="card">
								<div class="card-body">
									<div class="col-md-12">
										<div class="table-responsive">
											<table class="table table-striped custom-table mb-0 customersorderslist">
												<thead>
													<tr>
												<tr>
												  <th>#</th>
                                                  <th>OrdersId</th>
                                                  <th>Estimate ID</th>
                                                  <th>Event Name</th>
                                                  <th>Event Type</th>
                                                  <th>Event Date</th>
                                                  <th>Amount</th>
                                                  
                                                  <th class="text-right">Status</th>
                    
														
													</tr>
												</thead>
												<tbody>
													
												</tbody>
											</table>
										</div>
									</div>
									
								</div>
							</div>
						</div>
						<!-- /Bank Statutory Tab -->
						
						<!-- Bank Statutory Tab -->
						<div class="tab-pane fade show active" id="client_estimates">
							<div class="card">
								<div class="card-body">
									<div class="col-md-12">
										<div class="table-responsive">
											<table class="table table-striped custom-table mb-0 customerestimateslist">
												<thead>
													<tr>
														<th>#</th>
														<th>Estimate Number</th>
            											<th>Name</th>
            											<th>Sub Category</th>
            											<th>Shoot Type</th>
            											<th>Event Date</th>
            											<th>Status</th>
            										
														
													</tr>
												</thead>
												<tbody>
													
												</tbody>
											</table>
										</div>
									</div>
									
								</div>
							</div>
						</div>
						<!-- /Bank Statutory Tab -->
						
						<!-- Bank Statutory Tab -->
						<div class="tab-pane fade" id="client_payments">
							<div class="card">
								<div class="card-body">
									<div class="col-md-12">
										<div class="table-responsive">
											<table class="table table-striped custom-table mb-0 customerspaymentslist">
												<thead>
													<tr>
														  <th>#</th>
														  <th>Invoice ID</th>
                                                          <th>Order</th>
                                                          <th>Payment Type</th>
                                                          <th>Paid Date</th>
                                                          <th>Paid Amount</th>
                                                          <th>Status</th>
														
													</tr>
												</thead>
												<tbody>
													
												</tbody>
											</table>
										</div>
									</div>
									
								</div>
							</div>
						</div>
						<!-- /Bank Statutory Tab -->
						
						<!-- Bank Statutory Tab -->
						<div class="tab-pane fade" id="client_referrals1">
							<div class="card">
								<div class="card-body">
									<div class="col-md-12">
										<div class="table-responsive">
											<table class="table table-striped custom-table mb-0 cusreferralcustomerslist">
												<thead>
													<tr>
														  <th>#</th>
                                                          <th>Name</th>
                                                          <th>Mobile</th>
                                                          <th>Event Type</th>
                                                          <th>Event Date</th>
                                                          <th>Status</th>
                                                          <th>Next Followup</th>
														
													</tr>
												</thead>
												<tbody>
													
												</tbody>
											</table>
										</div>
									</div>
									
								</div>
							</div>
						</div>
						<!-- /Bank Statutory Tab -->
						
						<!-- Bank Statutory Tab -->
						<div class="tab-pane fade" id="client_referrals2">
							<div class="card">
								<div class="card-body">
									<div class="col-md-12">
										<div class="table-responsive">
											<table class="table table-striped custom-table mb-0 cusreferralleadslist">
												<thead>
													<tr>
														  <th>#</th>
                                                          <th>Name</th>
                                                          <th>Mobile</th>
                                                          <th>Event Type</th>
                                                          <th>Event Date</th>
                                                          <th>Status</th>
                                                          <th>Next Followup</th>
														
													</tr>
												</thead>
												<tbody>
													
												</tbody>
											</table>
										</div>
									</div>
									
								</div>
							</div>
						</div>
						<!-- /Bank Statutory Tab -->
						
						<!-- Bank Statutory Tab -->
						<div class="tab-pane fade" id="client_feedbacks">
							<div class="card">
								<div class="card-body">
									<div class="col-md-12">
										<div class="table-responsive">
											<table class="table table-striped custom-table mb-0 customersfeedbackslist">
												<thead>
													<tr>
														<th>ID</th>
                                                          <th>Name</th>
                                                          <th>Type</th>
                                                          <th>Title</th>
                                                          <th>Details</th>
                                                          <th>Order</th>
                                                          <th>Solution</th>
														
													</tr>
												</thead>
												<tbody>
													
												</tbody>
											</table>
										</div>
									</div>
									
								</div>
							</div>
						</div>
						<!-- /Bank Statutory Tab -->
						
					</div>
                </div>
				<!-- /Page Content -->
				
				<!-- Profile Modal -->
				
				<!-- /Profile Modal -->
				
				<!-- Personal Info Modal -->
				
				<!-- /Personal Info Modal -->
				
				<!-- Family Info Modal -->
				
				<!-- /Family Info Modal -->
				
				<!-- Emergency Contact Modal -->
				
				<!-- /Emergency Contact Modal -->
				
				<!-- Education Modal -->
				
				<!-- /Education Modal -->
				
				<!-- Experience Modal -->
				
				<!-- /Experience Modal -->
				
            </div>
			<!-- /Page Wrapper -->

        </div>
		<!-- /Main Wrapper -->
		
		
		
		<!-- jQuery -->
        <script src="assets/js/jquery-3.5.1.min.js"></script>
		
		<!-- Bootstrap Core JS -->
        <script src="assets/js/popper.min.js"></script>
        <script src="assets/js/bootstrap.min.js"></script>
		
		<!-- Slimscroll JS -->
		<script src="assets/js/jquery.slimscroll.min.js"></script>
		
		<!-- Slimscroll JS -->
		<script src="assets/js/select2.min.js"></script>
		
		<!-- Datetimepicker JS -->
		<script src="assets/js/moment.min.js"></script>
		<script src="assets/js/bootstrap-datetimepicker.min.js"></script>
		
		<!-- Custom JS -->
		<script src="assets/js/app.js"></script>
		<script>
      $(document).ready(function () {
        var url_str = $(location).attr("href");
        var url = new URL(url_str);
        var search_params = url.searchParams;
        var customer_id = url.searchParams.get("cust_id"); 
		//alert(customer_id);
		//var customer_detail = $(".profile-view");
		
		var strDate = new Date(); // By default Date empty constructor give you Date.now
		var shortYear = strDate.getFullYear(); 
		// Add this line
		var twoDigitYear = shortYear.toString().substr(-2);
		
		getCustomersOrdersList();
		getCustomerEstimatesList();
		getCustomersPaymentsList();
		getCusReferralCustomersList();
		getCusReferralLeadsList();
		getCustomersFeedbacksList();
		
        $.ajax({
          type: "GET",
          url:
            "https://efflo.xyz/App/api.php?gofor=getcustomer&customer_id=" +
            customer_id,
			success: function (data) {            
            const customer_detail = $(".profile-view");
			customer_detail.append(
				'<div class="profile-img-wrap">' +
				'<div class="profile-img">'+
				'<a href="#"><img alt="" src="'+(data.photo ? data.photo : "assets/img/placeholder.jpg") +'"></a>'+
				'</div>'+
				'</div>'+
				'<div class="profile-basic">'+
				'<div class="row">'+
				'<div class="col-md-5">'+
				'<div class="profile-info-left">'+
				'<h3 class="user-name m-t-0 mb-0">'+ data.name +'</h3>'+
				'<h6 class="text-muted"></h6>'+
				'<small class="text-muted">'+ data.location +'</small>'+
				'<div class="staff-id">'+ data.mobileno +'</div>'+
				'<div class="small doj text-muted"> '+ data.email +'</div>'+
				'<div class="staff-msg"><a class="btn btn-custom" href="tel:'+ data.mobileno +'">Call</a></div>'+
				'</div>'+
				'</div>'+
				'<div class="col-md-7">'+
				'<ul class="personal-info">'+
				'<li>'+
				'<div class="title">Source:</div>'+
				'<div class="text">'+ data.source +'</div>'+
				'</li>'+
				'<li>'+
				'<div class="title">Saved:</div>'+
				'<div class="text">'+ data.contact_saved +'</div>'+
				'</li>'+
				
				'<li>'+
				'<div class="title">Aadhar:</div>'+
				'<div class="text">'+ data.aadhar_num +'</div>'+
				'</li>'+
				'<li>'+
				'<div class="title">Pan Num: </div>'+
				'<div class="text">'+ data.pan_num +'</div>'+
				'</li>'+
				'<li>'+
				'<div class="title">Mobile2:</div>'+
				'<div class="text">'+ data.secon_mobileno +'</div>'+
				'</li>'+
				'</ul>'+
				'</div>'+
				'</div>'+
				'</div>'
			);
              
            
          },
        });
		
		function getCustomersOrdersList() {
			var table = $(".customersorderslist tbody");
			let num = 0;
			$.ajax({
				type: "GET",
				url:
				  "https://efflo.xyz/App/api.php?gofor=customersorderslist&customer_id=" +
            customer_id,
			  success: function (data) {				  
			  if(data == ""){						
				table.append(
					"<tr><td colspan='8' align='center'><div class='no-data-tab-div'><h1><i class='fa fa-smile-o no-data-icon'></i></h1><p>No Data Found</p></td></div></tr>"
				);
			  } else {
				data.forEach(x=>{					 
					//alert(x.name);
					num++;
					let spanData = "";
					if (x.status === "1") {
						spanData ='<span class="badge bg-inverse-primary">Active</span>';
					}
					if (x.status === "0") {
						spanData ='<span class="badge bg-inverse-success">Inactive</span>';
					}
					table.append(
						"<tr><td>" +
							num +
						"</td>" +
						"<td>ORD-"+twoDigitYear+"-00" +
						x.ord_seq +
						"</td>" +
						"<td>EST-"+twoDigitYear+"-00" +
						x.est_seq +
						"</td>" + 
						"<td>" +
						x.ordevent_name +
						"</td>" + 
						"<td>" +
						x.itinerary +
						"</td>" + 
						"<td>" +
						x.event_date +
						"</td>" + 
						"<td>" +
						x.final_amount +
						"</td>" + 
						"<td>" +
						spanData +
						"</td>"							  
					);
				});
			  }
			},
		  });			
		}
		
		function getCustomerEstimatesList() {
			var table = $(".customerestimateslist tbody");
			let num = 0;
			$.ajax({
				type: "GET",
				url:
				  "https://efflo.xyz/App/api.php?gofor=customerestimateslist&customer_id=" +
            customer_id,
			  success: function (data) {				  
			  if(data == ""){						
				table.append(
					"<tr><td colspan='7' align='center'><div class='no-data-tab-div'><h1><i class='fa fa-smile-o no-data-icon'></i></h1><p>No Data Found</p></td></div></tr>"
				);
			  } else {
				data.forEach(x=>{					 
					//alert(x.name);
					num++;
					let spanData = "";
					if (x.status === "1") {
						spanData ='<span class="badge bg-inverse-primary">Active</span>';
					}
					if (x.status === "0") {
						spanData ='<span class="badge bg-inverse-success">Inactive</span>';
					}
					table.append(
						"<tr><td>" +
							num +
						"</td>" +						
						"<td>EST-"+twoDigitYear+"-00" +
						x.est_seq +
						"</td>" + 
						"<td>" +
						x.name +
						"</td>" + 
						"<td>" +
						x.subcategory +
						"</td>" + 
						"<td>" +
						x.shoot_type +
						"</td>" + 
						"<td>" +
						x.event_date +
						"</td>" + 
						"<td>" +
						spanData +
						"</td>"							  
					);
				});
			  }
			},
		  });			
		}
		
		function getCustomersPaymentsList() {
			var table = $(".customerspaymentslist tbody");
			let num = 0;
			$.ajax({
				type: "GET",
				url:
				  "https://efflo.xyz/App/api.php?gofor=customerspaymentslist&customer_id=" +
            customer_id,
			  success: function (data) {				  
			  if(data == ""){						
				table.append(
					"<tr><td colspan='7' align='center'><div class='no-data-tab-div'><h1><i class='fa fa-smile-o no-data-icon'></i></h1><p>No Data Found</p></td></div></tr>"
				);
			  } else {
				data.forEach(x=>{					 
					//alert(x.name);
					num++;
					let spanData = "";
					if (x.status === "1") {
						spanData ='<span class="badge bg-inverse-primary">Paid</span>';
					}
					if (x.status === "0") {
						spanData ='<span class="badge bg-inverse-success">Unpaid</span>';
					}
					table.append(
						"<tr><td>" +
							num +
						"</td>" +
						"<td>" +
						x.payment_id +
						"</td>" + 
						"<td>ORD-"+twoDigitYear+"-00" +
						x.ord_seq +
						"</td>" +
						"<td>"+
						x.payment_method +
						"</td>" + 
						"<td>" +
						x.date +
						"</td>" + 
						"<td>" +
						x.amount_paying +
						"</td>" + 						
						"<td>" +
						spanData +
						"</td>"							  
					);
				});
			  }
			},
		  });			
		}
		
		function getCusReferralCustomersList() {
			var table = $(".cusreferralcustomerslist tbody");
			let num = 0;
			$.ajax({
				type: "GET",
				url:
				  "https://efflo.xyz/App/api.php?gofor=cusreferralcustomerslist&customer_id=" +
            customer_id,
			  success: function (data) {				  
			  if(data == ""){						
				table.append(
					"<tr><td colspan='7' align='center'><div class='no-data-tab-div'><h1><i class='fa fa-smile-o no-data-icon'></i></h1><p>No Data Found</p></td></div></tr>"
				);
			  } else {
				data.forEach(x=>{					 
					//alert(x.name);
					num++;
					let spanData = "";
					if (x.status === "1") {
						spanData ='<span class="badge bg-inverse-primary">Active</span>';
					}
					if (x.status === "0") {
						spanData ='<span class="badge bg-inverse-success">Inactive</span>';
					}
					
					table.append(
						"<tr><td>" +
							num +
						"</td>" +
						"<td>" +
						x.name +
						"</td>" + 
						"<td>" +
						x.mobileno +
						"</td>" +
						"<td>"+
						x.subcategory +
						"</td>" + 
						"<td>" +
						x.event_date +
						"</td>" + 
						"<td>" +
						spanData +
						"</td>" + 						
						"<td>NA</td>"							  
					);
				});
			  }
			},
		  });			
		}
		
		function getCusReferralLeadsList() {
			var table = $(".cusreferralleadslist tbody");
			let num = 0;
			$.ajax({
				type: "GET",
				url:
				  "https://efflo.xyz/App/api.php?gofor=cusreferralleadslist&customer_id=" +
            customer_id,
			  success: function (data) {				  
			  if(data == ""){						
				table.append(
					"<tr><td colspan='7' align='center'><div class='no-data-tab-div'><h1><i class='fa fa-smile-o no-data-icon'></i></h1><p>No Data Found</p></td></div></tr>"
				);
			  } else {
				data.forEach(x=>{					 
					//alert(x.name);
					num++;
					let spanData = "";
					if (x.status === "1") {
						spanData ='<span class="badge bg-inverse-primary">Active</span>';
					}
					if (x.status === "0") {
						spanData ='<span class="badge bg-inverse-success">Inactive</span>';
					}
					
					table.append(
						"<tr><td>" +
							num +
						"</td>" +
						"<td>" +
						x.name +
						"</td>" + 
						"<td>" +
						x.mobileno +
						"</td>" +
						"<td>"+
						x.subcategory +
						"</td>" + 
						"<td>" +
						x.event_date +
						"</td>" + 
						"<td>" +
						spanData +
						"</td>" + 						
						"<td>" +
						x.next_followup +
						"</td>"							  
					);
				});
			  }
			},
		  });			
		}
		
		function getCustomersFeedbacksList() {
			var table = $(".customersfeedbackslist tbody");
			let num = 0;
			$.ajax({
				type: "GET",
				url:
				  "https://efflo.xyz/App/api.php?gofor=customersfeedbackslist&customer_id=" +
            customer_id,
			  success: function (data) {				  
			  if(data == ""){						
				table.append(
					"<tr><td colspan='7' align='center'><div class='no-data-tab-div'><h1><i class='fa fa-smile-o no-data-icon'></i></h1><p>No Data Found</p></td></div></tr>"
				);
			  } else {
				data.forEach(x=>{					 
					//alert(x.name);
					num++;
					let spanData = "";
					if (x.status === "1") {
						spanData ='<span class="badge bg-inverse-primary">Active</span>';
					}
					if (x.status === "0") {
						spanData ='<span class="badge bg-inverse-success">Inactive</span>';
					}
					if (x.vendor_name === "" || x.vendor_name === null) {
						fname = x.employee_name;
					} else {
						fname = x.vendor_name;
					}
					
					table.append(
						"<tr><td>" +
							num +
						"</td>" +
						"<td>" +
						fname +
						"</td>" + 
						"<td>" +
						x.type +
						"</td>" +
						"<td>"+
						x.title +
						"</td>" + 
						"<td>" +
						x.details +
						"</td>" + 
						"<td>ORD-"+twoDigitYear+"-00" +
						x.ord_seq +
						"</td>" + 						
						"<td>" +
						x.solution +
						"</td>"							  
					);
				});
			  }
			},
		  });			
		}
				
      });
    </script>
		<?php include "common-script.php";?>
    </body>
</html>