<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0" />
  <?php include "meta-title.php"; ?>

  <!-- Favicon -->
  <link rel="shortcut icon" type="image/x-icon" href="assets/img/favicon.png" />

  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

  <!-- Fontawesome CSS -->
  <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

  <!-- Lineawesome CSS -->
  <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

  <!-- Select2 CSS -->
  <link rel="stylesheet" href="assets/css/select2.min.css" />

  <!--- Lightbox -->
  <link rel="stylesheet" href="assets/css/lightbox.min.css" />

  <!-- Main CSS -->
  <link rel="stylesheet" href="assets/css/style.css" />

  <link rel="stylesheet" href="assets/css/vendor.css" />

  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->

  <style>
    .prefill-image {
      height: 50px;
      width: 80px;
      display: flex;
      object-fit: cover;
      flex-flow: column;
      justify-content: center;
      overflow: hidden;
      background: #ececec;
    }
  </style>
  <style>
    .btn-group-sm>.btn,
    .btn-sm {
      padding: 0.15rem 0.9rem;
      font-size: 0.775rem;
    }
  </style>
</head>

<body>
  <!-- Main Wrapper -->
  <div class="main-wrapper">
    <!-- Header -->
    <?php include "header.php"; ?>
    <!-- /Header -->

    <!-- Sidebar -->
    <?php include "sidebar.php"; ?>
    <!-- /Sidebar -->

    <!-- Page Wrapper -->
    <div class="page-wrapper">
      <!-- Page Content -->
      <div class="content container-fluid">
        <!-- Page Header -->
        <div class="page-header">
          <div class="row align-items-center">
            <div class="col">
              <h3 class="page-title">Customers</h3>
              <ul class="breadcrumb">
                <li class="breadcrumb-item">
                  <a href="dashboard.php">Dashboard</a>
                </li>
                <li class="breadcrumb-item active">Customers</li>
              </ul>
            </div>
            <div class="col-auto float-right ml-auto">
              <div class="circle-btn">
                <a href="#" data-toggle="modal" data-target="#add_client">
                  <div class="circle-container">
                    <div class="circle-div">+</div>
                  </div>
                </a>
              </div>
            </div>
          </div>
        </div>
        <!-- /Page Header -->

        <form class="settleBills" id="settleDetailsForm">
          <div class="row filter-row">
            <div class="col-sm-6 col-md-4">
              <div class="form-group form-focus">
                <div class="cal-icon">
                  <input class="form-control floating datetimepicker" type="text" id="stdate" name="FROM" value="<?php echo (isset($stdate)) ? $stdate : ''; ?>">
                </div>
                <label class="focus-label">From</label>
              </div>
            </div>
            <div class="col-sm-6 col-md-4">
              <div class="form-group form-focus">
                <div class="cal-icon">
                  <input class="form-control floating datetimepicker" type="text" id="endate" name="TO" value="<?php echo (isset($endate)) ? $endate : ''; ?>">
                </div>
                <label class="focus-label">To</label>
              </div>
            </div>

            <div class="col-sm-6 col-md-4">
              <button class="btn btn-success btn-sm mr-2" id="search-action" type="submit">Submit</button>
              <button class="btn btn-dark btn-sm" id="reset-action">Reset</button>
            </div>
          </div>
        </form>
        <div class="row filter-row mt-3 mb-3">
          <div class="col-sm-6 col-md-5"></div>
          <div class="col-sm-6 col-md-7">
            <div class="align-items-center d-flex">
              <select class="form-control text-sm w-25" id="filterByEventType">
                <option value="">All</option>
              </select>
              <label class="align-items-center d-flex mb-0 pl-4 w-75">Search:<input type="search" id="filterSearch" class="form-control form-control-sm ml-2 py-3" placeholder="" aria-controls="DataTables_Table_0"></label>
            </div>
          </div>
        </div>
        <div class="row staff-grid-row"></div>
      </div>
      <!-- /Page Content -->

      <!-- Add Client Modal -->
      <div id="add_client" class="modal custom-modal fade" role="dialog">
        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title">Add Customers</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <form id="addForm">
                <div class="row">
                  <div class="col-md-6 category_div" id="category_div">
                    <label class="col-form-label">Subcategory</label>
                    <select class="form-control select2" id="subcategory" name="subcategory" style="width:100%">
                      <option value="">Choose</option>

                    </select>
                  </div>
                  <div class="col-md-6 sub_category_div" id="sub_category_div">
                    <label class="col-form-label">Type of Shoot<span class="text-danger">*</span></label>
                    <select class="form-control select2" id="shoot_type" name="shoot_type" style="width:100%">
                      <option value="">Choose</option>
                    </select>
                  </div>

                  <div class="col-md-6 cname">
                    <div class="form-group">
                      <label class="col-form-label">Customer Name
                        <span class="text-danger">*</span></label>
                      <input class="form-control" type="text" name="name" />
                      <span class="error-message" id="nameErr"></span>
                    </div>
                  </div>
                  <div class="col-md-6 cmobile">
                    <div class="form-group">
                      <label class="col-form-label">Mobile No<span class="text-danger">*</span></label>
                      <input class="form-control" type="text" name="mobileno" />
                      <span class="error-message" id="mobileErr"></span>
                    </div>
                  </div>
                  <div class="col-md-6 cmobile">
                    <div class="form-group">
                      <label class="col-form-label">Secondary Mobile </label>
                      <input class="form-control" type="text" name="secon_mobileno" />
                    </div>
                  </div>
                  <div class="col-md-6 cmobile">
                    <div class="form-group">
                      <label class="col-form-label">Email<span class="text-danger">*</span></label>
                      <input class="form-control" type="text" name="email" />
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div class="form-group">
                      <label class="col-form-label">Aadhar Number</label>
                      <input class="form-control" type="text" name="aadhar_num" />
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div class="form-group">
                      <label class="col-form-label">PAN Number</label>
                      <input class="form-control" type="text" name="pan_num" />
                    </div>
                  </div>
                  <div class="col-md-6 csource">
                    <div class="form-group">
                      <label class="col-form-label">Source <span class="text-danger">*</span></label>
                      <select class="form-control" id="source" name="source">
                        <option value="">Select Source</option>

                      </select>
                      <span class="error-message" id="sourceErr"></span>
                    </div>
                  </div>
                  <div class="col-md-6 crefer">
                    <div class="form-group">
                      <label class="col-form-label">Referrer Name</label>
                      <input class="form-control floating" type="text" name="referrer_name" />
                    </div>
                  </div>

                  <div class="col-md-6 crefer">
                    <div class="form-group">
                      <label class="col-form-label">Referrer Number</label>
                      <input class="form-control floating" type="text" name="referrer_number" />
                    </div>
                  </div>

                  <div class="col-md-6">
                    <div class="form-group">
                      <label class="col-form-label">Photo </label>
                      <div class="photo-upload-group d-flex">
                        <input class="form-control floating" type="file" id="photo" />
                        <div class="prefill-image"></div>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-6 ccontact">
                    <div class="form-group">
                      <label class="col-form-label">Contact Saved as</label>
                      <input class="form-control" type="text" name="contact_saved" />
                    </div>
                  </div>

                  <div class="col-md-6 cevent_date">
                    <div class="form-group">
                      <label class="col-form-label">Event Date</label>
                      <input class="form-control floating" type="text" name="event_date" />
                    </div>
                  </div>
                  <div class="col-md-6 cevent_venue">
                    <div class="form-group">
                      <label class="col-form-label">Event Venue </label>
                      <input class="form-control floating" type="text" name="location" />
                    </div>
                  </div>

                  <div class="col-md-6">
                    <div class="form-group">
                      <label class="col-form-label">Remarks </label>
                      <textarea class="form-control floating" name="remarks"></textarea>
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div class="form-group">
                      <label class="col-form-label">Active Status
                        <span class="text-danger">*</span></label>
                      <select class="form-control" id="status" name="status">
                        <option>Select Status</option>
                        <option value="1">Active</option>
                        <option value="0">Inactive</option>
                      </select>
                      <span class="error-message" id="statusErr"></span>
                    </div>
                  </div>
                </div>

                <div class="submit-section">
                  <button class="btn btn-primary submit-btn">Submit</button>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
      <!-- /Add Client Modal -->
    </div>
    <!-- /Page Wrapper -->
  </div>
  <!-- /Main Wrapper -->

  <!-- Toast -->
  <div class="toast" role="alert" aria-live="assertive" aria-atomic="true" data-delay="2000" style="position: absolute; top: 5rem; right: 1rem">
    <div>
      <strong class="mr-auto toast-header"></strong>
      <button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Close">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="toast-body"></div>
  </div>
  <!-- /Toast -->

  <!-- jQuery -->
  <script src="assets/js/jquery-3.5.1.min.js"></script>

  <!-- Bootstrap Core JS -->
  <script src="assets/js/popper.min.js"></script>
  <script src="assets/js/bootstrap.min.js"></script>

  <!--- Lightbox -->
  <script src="assets/js/lightbox.min.js"></script>

  <!-- Slimscroll JS -->
  <script src="assets/js/jquery.slimscroll.min.js"></script>

  <!-- Select2 JS -->
  <script src="assets/js/select2.min.js"></script>
  <script src="assets/js/moment.min.js"></script>
  <script src="assets/js/bootstrap-datetimepicker.min.js"></script>
  <!-- Custom JS -->
  <script src="assets/js/app.js"></script>

  <script language="javascript" type="text/javascript">
    function dynamicdropdown(listindex) {
      document.getElementById("shoot_type").options.length = 0;
      switch (listindex) {
        case "Wedding":
          document.getElementById("shoot_type").options[0] = new Option(
            "Choose",
            ""
          );
          document.getElementById("shoot_type").options[1] = new Option(
            "Wedding(Full)",
            "Wedding(Full)"
          );
          document.getElementById("shoot_type").options[2] = new Option(
            "Wedding(Half)",
            "Wedding(Half)"
          );
          document.getElementById("shoot_type").options[3] = new Option(
            "Reception",
            "Reception"
          );
          document.getElementById("shoot_type").options[4] = new Option(
            "Engagement",
            "Engagement"
          );
          document.getElementById("shoot_type").options[5] = new Option(
            "Babyshower",
            "Babyshower"
          );
          document.getElementById("shoot_type").options[6] = new Option(
            "Birthday",
            "Birthday"
          );
          document.getElementById("shoot_type").options[7] = new Option(
            "Puberty",
            "Puberty"
          );
          document.getElementById("shoot_type").options[8] = new Option(
            "Housewarming",
            "Housewarming"
          );
          document.getElementById("shoot_type").options[9] = new Option(
            "Ear Piercing",
            "Ear Piercing"
          );
          document.getElementById("shoot_type").options[10] = new Option(
            "Opening Ceremony",
            "Opening Ceremony"
          );
          document.getElementById("shoot_type").options[11] = new Option(
            "Others",
            "Others"
          );
          break;
        case "Baby Salem":
          document.getElementById("shoot_type").options[0] = new Option(
            "Choose",
            ""
          );
          document.getElementById("shoot_type").options[1] = new Option(
            "Baby",
            "Baby"
          );
          document.getElementById("shoot_type").options[2] = new Option(
            "Maternity",
            "Maternity"
          );
          document.getElementById("shoot_type").options[3] = new Option(
            "Familyshoot",
            "Familyshoot"
          );
          document.getElementById("shoot_type").options[4] = new Option(
            "Others",
            "Others"
          );
          break;
        case "Baby Erode":
          document.getElementById("shoot_type").options[0] = new Option(
            "Choose",
            ""
          );
          document.getElementById("shoot_type").options[1] = new Option(
            "Baby",
            "Baby"
          );
          document.getElementById("shoot_type").options[2] = new Option(
            "Familyshoot",
            "Familyshoot"
          );
          document.getElementById("shoot_type").options[3] = new Option(
            "Others",
            "Others"
          );
          break;
      }
      return true;
    }
  </script>
  <script language="javascript" type="text/javascript">
    $(function() {
      $(".crefer").hide();
      $("#source").change(function() {
        if ($("#source").val() == "Referral") {
          $(".crefer").show();
        } else {
          $(".crefer").hide();
        }
      });
      $(".AgeCalc").on("dp.change", function(e) {
        var dob = e.date.format(e.date._f);
        //alert(dob);
        var birth = dob;
        // convert user input value into date object
        var birthDate = new Date(birth);
        console.log(" birthDate" + birthDate);

        // get difference from current date;
        var difference = Date.now() - birthDate.getTime();

        var ageDate = new Date(difference);
        var calculatedAge = Math.abs(ageDate.getUTCFullYear() - 1970);
        $("#age").val(calculatedAge);
      });
    });
  </script>

  <script>
    var customerData = "";
    var actionType = "addcustomers";
    var customerId = "";
    $(document).ready(async function() {
      getSubcategoryList();
      getSourceList();
      getShootList();
      const uid = sessionStorage.getItem("user_id");
      var table = $(".staff-grid-row");
      await getCustomers();

      $(document).on("click", ".delete_user", (e) => {
        const lId =
          e.target.parentElement.getAttribute("data-customer-id");

        Swal.fire({
          title: "Are you sure! want to delete?",
          text: "",
          icon: "warning",
          showCancelButton: true,
          confirmButtonColor: "#3085d6",
          cancelButtonColor: "#d33",
          confirmButtonText: "Yes",
        }).then((result) => {
          if (result.isConfirmed) {
            $.ajax({
              type: "GET",
              url: "https://efflo.xyz/App/api.php?gofor=customersdelete&customer_id=" +
                lId,
              success: function(data) {
                window.location.reload();
                setTimeout(() => {
                  showNotification("Deleted Successfully");
                }, 2000);
              },
            });
          }
        });
      });

      $(document).on("click", ".edit_user", (e) => {
        actionType = "editcustomers";
        customerId =
          e.target.parentElement.getAttribute("data-customer-id");

        var selectedcustomerData = customerData.find(
          (l) => l.customer_id === customerId.toString()
        );

        var entries = Object.entries(selectedcustomerData);

        for ([key, value] of entries) {
          if (
            key !== "user_id" &&
            key !== "customer_id" &&
            value !== "" &&
            key !== "created_date" &&
            key !== "modified_date"
          ) {
            $("[name=" + key + "]").val(value);

            // set source dependent dropdowns
            if (key === "source") {
              if (value === "Referral") {
                $("#rname").removeClass("d-none");
                $("#rnumber").removeClass("d-none");
              } else {
                $("#rname").addClass("d-none");
                $("#rnumber").addClass("d-none");
              }
            }

            if (key === "photo") {
              if (value) {
                $('.prefill-image').show();
                $(".prefill-image").html(
                  '<a href="' +
                  value +
                  '" data-lightbox="image-1" data-title="My caption"><img width="80px" data-lightbox="image-1" style="cursor: pointer" class="edit-image" src="' +
                  value +
                  '"></a>'
                );
              } else {
                $('.prefill-image').hide();
              }
            }
          }
        }
        $("#add_client").modal("show");
      });

      $("#photo").change(function(el) {
        $('.submit-btn').attr('disabled', true);
        var file = el.target.files[0];
        var reader = new FileReader();
        reader.onloadend = function() {
          $(".prefill-image").html(
            '<a href="' +
            reader.result +
            '" data-lightbox="image-1" data-title="My caption"><img width="80px" data-lightbox="image-1" style="cursor: pointer" class="edit-image" src="' +
            reader.result +
            '"></a>'
          );
          const replaceBaseSrc = reader.result.split("base64,")[1];

          var data = {
            gofor: "customer_photo_post",
            user_id: sessionStorage.getItem("user_id"),
            photo: replaceBaseSrc,
          };
          uploadImage(data);
        };
        reader.readAsDataURL(file);
      });

      function uploadImage(postData) {
        $.ajax({
          type: "POST",
          url: "https://efflo.xyz/App/api.php",
          contentType: 'application/json; charset=UTF-8',
          cache: false,
          data: JSON.stringify(postData),
          success: function(data) {
            window.photo = data;
            $('.submit-btn').attr('disabled', false);
          },
          error: function(e) {
            console.log(e);
            $('.submit-btn').attr('disabled', false);
          },
        });
      }

      $(".submit-btn").click((e) => {
        e.preventDefault();
        // Get form
        var form = $("#addForm")[0];

        // Create an FormData object
        var data = new FormData(form);
        data.append("gofor", actionType);
        data.append("user_id", sessionStorage.getItem("user_id"));
        data.append("photo", window.photo);
        if (actionType === "editcustomers") {
          data.append("customer_id", customerId);
        }
        var jsonData = JSON.stringify(Object.fromEntries(data));

        // Validation form
        function printError(elemId, hintMsg) {
          document.getElementById(elemId).innerHTML = hintMsg;
        }

        // Defining error variables with a default value
        var sourceErr = (nameErr = mobileErr = statusErr = true);

        if ($("#source").val() == "") {
          printError("sourceErr", "Please select your source");
        } else {
          printError("sourceErr", "");
          sourceErr = false;
        }

        if ($("input[name='name']").val() == "") {
          printError("nameErr", "Please enter name");
        } else {
          printError("nameErr", "");
          nameErr = false;
        }

        // Validate mobile number
        if ($("input[name='mobileno']").val() == "") {
          printError("mobileErr", "Please enter your mobile number");
        } else {
          var regex = /^[1-9]\d{9}$/;
          if (regex.test($("input[name='mobileno']").val()) === false) {
            printError(
              "mobileErr",
              "Please enter a valid 10 digit mobile number"
            );
          } else {
            printError("mobileErr", "");
            mobileErr = false;
          }
        }

        // Validate status
        if ($("#status").val() == "") {
          printError("statusErr", "Please select your status");
        } else {
          printError("statusErr", "");
          statusErr = false;
        }

        // Prevent the form from being submitted if there are any errors
        if ((sourceErr || nameErr || mobileErr || statusErr) == true) {
          return false;
        }

        $.ajax({
          type: "POST",
          enctype: "multipart/form-data",
          url: "https://efflo.xyz/App/api.php",
          data: jsonData,
          processData: false,
          contentType: false,
          cache: false,
          success: function(data) {
            window.location.reload();
            setTimeout(() => {
              $(".toast-header strong").text("Added");
              $(".toast-body").text("customer Added Successfully");
              $(".toast").toast("show");
            }, 1000);
          },
          error: function(xhr, status, error) {
            console.error("AJAX request failed:", status, error);
          }
        });
      });

      function getSubcategoryList() {
        $.ajax({
          type: "GET",
          url: "https://efflo.xyz/App/api.php?gofor=subcategorylist&user_id=" +
            sessionStorage.getItem("user_id"),
          success: function(data) {
            var $dropdown = $("#subcategory");
            $.each(data, function() {
              $dropdown.append(
                "<option value='" +
                this.name +
                "'>" +
                this.name +
                "</option>"
              );
            });
          },
        });
      }

      function getSourceList() {
        $.ajax({
          type: "GET",
          url: "https://efflo.xyz/App/api.php?gofor=refsourcelist&user_id=" +
            sessionStorage.getItem("user_id"),
          success: function(data) {
            var $dropdown = $("#source");
            $.each(data, function() {
              $dropdown.append(
                "<option value='" +
                this.name +
                "'>" +
                this.name +
                "</option>"
              );
            });
          },
        });
      }

      function getShootList() {
        $.ajax({
          type: "GET",
          url: "https://efflo.xyz/App/api.php?gofor=shootlist&user_id=" +
            sessionStorage.getItem("user_id"),
          success: function(data) {
            var $dropdown = $("#shoot_type");
            $.each(data, function() {
              $dropdown.append(
                "<option value='" +
                this.name +
                "'>" +
                this.name +
                "</option>"
              );
            });
          },
        });
      }

      function getCustomers() {
        var urlParams = new URLSearchParams(window.location.search);

        // Get the value of a specific parameter
        var fromDate = urlParams.get('FROM');
        var toDate = urlParams.get('TO');

        if(fromDate) {
          $('#stdate').val(fromDate)
          $('#stdate').parent().parent().addClass('focused')
        }

        if(toDate) {
          $('#endate').val(toDate)
          $('#endate').parent().parent().addClass('focused')
        }

        const url = (fromDate && toDate) ? `https://efflo.xyz/App/api.php?gofor=customerslist&user_id=${uid}&FROM=${fromDate}&TO=${toDate}` : `https://efflo.xyz/App/api.php?gofor=customerslist&user_id=${uid}`;
        return $.ajax({
          type: "GET",
          url: url,
          success: function(data) {
            table.empty();
            customerData = data;
            if(data.length === 0) {
              table.append('<div class="d-flex justify-content-center w-100 p-20">No Results found</div>')
            } else {
              $.each(data, function(a, b) {
                table.append(
                  '<div class="col-md-4 col-sm-6 col-12 col-lg-4 col-xl-3 search-div">' +
                  '<div class="profile-widget">' +
                  '<div class="profile-img">' +
                  '<a href="customer-detail.php?cust_id=' +
                  b.customer_id +
                  '"" class="avatar"><img style="width: 80px; height: 80px; object-fit: cover;" alt="" src="' +
                  (b.photo ? b.photo : "assets/img/placeholder.jpg") +
                  '"></a>' +
                  "</div>" +
                  '<div class="dropdown profile-action">' +
                  '<span class="text-danger delete_user" data-customer-id="' +
                  b.customer_id +
                  '"><i class="sl-icon-trash fa-lg m-r-5"></i></span>' +
                  '<span class="text-success edit_user" data-customer-id="' +
                  b.customer_id +
                  '"><i class="sl-icon-pencil fa-lg m-r-5"></i></span>' +
                  "</div>" +
                  '<h4 class="user-name m-t-10 mb-0 text-ellipsis searchable"><a href="customer-detail.php?cust_id=' +
                  b.customer_id +
                  '"">' +
                  b.name +
                  "</a></h4>" +
                  '<h5 class="user-name m-t-10 mb-0 text-ellipsis searchable"><a href="customer-detail.php?cust_id=' +
                  b.customer_id +
                  '"">' +
                  b.location +
                  "</a></h5>" +
                  '<div class="small text-muted searchable" style="padding: 20px 0px 0px 0px;">' +
                  b.mobileno +
                  "</div>" +
                  '<a href="https://api.whatsapp.com/send?phone=' +
                  b.mobileno +
                  '&text=Welcome!%20to%20Carnival%20Photography..." target="_blank" class="btn btn-primary btn-sm m-t-10 mr-1">Connect</a>' +
                  '<a href="customer-detail.php?cust_id=' +
                  b.customer_id +
                  '"" class="btn btn-purple btn-sm m-t-10">Profile</a>' +
                  "</div>" +
                  "</div>"
                );
              });
            }
          },
          error: function(e) {
            $("#output").text(e.responseText);
            console.log("ERROR : ", e);
          },
        });
      }

      $(document).on("click", "#reset-action", (e) => {
        e.preventDefault();
        window.location.href = window.location.origin + window.location.pathname;
      });

      //reset form on modal close
      $("#add_client").on("hidden.bs.modal", function() {
        $(this).find("form").trigger("reset");
        $(".prefill-image").html("");
        actionType = "addcustomers";
      });
    });
  </script>
  <script>
    lightbox.option({
      resizeDuration: 200,
      wrapAround: true,
    });
  </script>
  <script>
    // Search and sort div
    $(document).ready(function() {
      $("#filterSearch").keyup(function() {
        var filter = $(this).val();
        $(".search-div").each(function() {
          var $i = 0;
          $(this)
            .find(".searchable")
            .each(function() {
              if ($(this).text().search(new RegExp(filter, "i")) >= 0) {
                $i++;
              }
            });
          if ($i > 0) {
            $(this).closest(".search-div").show();
          } else {
            $(this).closest(".search-div").hide();
          }
        });
      });
    });
  </script>
  <script>
    $('.select2').select2();
  </script>
  <?php include "common-script.php"; ?>
</body>

</html>