<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
        <?php include "meta-title.php";?>
		
		<!-- Favicon -->
        <link rel="shortcut icon" type="image/x-icon" href="assets/img/favicon.png">
		
		<!-- Bootstrap CSS -->
        <link rel="stylesheet" href="assets/css/bootstrap.min.css">
		
		<!-- Fontawesome CSS -->
        <link rel="stylesheet" href="assets/css/font-awesome.min.css">
		
		<!-- Lineawesome CSS -->
        <link rel="stylesheet" href="assets/css/line-awesome.min.css">
		
		<!-- Select2 CSS -->
		<link rel="stylesheet" href="assets/css/select2.min.css">
		
		<!-- Datetimepicker CSS -->
		<link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css">
		
		<!-- Datatable CSS -->
		<link rel="stylesheet" href="assets/css/dataTables.bootstrap4.min.css">
		
		<!-- Main CSS -->
        <link rel="stylesheet" href="assets/css/style.css">
		<link rel="stylesheet" href="assets/css/vendor.css">
		
		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!--[if lt IE 9]>
			<script src="assets/js/html5shiv.min.js"></script>
			<script src="assets/js/respond.min.js"></script>
		<![endif]-->
    </head>
    <body>
		<!-- Main Wrapper -->
        <div class="main-wrapper">
		
			<!-- Header -->
            <?php include "header.php";?>
			<!-- /Header -->
			
			<!-- Sidebar -->
            <?php include "sidebar.php";?>
			<!-- /Sidebar -->
			
			<!-- Page Wrapper -->
            <div class="page-wrapper">
			
				<!-- Page Content -->
                <div class="content container-fluid">
				
					<!-- Page Header -->
					<div class="page-header">
						<div class="row align-items-center">
							<div class="col">
								<h3 class="page-title">Departments</h3>
								<ul class="breadcrumb">
									<li class="breadcrumb-item"><a href="dashboard.php">Dashboard</a></li>
									<li class="breadcrumb-item active">Departments</li>
								</ul>
							</div>
							<div class="col-auto float-right ml-auto">
								<div class="circle-btn">
									<a href="#" data-toggle="modal" data-target="#add_indicator"><div class="circle-container"><div class="circle-div">+</div></div></a>
								</div>
							</div>
						</div>
					</div>
					<!-- /Page Header -->
					
					<div class="row special">
						<div class="col-md-12">
							<div class="card-group special-box m-b-30">
								<div class="card">
									<div class="card-body">
										<h3 class="mb-1 box-div-number">112</h3>
										<div class="d-flex justify-content-between mb-3">
											<div class="box-div-content">
												<span class="d-block">New </span>
											</div>
											<div>
												<span class="text-success"></span>
											</div>
										</div>
										
										<div class="progress mb-2" style="height: 5px;">
											<div class="progress-bar bg-info1" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
										</div>
									</div>
								</div>
							
								<div class="card">
									<div class="card-body">
										<h3 class="mb-1 box-div-number">70</h3>
										<div class="d-flex justify-content-between mb-3">
											<div class="box-div-content">
												<span class="d-block">Pending</span>
											</div>
											<div>
												<span class="text-success"></span>
											</div>
										</div>
										
										<div class="progress mb-2" style="height: 5px;">
											<div class="progress-bar bg-primary1" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
										</div>
									</div>
								</div>
							
								<div class="card">
									<div class="card-body">
										<h3 class="mb-1 box-div-number">100</h3>
										<div class="d-flex justify-content-between mb-3">
											<div class="box-div-content">
												<span class="d-block">Active</span>
											</div>
											<div>
												<span class="text-danger"></span>
											</div>
										</div>
										
										<div class="progress mb-2" style="height: 5px;">
											<div class="progress-bar bg-danger1" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
										</div>
									</div>
								</div>
							
								<div class="card">
									<div class="card-body">
										<h3 class="mb-1 box-div-number">125</h3>
										<div class="d-flex justify-content-between mb-3">
											<div class="box-div-content">
												<span class="d-block">Inactive</span>
											</div>
											<div>
												<span class="text-danger"></span>
											</div>
										</div>
										
										<div class="progress mb-2" style="height: 5px;">
											<div class="progress-bar bg-success1" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
										</div>
									</div>
								</div>
							</div>
						</div>	
					</div>
					
					<div class="row">
						<div class="col-md-12">
							<div class="table-responsive">
								<table class="table table-striped custom-table mb-0">
									<thead>
										<tr>
											<th>#</th>
											<th>Department</th>
											<th>Status</th>
											<th class="text-right">Action</th>
										</tr>
									</thead>
									<tbody>
										<tr>
											
										</tr>
									</tbody>
								</table>
							</div>
						</div>
					</div>
                </div>
				<!-- /Page Content -->

				<!-- Add Performance Indicator Modal -->
				<div id="add_indicator" class="modal custom-modal fade" role="dialog">
					<div class="modal-dialog modal-dialog-centered modal-lg" role="document">
						<div class="modal-content">
							<div class="modal-header">
								<h5 class="modal-title">Add Departments</h5>
								<button type="button" class="close" data-dismiss="modal" aria-label="Close">
									<span aria-hidden="true">&times;</span>
								</button>
							</div>
							<div class="modal-body">
								<form>
								  <div class="row">
									<div class="col-md-12">
									  <div class="form-group">
										<label class="col-form-label"
										  >Departments <span class="text-danger">*</span></label
										>
										<select
										  class="form-control"
										  id="departments"
										  name="departments"
										  multiple="multiple"
										>
										</select>
									  </div>
									</div>

									<div class="col-sm-12">
									  <div class="form-group">
										<label class="col-form-label">Status</label>
										<select class="select">
										  <option>Active</option>
										  <option>Inactive</option>
										</select>
									  </div>
									</div>
								  </div>
								  <div class="submit-section">
									<button class="btn btn-primary submit-btn">Submit</button>
								  </div>
								</form>
							</div>
						</div>
					</div>
				</div>
				<!-- /Add Performance Indicator Modal -->
				
				<!-- Edit Performance Indicator Modal -->
				
				<!-- /Edit Performance Indicator Modal -->
				
				<!-- Delete Performance Indicator Modal -->
				<div class="modal custom-modal fade" id="delete_indicator" role="dialog">
					<div class="modal-dialog modal-dialog-centered">
						<div class="modal-content">
							<div class="modal-body">
								<div class="form-header">
									<h3>Delete Performance Indicator List</h3>
									<p>Are you sure want to delete?</p>
								</div>
								<div class="modal-btn delete-action">
									<div class="row">
										<div class="col-6">
											<a href="javascript:void(0);" class="btn btn-primary continue-btn">Delete</a>
										</div>
										<div class="col-6">
											<a href="javascript:void(0);" data-dismiss="modal" class="btn btn-primary cancel-btn">Cancel</a>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<!-- /Delete Performance Indicator Modal -->
			
            </div>
			<!-- /Page Wrapper -->

        </div>
		<!-- /Main Wrapper -->
		
		<!-- jQuery -->
        <script src="assets/js/jquery-3.5.1.min.js"></script>
		
		<!-- Bootstrap Core JS -->
        <script src="assets/js/popper.min.js"></script>
        <script src="assets/js/bootstrap.min.js"></script>
		
		<!-- Slimscroll JS -->
		<script src="assets/js/jquery.slimscroll.min.js"></script>
				
		<!-- Select2 JS -->
		<script src="assets/js/select2.min.js"></script>
		
		<!-- Datatable JS -->
		<script src="assets/js/jquery.dataTables.min.js"></script>
		<script src="assets/js/dataTables.bootstrap4.min.js"></script>
		
		<!-- Datetimepicker JS -->
		<script src="assets/js/moment.min.js"></script>
		<script src="assets/js/bootstrap-datetimepicker.min.js"></script>
		
		<!-- Custom JS -->
		<script src="assets/js/app.js"></script>
<script>
      var departmentData = "";
      var actionType = "adddepartments";
      var departmentId = "";
	  
      $(document).ready(function () {
		const uid = sessionStorage.getItem("user_id");
		var table = $(".custom-table tbody");
		getDepartments();
		
		$.ajax({
          type: "GET",
          url:
            "https://efflo.xyz/App/api.php?gofor=userdepartmentlist&user_id="+
            uid,
          success: function (data) {
            table.empty();
			departmentData = data;
			$.each(data, function (a, b) {
				let spanData = "";
				if (b.status === "1") {
					spanData =
						'<span class="badge bg-inverse-success">Active</span>';
				}
				if (b.status === "0") {
					spanData =
						'<span class="badge bg-inverse-danger">Inactive</span>';
				}
			  table.append(
				'<tr><td>' +
				  b.department_id +
				  '</td>' +
				  '<td>' +
				  b.department_name +
				  '</td>' +
				  '<td>' +
				  spanData +
				  '</td>' +					  
				  '<td class="text-right"><span class="text-danger delete_user" data-department-id="' +
                  b.udep_id +
                  '"><i class="sl-icon-trash fa-lg m-r-5"></i></span></td></tr>'
			  );
			});
			
			//   $('.custom-table').DataTable();
            $(".custom-table").dataTable({
              paging: true,
              searching: true,
              pageLength: 10,
              
            });
			
			$(document).on("click", ".delete_user", (e) => {				
				const lId = e.target.parentElement.getAttribute("data-department-id");				
				
				Swal.fire({
				  title: 'Are you sure! want to delete?',
				  text: "",
				  icon: 'warning',
				  showCancelButton: true,
				  confirmButtonColor: '#3085d6',
				  cancelButtonColor: '#d33',
				  confirmButtonText: 'Yes'
				}).then((result) => {
				  if (result.isConfirmed) {
					$.ajax({
					type: "GET",
					url:
					  "https://efflo.xyz/App/api.php?gofor=unselectdepartment&udep_id="+lId,
					success: function (data) {
					  window.location.reload();
					  setTimeout(() => {
						showNotification("Deleted Successfully");
					  }, 2000);
					},
				  });
					
				  } //else {
					//Swal.fire('Changes are not saved', '', 'info')
				  //}
				})
			});
            
          },
          error: function (e) {
            $("#output").text(e.responseText);
            console.log("ERROR : ", e);
          },
        });
		
        $(".submit-btn").click((e) => {
          e.preventDefault();
          addDepartments();
        });

		function getDepartments() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=departmentslist",
            success: function (data) {
				getUserDepartments(data);
            },
            error: function (e) {
              console.log(e);
            },
          });
        }

		function getUserDepartments(departments) {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=userdepartmentlist&user_id="+
            uid,
            success: function (userDepartments) {				
				
				var filteredDepartments = departments.filter(function(cv){
					return !userDepartments.find(function(e){
						return e.department_id === cv.department_id;
					});
				});
				if(filteredDepartments.length === 0) {
					$('form').html('<div class="text-center">No Departments found</div>');
				} else {
					var $dropdown = $('#departments');
					$.each(filteredDepartments, function () {
						$dropdown.append(
							"<option value='" +
							this.department_id +
							"'>" +
							this.department_name +
							"</option>"
						);
					});
				}
            },
            error: function (e) {
              console.log(e);
            },
          });
        }

        function addDepartments() {
          var postData = {
            gofor: "selectdepartment",
            user_id: sessionStorage.getItem("user_id"),
            department_details: [],
          };

          $("#departments")
            .val()
            .map((v) => {
              postData["department_details"].push({
                department_id: v,
              });
            });

          $.ajax({
            type: "POST",
            url: "https://efflo.xyz/App/api.php",
            contentType: "application/json",
            cache: false,
            data: JSON.stringify(postData),
            success: function (data) {
              console.log(data);
              window.location.reload();
            },
            error: function (e) {
              console.log(e);
            },
          });
        }
      });
    </script>
	<?php include "common-script.php";?>
    </body>
</html>