<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
        <?php include "meta-title.php";?>
		
		<!-- Favicon -->
        <link rel="shortcut icon" type="image/x-icon" href="assets/img/favicon.png">
		
		<!-- Bootstrap CSS -->
        <link rel="stylesheet" href="assets/css/bootstrap.min.css">
		
		<!-- Fontawesome CSS -->
        <link rel="stylesheet" href="assets/css/font-awesome.min.css">
		
		<!-- Lineawesome CSS -->
        <link rel="stylesheet" href="assets/css/line-awesome.min.css">
		
		<!-- Select2 CSS -->
		<link rel="stylesheet" href="assets/css/select2.min.css">
		
		<!-- Datetimepicker CSS -->
		<link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css">
		
		<!-- Main CSS -->
        <link rel="stylesheet" href="assets/css/style.css">
		
		<link rel="stylesheet" href="assets/css/vendor.css">
		
		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!--[if lt IE 9]>
			<script src="assets/js/html5shiv.min.js"></script>
			<script src="assets/js/respond.min.js"></script>
		<![endif]-->
    </head>
    <body>
		<!-- Main Wrapper -->
        <div class="main-wrapper">
		
			<!-- Header -->
            <?php include "header.php";?>
			<!-- /Header -->
			
			<!-- Sidebar -->
            <?php include "sidebar.php";?>
			<!-- /Sidebar -->
			
			<!-- Page Wrapper -->
            <div class="page-wrapper">
			
				<!-- Page Content -->
                <div class="content container-fluid">
				
					<!-- Page Header -->
					<div class="page-header">
						<div class="row align-items-center">
							<div class="col">
								<h3 class="page-title">Employees</h3>
								<ul class="breadcrumb">
									<li class="breadcrumb-item"><a href="dashboard.php">Dashboard</a></li>
									<li class="breadcrumb-item active">Employees</li>
								</ul>
							</div>
							<div class="col-auto float-right ml-auto">
								<div class="circle-btn">
									<a href="#" data-toggle="modal" data-target="#add_client"><div class="circle-container"><div class="circle-div">+</div></div></a>
								</div>
							</div>
						</div>
					</div>
					<!-- /Page Header -->
					
					<div class="card mb-0">
						<div class="card-body">
							<div class="row">
								<div class="col-md-12">
									<div class="profile-view">
										<div class="profile-img-wrap">
											<div class="profile-img">
												<a href="#"><img alt="" src="assets/img/profiles/avatar-02.jpg"></a>
											</div>
										</div>
										<div class="profile-basic">
											<div class="row">
												<div class="col-md-5">
													<div class="profile-info-left">
														<h3 class="user-name m-t-0 mb-0">John Doe</h3>
														<h6 class="text-muted"></h6>
														<small class="text-muted">Chennai</small>
														<div class="staff-id">9874563210</div>
														<div class="small doj text-muted"> example@gmail.com</div>
														<div class="staff-msg"><a class="btn btn-custom" href="#">Send Message</a></div>
													</div>
												</div>
												<div class="col-md-7">
													<ul class="personal-info">
														<li>
															<div class="title">Source:</div>
															<div class="text">Google</div>
														</li>
														<li>
															<div class="title">Category:</div>
															<div class="text">Events</div>
														</li>
														<li>
															<div class="title">Event Name:</div>
															<div class="text">Birthday</div>
														</li>
														<li>
															<div class="title">Event Date:</div>
															<div class="text">30-10-2023</div>
														</li>
														<li>
															<div class="title">Type:</div>
															<div class="text">Photography</div>
														</li>
														<li>
															<div class="title">Assign to:</div>
															<div class="text">assign_name</div>
														</li>
														
													</ul>
												</div>
											</div>
										</div>
										<div class="pro-edit"><a data-target="#profile_info" data-toggle="modal" class="edit-icon" href="#"><i class="fa fa-pencil"></i></a></div>
									</div>
								</div>
							</div>
						</div>
					</div>
					
					<div class="card tab-box">
						<div class="row user-tabs">
							<div class="col-lg-12 col-md-12 col-sm-12 line-tabs">
								<ul class="nav nav-tabs nav-tabs-bottom">
										<li class="nav-item"><a href="#emp_projects" data-toggle="tab" class="nav-link">Events</a></li>
										<li class="nav-item"><a href="#emp_profile" data-toggle="tab" class="nav-link active">Salary</a></li>
								    	<li class="nav-item"><a href="#bank_statutory" data-toggle="tab" class="nav-link">Referrals</a></li>
								    	<li class="nav-item"><a href="#bank_statutory" data-toggle="tab" class="nav-link">Feedbacks</a></li>
								</ul>
							</div>
						</div>
					</div>
					
					<div class="tab-content">
					
						<!-- Profile Info Tab -->
						<div id="emp_profile" class="pro-overview tab-pane fade show active">
							<div class="row">
								
								<div class="col-md-12 d-flex">
									<div class="card profile-box flex-fill">
										<div class="card-body">
											<h3 class="card-title">Payment Info <a href="#" class="edit-icon"><i class="fa fa-pencil"></i></a></h3>
											<ul class="personal-info">
												<li>
													<div class="title">Order Id</div>
													<div class="text">Ord-001</div>
												</li>
												<li>
													<div class="title">Payment Date</div>
													<div class="text">05-11-2023</div>
												</li>
												<li>
													<div class="title">Amount</div>
													<div class="text">$2099</div>
												</li>
												<li>
													<div class="title">PayType</div>
													<div class="text">Cash</div>
												</li>
												<li>
													<div class="title">Status</div>
													<div class="text"><span class="badge bg-inverse-success">Paid</span></div>
												</li>
												
											</ul>
										</div>
									</div>
								</div>
								
							</div>
							
							
						</div>
						<!-- /Profile Info Tab -->
						
						<!-- Projects Tab -->
						<div class="tab-pane fade" id="emp_projects">
							<div class="row">
								
								<div class="kanban-board card mb-0">
						<div class="card-body">
							<div class="kanban-cont">
								<div class="kanban-list kanban-danger">
									<div class="kanban-header">
										<span class="status-title">Pending</span>
										<div class="dropdown kanban-action">
											<a href="" data-toggle="dropdown">
												<i class="fa fa-ellipsis-v"></i>
											</a>
											<div class="dropdown-menu dropdown-menu-right">
												<a class="dropdown-item" href="#" data-toggle="modal" data-target="#edit_task_board">Edit</a>
												<a class="dropdown-item" href="#">Delete</a>
											</div>
										</div>
									</div>
									<div class="kanban-wrap">
										<div class="card panel">
											<div class="kanban-box">
												<div class="task-board-header">
													<span class="status-title"><a href="task-view.html">Website redesign</a></span>
													<div class="dropdown kanban-task-action">
														<a href="" data-toggle="dropdown">
															<i class="fa fa-angle-down"></i>
														</a>
														<div class="dropdown-menu dropdown-menu-right">
															<a class="dropdown-item" href="#" data-toggle="modal" data-target="#edit_task_modal">Edit</a>
															<a class="dropdown-item" href="#">Delete</a>
														</div>
													</div>
												</div>
												<div class="task-board-body">
													<div class="kanban-info">
														<div class="progress progress-xs">
															<div class="progress-bar" role="progressbar" style="width: 20%" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"></div>
														</div>
														<span>70%</span>
													</div>
													<div class="kanban-footer">
														<span class="task-info-cont">
															<span class="task-date"><i class="fa fa-clock-o"></i> Sep 26</span>
															<span class="task-priority badge bg-inverse-danger">High</span>
														</span>
														<span class="task-users">
															<img src="assets/img/profiles/avatar-12.jpg" class="task-avatar" width="24" height="24" alt="">
														</span>
													</div>
												</div>
											</div>
										</div>
										<div class="card panel">
											<div class="kanban-box">
												<div class="task-board-header">
													<span class="status-title"><a href="task-view.html">Make a wireframe</a></span>
													<div class="dropdown kanban-task-action">
														<a href="" data-toggle="dropdown">
															<i class="fa fa-angle-down"></i>
														</a>
														<div class="dropdown-menu dropdown-menu-right">
															<a class="dropdown-item" href="#" data-toggle="modal" data-target="#edit_task_modal">Edit</a>
															<a class="dropdown-item" href="#">Delete</a>
														</div>
													</div>
												</div>
												<div class="task-board-body">
													<div class="kanban-info">
														<div class="progress progress-xs">
															<div class="progress-bar" role="progressbar" style="width: 20%" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"></div>
														</div>
														<span>70%</span>
													</div>
													<div class="kanban-footer">
														<span class="task-info-cont">
															<span class="task-date"><i class="fa fa-clock-o"></i> Sep 26</span>
															<span class="task-priority badge bg-inverse-success">Low</span>
														</span>
														<span class="task-users">
															<img src="assets/img/profiles/avatar-12.jpg" class="task-avatar" width="24" height="24" alt="">
															<span class="task-user-count">+2</span>
														</span>
													</div>
												</div>
											</div>
										</div>
										<div class="card panel">
											<div class="kanban-box">
												<div class="task-board-header">
													<span class="status-title"><a href="task-view.html">Website redesign</a></span>
													<div class="dropdown kanban-task-action">
														<a href="" data-toggle="dropdown">
															<i class="fa fa-angle-down"></i>
														</a>
														<div class="dropdown-menu dropdown-menu-right">
															<a class="dropdown-item" href="#" data-toggle="modal" data-target="#edit_task_modal">Edit</a>
															<a class="dropdown-item" href="#">Delete</a>
														</div>
													</div>
												</div>
												<div class="task-board-body">
													<div class="kanban-info">
														<div class="progress progress-xs">
															<div class="progress-bar" role="progressbar" style="width: 20%" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"></div>
														</div>
														<span>70%</span>
													</div>
													<div class="kanban-footer">
														<span class="task-info-cont">
															<span class="task-date"><i class="fa fa-clock-o"></i> Sep 26</span>
															<span class="task-priority badge bg-inverse-warning">Normal</span>
														</span>
														<span class="task-users">
															<img src="assets/img/profiles/avatar-12.jpg" class="task-avatar" width="24" height="24" alt="">
															<span class="task-user-count">+2</span>
														</span>
													</div>
												</div>
											</div>
										</div>
									</div>
									<div class="add-new-task">
										<a href="javascript:void(0);" data-toggle="modal" data-target="#add_task_modal">Add New Task</a>
									</div>
								</div>
								<div class="kanban-list kanban-info">
									<div class="kanban-header">
										<span class="status-title">Progress</span>
										<div class="dropdown kanban-action">
											<a href="" data-toggle="dropdown">
												<i class="fa fa-ellipsis-v"></i>
											</a>
											<div class="dropdown-menu dropdown-menu-right">
												<a class="dropdown-item" href="#" data-toggle="modal" data-target="#edit_task_board">Edit</a>
												<a class="dropdown-item" href="#">Delete</a>
											</div>
										</div>
									</div>
									<div class="kanban-wrap">
										<div class="card panel">
											<div class="kanban-box">
												<div class="task-board-header">
													<span class="status-title"><a href="task-view.html">Website redesign</a></span>
													<div class="dropdown kanban-task-action">
														<a href="" data-toggle="dropdown">
															<i class="fa fa-angle-down"></i>
														</a>
														<div class="dropdown-menu dropdown-menu-right">
															<a class="dropdown-item" href="#" data-toggle="modal" data-target="#edit_task_modal">Edit</a>
															<a class="dropdown-item" href="#">Delete</a>
														</div>
													</div>
												</div>
												<div class="task-board-body">
													<div class="kanban-info">
														<div class="progress progress-xs">
															<div class="progress-bar" role="progressbar" style="width: 20%" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"></div>
														</div>
														<span>70%</span>
													</div>
													<div class="kanban-footer">
														<span class="task-info-cont">
															<span class="task-date"><i class="fa fa-clock-o"></i> Sep 26</span>
															<span class="task-priority badge bg-inverse-warning">Normal</span>
														</span>
														<span class="task-users">
															<img src="assets/img/profiles/avatar-12.jpg" class="task-avatar" width="24" height="24" alt="">
														</span>
													</div>
												</div>
											</div>
										</div>
										<div class="card panel">
											<div class="kanban-box">
												<div class="task-board-header">
													<span class="status-title"><a href="task-view.html">Website redesign</a></span>
													<div class="dropdown kanban-task-action">
														<a href="" data-toggle="dropdown">
															<i class="fa fa-angle-down"></i>
														</a>
														<div class="dropdown-menu dropdown-menu-right">
															<a class="dropdown-item" href="#" data-toggle="modal" data-target="#edit_task_modal">Edit</a>
															<a class="dropdown-item" href="#">Delete</a>
														</div>
													</div>
												</div>
												<div class="task-board-body">
													<div class="kanban-info">
														<div class="progress progress-xs">
															<div class="progress-bar" role="progressbar" style="width: 20%" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"></div>
														</div>
														<span>70%</span>
													</div>
													<div class="kanban-footer">
														<span class="task-info-cont">
															<span class="task-date"><i class="fa fa-clock-o"></i> Sep 26</span>
															<span class="task-priority badge bg-inverse-danger">High</span>
														</span>
														<span class="task-users">
															<img src="assets/img/profiles/avatar-12.jpg" class="task-avatar" width="24" height="24" alt="">
															<span class="task-user-count">+2</span>
														</span>
													</div>
												</div>
											</div>
										</div>
									</div>
									<div class="add-new-task">
										<a href="javascript:void(0);" data-toggle="modal" data-target="#add_task_modal">Add New Task</a>
									</div>
								</div>
								<div class="kanban-list kanban-success">
									<div class="kanban-header">
										<span class="status-title">Completed</span>
										<div class="dropdown kanban-action">
											<a href="" data-toggle="dropdown">
												<i class="fa fa-ellipsis-v"></i>
											</a>
											<div class="dropdown-menu dropdown-menu-right">
												<a class="dropdown-item" href="#" data-toggle="modal" data-target="#edit_task_board">Edit</a>
												<a class="dropdown-item" href="#">Delete</a>
											</div>
										</div>
									</div>
									<div class="kanban-wrap ks-empty">
									</div>
									<div class="add-new-task">
										<a href="javascript:void(0);" data-toggle="modal" data-target="#add_task_modal">Add New Task</a>
									</div>
								</div>
								
								<div class="kanban-list kanban-warning">
									<div class="kanban-header">
										<span class="status-title">Inprogress</span>
										<div class="dropdown kanban-action">
											<a href="" data-toggle="dropdown">
												<i class="fa fa-ellipsis-v"></i>
											</a>
											<div class="dropdown-menu dropdown-menu-right">
												<a class="dropdown-item" href="#">Edit</a>
												<a class="dropdown-item" href="#">Delete</a>
											</div>
										</div>
									</div>
									<div class="kanban-wrap">
										<div class="card panel">
											<div class="kanban-box">
												<div class="task-board-header">
													<span class="status-title"><a href="task-view.html">Website redesign</a></span>
													<div class="dropdown kanban-task-action">
														<a href="" data-toggle="dropdown">
															<i class="fa fa-angle-down"></i>
														</a>
														<div class="dropdown-menu dropdown-menu-right">
															<a class="dropdown-item" href="#" data-toggle="modal" data-target="#edit_task_modal">Edit</a>
															<a class="dropdown-item" href="#">Delete</a>
														</div>
													</div>
												</div>
												<div class="task-board-body">
													<div class="kanban-info">
														<div class="progress progress-xs">
															<div class="progress-bar" role="progressbar" style="width: 20%" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"></div>
														</div>
														<span>70%</span>
													</div>
													<div class="kanban-footer">
														<span class="task-info-cont">
															<span class="task-date"><i class="fa fa-clock-o"></i> Sep 26</span>
															<span class="task-priority badge bg-inverse-success">Low</span>
														</span>
														<span class="task-users">
															<img src="assets/img/profiles/avatar-12.jpg" class="task-avatar" width="24" height="24" alt="">
															<span class="task-user-count">+2</span>
														</span>
													</div>
												</div>
											</div>
										</div>
									</div>
									<div class="add-new-task">
										<a href="javascript:void(0);" data-toggle="modal" data-target="#add_task_modal">Add New Task</a>
									</div>
								</div>
								
								<div class="kanban-list kanban-purple">
									<div class="kanban-header">
										<span class="status-title">On Hold</span>
										<div class="dropdown kanban-action">
											<a href="" data-toggle="dropdown">
												<i class="fa fa-ellipsis-v"></i>
											</a>
											<div class="dropdown-menu dropdown-menu-right">
												<a class="dropdown-item" href="#" data-toggle="modal" data-target="#edit_task_board">Edit</a>
												<a class="dropdown-item" href="#">Delete</a>
											</div>
										</div>
									</div>
									<div class="kanban-wrap">
										<div class="card panel">
											<div class="kanban-box">
												<div class="task-board-header">
													<span class="status-title"><a href="task-view.html">Website redesign</a></span>
													<div class="dropdown kanban-task-action">
														<a href="" data-toggle="dropdown">
															<i class="fa fa-angle-down"></i>
														</a>
														<div class="dropdown-menu dropdown-menu-right">
															<a class="dropdown-item" href="#" data-toggle="modal" data-target="#edit_task_modal">Edit</a>
															<a class="dropdown-item" href="#">Delete</a>
														</div>
													</div>
												</div>
												<div class="task-board-body">
													<div class="kanban-info">
														<div class="progress progress-xs">
															<div class="progress-bar" role="progressbar" style="width: 20%" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"></div>
														</div>
														<span>70%</span>
													</div>
													<div class="kanban-footer">
														<span class="task-info-cont">
															<span class="task-date"><i class="fa fa-clock-o"></i> Sep 26</span>
															<span class="task-priority badge bg-inverse-danger">High</span>
														</span>
														<span class="task-users">
															<img src="assets/img/profiles/avatar-12.jpg" class="task-avatar" width="24" height="24" alt="">
															<span class="task-user-count">+2</span>
														</span>
													</div>
												</div>
											</div>
										</div>
									</div>
									<div class="add-new-task">
										<a href="javascript:void(0);" data-toggle="modal" data-target="#add_task_modal">Add New Task</a>
									</div>
								</div>
								
								<div class="kanban-list kanban-primary">
									<div class="kanban-header">
										<span class="status-title">Review</span>
										<div class="dropdown kanban-action">
											<a href="" data-toggle="dropdown">
												<i class="fa fa-ellipsis-v"></i>
											</a>
											<div class="dropdown-menu dropdown-menu-right">
												<a class="dropdown-item" href="#" data-toggle="modal" data-target="#edit_task_board">Edit</a>
												<a class="dropdown-item" href="#">Delete</a>
											</div>
										</div>
									</div>
									<div class="kanban-wrap">
										<div class="card panel">
											<div class="kanban-box">
												<div class="task-board-header">
													<span class="status-title"><a href="task-view.html">Website redesign</a></span>
													<div class="dropdown kanban-task-action">
														<a href="" data-toggle="dropdown">
															<i class="fa fa-angle-down"></i>
														</a>
														<div class="dropdown-menu dropdown-menu-right">
															<a class="dropdown-item" href="#" data-toggle="modal" data-target="#edit_task_modal">Edit</a>
															<a class="dropdown-item" href="#">Delete</a>
														</div>
													</div>
												</div>
												<div class="task-board-body">
													<div class="kanban-info">
														<div class="progress progress-xs">
															<div class="progress-bar" role="progressbar" style="width: 20%" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"></div>
														</div>
														<span>70%</span>
													</div>
													<div class="kanban-footer">
														<span class="task-info-cont">
															<span class="task-date"><i class="fa fa-clock-o"></i> Sep 26</span>
															<span class="task-priority badge bg-inverse-danger">High</span>
														</span>
														<span class="task-users">
															<img src="assets/img/profiles/avatar-12.jpg" class="task-avatar" width="24" height="24" alt="">
															<span class="task-user-count">+2</span>
														</span>
													</div>
												</div>
											</div>
										</div>
									</div>
									<div class="add-new-task">
										<a href="javascript:void(0);" data-toggle="modal" data-target="#add_task_modal">Add New Task</a>
									</div>
								</div>

								
								</div>
								</div>
								</div>
								
								
							</div>
						</div>
						<!-- /Projects Tab -->
						
						<!-- Bank Statutory Tab -->
						<div class="tab-pane fade" id="bank_statutory">
							<div class="card">
								<div class="card-body">
									<div class="col-md-12">
										<div class="table-responsive">
											<table class="table table-striped custom-table mb-0">
												<thead>
													<tr>
														<th>Item</th>
														<th>Purchase From</th>
														<th>Purchase Date</th>
														
														<th>Amount</th>
														<th>Paid By</th>
														<th class="text-center">Status</th>
														
													</tr>
												</thead>
												<tbody>
													<tr>
														<td>
															<strong>Dell Laptop</strong>
														</td>
														<td>Amazon</td>
														<td>5 Jan 2019</td>
														
														<td>$1215</td>
														<td>Cash</td>
														<td class="text-center">
															<div class="dropdown action-label">
																<a class="btn btn-white btn-sm btn-rounded dropdown-toggle" href="#" data-toggle="dropdown" aria-expanded="false">
																	<i class="fa fa-dot-circle-o text-danger"></i> Pending
																</a>
																<div class="dropdown-menu dropdown-menu-right">
																	<a class="dropdown-item" href="#"><i class="fa fa-dot-circle-o text-danger"></i> Pending</a>
																	<a class="dropdown-item" href="#"><i class="fa fa-dot-circle-o text-success"></i> Approved</a>
																</div>
															</div>
														</td>
														
													</tr>
												</tbody>
											</table>
										</div>
									</div>
									
								</div>
							</div>
						</div>
						<!-- /Bank Statutory Tab -->
						
					</div>
                </div>
				<!-- /Page Content -->
				
				<!-- Profile Modal -->
				
				<!-- /Profile Modal -->
				
				<!-- Personal Info Modal -->
				
				<!-- /Personal Info Modal -->
				
				<!-- Family Info Modal -->
				
				<!-- /Family Info Modal -->
				
				<!-- Emergency Contact Modal -->
				
				<!-- /Emergency Contact Modal -->
				
				<!-- Education Modal -->
				
				<!-- /Education Modal -->
				
				<!-- Experience Modal -->
				
				<!-- /Experience Modal -->
				
            </div>
			<!-- /Page Wrapper -->

        </div>
		<!-- /Main Wrapper -->
		
		
		
		<!-- jQuery -->
        <script src="assets/js/jquery-3.5.1.min.js"></script>
		
		<!-- Bootstrap Core JS -->
        <script src="assets/js/popper.min.js"></script>
        <script src="assets/js/bootstrap.min.js"></script>
		
		<!-- Slimscroll JS -->
		<script src="assets/js/jquery.slimscroll.min.js"></script>
		
		<!-- Slimscroll JS -->
		<script src="assets/js/select2.min.js"></script>
		
		<!-- Datetimepicker JS -->
		<script src="assets/js/moment.min.js"></script>
		<script src="assets/js/bootstrap-datetimepicker.min.js"></script>
		
		<!-- Custom JS -->
		<script src="assets/js/app.js"></script>
		<?php include "common-script.php";?>
    </body>
</html>