<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <?php include "meta-title.php";?>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />

    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />

    <link rel="stylesheet" href="assets/css/vendor.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->

      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row align-items-center">
              <div class="col">
                <h3 class="page-title">Employee</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Employee</li>
                </ul>
              </div>
              <div class="col-auto float-right ml-auto">
                <div class="circle-btn">
                  <a href="#" data-toggle="modal" data-target="#add_employee"
                    ><div class="circle-container">
                      <div class="circle-div">+</div>
                    </div></a
                  >
                </div>
              </div>
            </div>
          </div>
          <!-- /Page Header -->

          <div class="row">
            <div class="col-md-12">
              <div class="card-group m-b-30">
                <div class="card">
                  <div class="card-body">
                    <div class="d-flex justify-content-between mb-3">
                      <div>
                        <span class="d-block">New </span>
                      </div>
                      <div>
                        <span class="text-success"></span>
                      </div>
                    </div>
                    <h3 class="mb-3">112</h3>
                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-info"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <div class="d-flex justify-content-between mb-3">
                      <div>
                        <span class="d-block">Pending</span>
                      </div>
                      <div>
                        <span class="text-success"></span>
                      </div>
                    </div>
                    <h3 class="mb-3">70</h3>
                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-success"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <div class="d-flex justify-content-between mb-3">
                      <div>
                        <span class="d-block">Active</span>
                      </div>
                      <div>
                        <span class="text-danger"></span>
                      </div>
                    </div>
                    <h3 class="mb-3">100</h3>
                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-warning"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <div class="d-flex justify-content-between mb-3">
                      <div>
                        <span class="d-block">Inactive</span>
                      </div>
                      <div>
                        <span class="text-danger"></span>
                      </div>
                    </div>
                    <h3 class="mb-3">125</h3>
                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-danger"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <!-- Search Filter -->
          <div class="row filter-row">
            <div class="col-sm-6 col-md-3">
              <div class="form-group form-focus">
                <input type="text" class="form-control floating" />
                <label class="focus-label">Employee ID</label>
              </div>
            </div>
            <div class="col-sm-6 col-md-3">
              <div class="form-group form-focus">
                <input type="text" class="form-control floating" />
                <label class="focus-label">Employee Name</label>
              </div>
            </div>
            <div class="col-sm-6 col-md-3">
              <div class="form-group form-focus select-focus">
                <select class="select floating">
                  <option>Select Designation</option>
                  <option>Web Developer</option>
                  <option>Web Designer</option>
                  <option>Android Developer</option>
                  <option>Ios Developer</option>
                </select>
                <label class="focus-label">Designation</label>
              </div>
            </div>
            <div class="col-sm-6 col-md-3">
              <a href="#" class="btn btn-success btn-block"> Search </a>
            </div>
          </div>
          <!-- Search Filter -->

          <div class="row staff-grid-row"></div>
        </div>
        <!-- /Page Content -->

        <!-- Add Employee Modal -->
        <div id="add_employee" class="modal custom-modal fade" role="dialog">
          <div class="modal-dialog modal-dialog-centered modal-lg">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title">Add Employee</h5>
                <button
                  type="button"
                  class="close"
                  data-dismiss="modal"
                  aria-label="Close"
                >
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <form method="POST" id="addForm">
                  <div class="row">
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Name <span class="text-danger">*</span></label
                        >
                        <input class="form-control" type="text" name="name" />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label">Mobile No</label>
                        <input class="form-control" type="text" name="mobileno" />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Email <span class="text-danger">*</span></label
                        >
                        <input class="form-control" type="email" name="email" />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Username<span class="text-danger">*</span></label
                        >
                        <input class="form-control" type="text" name="username" />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Password <span class="text-danger">*</span></label
                        >
                        <input class="form-control" type="text" name="password" />
                      </div>
                    </div>

                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Role <span class="text-danger">*</span></label
                        >
                        <select class="select floating" name="role">
                          <option>Select Role</option>
                          <option>Super Admin</option>
                          <option>CRM</option>
                          <option>Admin</option>
                          <option>Manager</option>
                        </select>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Joining Date
                          <span class="text-danger">*</span></label
                        >
                        <input class="form-control" type="date" name="joining_date" />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Address <span class="text-danger">*</span></label
                        >
                        <textarea class="form-control floating" name="address"></textarea>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >State<span class="text-danger">*</span></label
                        >
                        <select class="select floating" name="state">
                          <option>Select State</option>
                          <option>TamilNadu</option>
                          <option>Kerala</option>
                        </select>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >District<span class="text-danger">*</span></label
                        >
                        <select class="select floating" name="district">
                          <option>Select District</option>
                          <option>Chennai</option>
                          <option>Coimbatore</option>
                          <option>Salem</option>
                          <option>Erode</option>
                        </select>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label">City</label>
                        <input class="form-control" type="text" name="city" />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label">Pincode</label>
                        <input class="form-control" type="text" name="pincode" />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Photo <span class="text-danger">*</span></label
                        >
                        <input class="form-control floating" type="file" id="photo" />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Proof<span class="text-danger">*</span></label
                        >
                        <input class="form-control floating" type="file" id="proof" />
                      </div>
                    </div>

                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Designation<span class="text-danger">*</span></label
                        >
                        <select class="select floating" name="designation">
                          <option>Select Designation</option>
                          <option>Telecaller</option>
                          <option>Photographer</option>
                        </select>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Status <span class="text-danger">*</span></label
                        >
                        <select class="select floating" name="status">
                          <option value="">Select Status</option>
                          <option value="1">Active</option>
                          <option value="0">Inactive</option>
                        </select>
                      </div>
                    </div>
                  </div>

                  <div class="submit-section">
                    <button class="btn btn-primary submit-btn">Submit</button>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
        <!-- /Add Employee Modal -->

        <!-- Edit Employee Modal -->

        <!-- /Edit Employee Modal -->

        <!-- Delete Employee Modal -->
        <div class="modal custom-modal fade" id="delete_employee" role="dialog">
          <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
              <div class="modal-body">
                <div class="form-header">
                  <h3>Delete Employee</h3>
                  <p>Are you sure want to delete?</p>
                </div>
                <div class="modal-btn delete-action">
                  <div class="row">
                    <div class="col-6">
                      <a
                        href="javascript:void(0);"
                        class="btn btn-primary continue-btn"
                        >Delete</a
                      >
                    </div>
                    <div class="col-6">
                      <a
                        href="javascript:void(0);"
                        data-dismiss="modal"
                        class="btn btn-primary cancel-btn"
                        >Cancel</a
                      >
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- /Delete Employee Modal -->
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>

    <!-- Select2 JS -->
    <script src="assets/js/select2.min.js"></script>

    <!-- Datetimepicker JS -->
    <script src="assets/js/moment.min.js"></script>
    <script src="assets/js/bootstrap-datetimepicker.min.js"></script>

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>
    <script>
      $(document).ready(function () {
        const uid = sessionStorage.getItem("user_id");
        var table = $(".staff-grid-row");
        $.ajax({
          type: "GET",
          url:
            "https://efflo.xyz/App/api.php?gofor=employeeslist&user_id=" +
            uid,
          success: function (data) {
            table.empty();
            $.each(data, function (index, client) {
              table.append(
                '<div class="col-md-4 col-sm-6 col-12 col-lg-4 col-xl-3">' +
                  '<div class="profile-widget">' +
                  '<div class="profile-img">' +
                  '<a href="client-profile.php" class="avatar"><img class="h-100" alt="" src="' +
                  client.photo +
                  '"></a>' +
                  "</div>" +
                  '<div class="dropdown profile-action">' +
                  '<a href="#" class="action-icon dropdown-toggle" data-toggle="dropdown" aria-expanded="false"><i class="material-icons">more_vert</i></a>' +
                  '<div class="dropdown-menu dropdown-menu-right">' +
                  '<a class="dropdown-item" href="#" data-toggle="modal" data-target="#edit_client"><i class="fa fa-pencil m-r-5"></i> Edit</a>' +
                  '<a class="dropdown-item" href="#" data-toggle="modal" data-target="#delete_client"><i class="fa fa-trash-o m-r-5"></i> Delete</a>' +
                  "</div>" +
                  "</div>" +
                  '<h4 class="user-name m-t-10 mb-0 text-ellipsis"><a href="client-profile.php">' +
                  client.name +
                  "</a></h4>" +
                  '<h5 class="user-name m-t-10 mb-0 text-ellipsis"><a href="client-profile.php">' +
                  client.designation +
                  "</a></h5>" +
                  '<div class="small text-muted">' +
                  client.mobileno +
                  "</div>" +
                  '<a href="https://api.whatsapp.com/send?phone=' +
                  client.mobileno +
                  '&text=Welcome!%20to%20Carnival%20Photography..." target="_blank" class="btn btn-white btn-sm m-t-10">Connect</a>' +
                  '<a href="client-profile.php" class="btn btn-white btn-sm m-t-10">Profile</a>' +
                  "</div>" +
                  "</div>"
              );
            });
          },
          error: function (e) {
            $("#output").text(e.responseText);
            console.log("ERROR : ", e);
          },
        });

		$('#addForm').submit(function(e){
			var formData = $(e.target).serializeArray().reduce(function(obj, item) {
                obj[item.name] = item.value;
                return obj;
            }, {});
  			e.preventDefault();
  			
			var addData = {
				"gofor": "addemployees",
				"user_id": sessionStorage.getItem('user_id'),
				"photo": window.photo,
				"proof": window.proof,
			}
			
			
			var finalData = {...formData, ...addData}
			insertEmployees(finalData);
		})
		
		$("#photo").change(function(el){
			var file = el.target.files[0];  
			var reader = new FileReader();  
			reader.onloadend = function() {  
				const replaceBaseSrc = reader.result.split("base64,")[1];
				
				var data = {
    				"gofor" : 'employee_photo_post',
    				"user_id": sessionStorage.getItem('user_id'),
    				"photo": replaceBaseSrc
    			};
			    uploadImage(data);
			}  
			reader.readAsDataURL(file); 
        });
        
        $("#proof").change(function(el){
			var file = el.target.files[0];  
			var reader = new FileReader();  
			reader.onloadend = function() {  
				const replaceBaseSrc = reader.result.split("base64,")[1];
				
				var data = {
    				"gofor" : 'employee_proof_post',
    				"user_id": sessionStorage.getItem('user_id'),
    				"proof": replaceBaseSrc
    			};
			    uploadImage(data);
			}  
			reader.readAsDataURL(file); 
        });
        
		function uploadImage(postData) {
			$.ajax({
				type: "POST",
				url: 'https://efflo.xyz/App/api.php',
				contentType: "application/json",
				cache: false,
				data: JSON.stringify(postData),
				success: function (data) {
				    var keyToSave = Object.keys(postData)[2];
					window[keyToSave] = data;
				},
				error: function (e) {
					console.log(e);
				}
			});
		}

		function insertEmployees(postData) {
			$.ajax({
				type: "POST",
				url: 'https://efflo.xyz/App/api.php',
				contentType: "application/json",
				cache: false,
				data: JSON.stringify(postData),
				success: function (data) {
				    console.log(data);
					window.location.reload();
				},
				error: function (e) {
					console.log(e);
				}
			});
		}
	});
    </script>
	<?php include "common-script.php";?>
  </body>
</html>
