<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <?php include "meta-title.php";?>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />

    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />

    <link rel="stylesheet" href="assets/css/vendor.css" />

    <!--- Lightbox -->
    <link rel="stylesheet" href="assets/css/lightbox.min.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->

    <style>
      .prefill-image {
        height: 50px;
        width: 80px;
        display: flex;
        object-fit: cover;
        flex-flow: column;
        justify-content: center;
        overflow: hidden;
        background: #ececec;
      }
    </style>
	<style>
	.btn-group-sm>.btn, .btn-sm {
		padding: 0.15rem 0.9rem;
		font-size: .775rem;
	}
	</style>
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->

      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row align-items-center">
              <div class="col">
                <h3 class="page-title">Employee</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Employee</li>
                </ul>
              </div>
              <div class="col-auto float-right ml-auto">
                <div class="circle-btn">
                  <a href="#" data-toggle="modal" data-target="#add_client"
                    ><div class="circle-container">
                      <div class="circle-div">+</div>
                    </div></a
                  >
                </div>
              </div>
            </div>
          </div>
          <!-- /Page Header -->

          <div class="row">
            <div class="col-md-12">
              <div class="card-group m-b-30">
                <div class="card">
                  <div class="card-body">
                    <div class="d-flex justify-content-between mb-3">
                      <div>
                        <span class="d-block">New </span>
                      </div>
                      <div>
                        <span class="text-success"></span>
                      </div>
                    </div>
                    <h3 class="mb-3">112</h3>
                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-info"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <div class="d-flex justify-content-between mb-3">
                      <div>
                        <span class="d-block">Pending</span>
                      </div>
                      <div>
                        <span class="text-success"></span>
                      </div>
                    </div>
                    <h3 class="mb-3">70</h3>
                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-success"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <div class="d-flex justify-content-between mb-3">
                      <div>
                        <span class="d-block">Active</span>
                      </div>
                      <div>
                        <span class="text-danger"></span>
                      </div>
                    </div>
                    <h3 class="mb-3">100</h3>
                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-warning"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <div class="d-flex justify-content-between mb-3">
                      <div>
                        <span class="d-block">Inactive</span>
                      </div>
                      <div>
                        <span class="text-danger"></span>
                      </div>
                    </div>
                    <h3 class="mb-3">125</h3>
                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-danger"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <!-- Search Filter -->
          <form name="searchForm">
          <div class="row filter-row">
            <div class="col-sm-6 col-md-8">
              <div class="form-group form-focus">
                <input type="text" class="form-control floating" name="searchText" placeholder="Enter search text" />
              </div>
            </div>
            <div class="col-sm-6 col-md-4">
              <button type="submit" class="btn btn-success btn-block"> Search </button>
            </div>
          </div>
          </form>
          <!-- Search Filter -->

          <div class="row staff-grid-row"></div>
        </div>
        <!-- /Page Content -->

        <!-- Add Employee Modal -->
        <div id="add_client" class="modal custom-modal fade" role="dialog">
          <div class="modal-dialog modal-dialog-centered modal-lg">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title">Add Employee</h5>
                <button
                  type="button"
                  class="close"
                  data-dismiss="modal"
                  aria-label="Close"
                >
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <form method="POST" id="addForm">
                  <div class="row">
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Name <span class="text-danger">*</span></label
                        >
                        <input class="form-control" type="text" name="name" />
						<span class="error-message" id="nameErr"></span>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label">Mobile No</label>
                        <input
                          class="form-control"
                          type="text"
                          name="mobileno"
                        />
						<span class="error-message" id="mobilenoErr"></span>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Email <span class="text-danger">*</span></label
                        >
                        <input class="form-control" type="email" name="email" />
						<span class="error-message" id="emailErr"></span>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Username<span class="text-danger">*</span></label
                        >
                        <input
                          class="form-control"
                          type="text"
                          name="username"
                        />
						<span class="error-message" id="usernameErr"></span>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Password <span class="text-danger">*</span></label
                        >
                        <input
                          class="form-control"
                          type="text"
                          name="password"
                        />
						<span class="error-message" id="passwordErr"></span>
                      </div>
                    </div>
					<!--
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Role <span class="text-danger">*</span></label
                        >
                        <select class="select floating" name="role">
                          <option value="">Select Role</option>
                          <option value="Super Admin">Super Admin</option>
                          <option value="CRM">CRM</option>
                          <option value="Admin">Admin</option>
                          <option value="Manager">Manager</option>
                        </select>
						<span class="error-message" id="roleErr"></span>
                      </div>
                    </div>
					-->
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Joining Date
                          <span class="text-danger">*</span></label
                        >
                        <input
                          class="form-control"
                          type="date"
                          name="joining_date"
                        />
						<span class="error-message" id="joining_dateErr"></span>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Address <span class="text-danger">*</span></label
                        >
                        <textarea
                          class="form-control floating"
                          name="address"
                        ></textarea>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >State<span class="text-danger">*</span></label
                        >
                        <select class="select floating" name="state">
                          <option value="">Select State</option>
                          <option value="TamilNadu">TamilNadu</option>
                          <option value="Kerala">Kerala</option>
                        </select>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >District<span class="text-danger">*</span></label
                        >
                        <select class="select floating" name="district">
                          <option value="">Select District</option>
                          <option value="Chennai">Chennai</option>
                          <option value="Coimbatore">Coimbatore</option>
                          <option value="Salem">Salem</option>
                          <option value="Erode">Erode</option>
                        </select>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label">City</label>
                        <input class="form-control" type="text" name="city" />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label">Pincode</label>
                        <input
                          class="form-control"
                          type="text"
                          name="pincode"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Photo <span class="text-danger">*</span></label
                        >
                        <div class="photo-upload-group d-flex">
                          <input
                            class="form-control floating"
                            type="file"
                            id="photo"
                          />
                          <div class="prefill-image"></div>
                        </div>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Proof<span class="text-danger">*</span></label
                        >
                        <div class="d-flex pdf-group">
                          <input
                            class="form-control floating"
                            type="file"
                            id="proof"
                          />
                          <i
                            class="fa fa-file-pdf-o"
                            aria-hidden="true"
                            style="font-size: 3rem"
                          ></i>
                        </div>
                      </div>
                    </div>

                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Designation<span class="text-danger">*</span></label
                        >
                        <select class="select floating" name="designation">
                          <option value="">Select Designation</option>
                          <option value="Telecaller">Telecaller</option>
                          <option value="Photographer">Photographer</option>
						  <option value="Album Designer">Album Designer</option>
                          <option value="Video Editor">Video Editor</option>
						  <option value="Candid Photographer">Candid Photographer</option>
                          <option value="Candid Videographer">Candid Videographer</option>
						  <option value="Sales Excutive">Sales Excutive</option>
                          <option value="Marketing Executive">Marketing Executive</option>
                          <option value="Photo Editor">Photo Editor</option>
                            <option value="Videographer">Videographer</option>
                            <option value="Studio Manager">Studio Manager</option>
                            <option value="Digital Artist">Digital Artist</option>
                            <option value="Lighting Technician">Lighting Technician</option>
                            <option value="Photo Assistant">Photo Assistant</option>
                            <option value="Marketing Coordinator">Marketing Coordinator</option>
                            <option value="Client Relations Manager">Client Relations Manager</option>
                            <option value="Product Photographer">Product Photographer</option>
                            <option value="Graphic Designer">Graphic Designer</option>
                            <option value="Social Media Manager">Social Media Manager</option>
                        </select>
						<span class="error-message" id="designationErr"></span>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Status <span class="text-danger">*</span></label
                        >
                        <select
                          class="select floating"
                          name="status"
                          id="status"
                        >
                          <option value="">Select Status</option>
                          <option value="1">Active</option>
                          <option value="0">Inactive</option>
                        </select>
						<span class="error-message" id="statusErr"></span>
                      </div>
                    </div>
                  </div>

                  <div class="submit-section">
                    <button class="btn btn-primary submit-btn">Submit</button>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
        <!-- /Add Employee Modal -->

        <!-- Edit Employee Modal -->

        <!-- /Edit Employee Modal -->

        <!-- Delete Employee Modal -->
        <div class="modal custom-modal fade" id="delete_employee" role="dialog">
          <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
              <div class="modal-body">
                <div class="form-header">
                  <h3>Delete Employee</h3>
                  <p>Are you sure want to delete?</p>
                </div>
                <div class="modal-btn delete-action">
                  <div class="row">
                    <div class="col-6">
                      <a
                        href="javascript:void(0);"
                        class="btn btn-primary continue-btn"
                        >Delete</a
                      >
                    </div>
                    <div class="col-6">
                      <a
                        href="javascript:void(0);"
                        data-dismiss="modal"
                        class="btn btn-primary cancel-btn"
                        >Cancel</a
                      >
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- /Delete Employee Modal -->
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!--- Lightbox -->
    <script src="assets/js/lightbox.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>

    <!-- Select2 JS -->
    <script src="assets/js/select2.min.js"></script>

    <!-- Datetimepicker JS -->
    <script src="assets/js/moment.min.js"></script>
    <script src="assets/js/bootstrap-datetimepicker.min.js"></script>

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>
    <script>
      $(document).ready(function () {
        const uid = sessionStorage.getItem("user_id");
        const queryString = window.location.search;
        const urlParams = new URLSearchParams(queryString);
        let apiUrl = "https://efflo.xyz/App/api.php?gofor=employeeslist&user_id=" + uid
        if(urlParams.get('searchText')) {
            apiUrl += '&searchText=' + urlParams.get('searchText')
            $('[name="searchText"]').val(urlParams.get('searchText'))
        }

        $(".fa-file-pdf-o").hide();
        var employeeData = "";
        var actionType = "addemployees";
        var employeeId = "";
        
        var table = $(".staff-grid-row");
        $.ajax({
          type: "GET",
          url: apiUrl,
          success: function (data) {
            table.empty();
            employeeData = data;
            $.each(data, function (a, b) {
              table.append(
                '<div class="col-md-4 col-sm-6 col-12 col-lg-4 col-xl-3">' +
                  '<div class="profile-widget">' +
                  '<div class="profile-img">' +
                  '<a href="client-profile.php" class="avatar"><img class="h-100" alt="" src="' +
                  b.photo +
                  '"></a>' +
                  "</div>" +
                  '<div class="dropdown profile-action">' +
                  '<span class="text-danger delete_user" data-employee-id="' +
                  b.employee_id +
                  '"><i class="sl-icon-trash fa-lg m-r-5"></i></span>' +
                  '<span class="text-success edit_user" data-employee-id="' +
                  b.employee_id +
                  '"><i class="sl-icon-pencil fa-lg m-r-5"></i></span>' +
                  "</div>" +
                  '<h4 class="user-name m-t-10 mb-0 text-ellipsis"><a href="client-profile.php">' +
                  b.name +
                  "</a></h4>" +
                  '<h5 class="user-name m-t-10 mb-0 text-ellipsis"><a href="client-profile.php">' +
                  b.designation +
                  "</a></h5>" +
                  '<div class="small text-muted">' +
                  b.mobileno +
                  "</div>" +
                  '<a href="https://api.whatsapp.com/send?phone=' +
                  b.mobileno +
                  '&text=Welcome!%20to%20Carnival%20Photography..." target="_blank" class="btn btn-primary btn-sm m-t-10 mr-1">Connect</a>' +
                  '<a href="client-profile.php" class="btn btn-purple btn-sm m-t-10">Profile</a>' +
                  "</div>" +
                  "</div>"
              );
            });

            $(document).on("click", ".delete_user", (e) => {
              const lId =
                e.target.parentElement.getAttribute("data-employee-id");
              
			  Swal.fire({
				  title: 'Are you sure! want to delete?',
				  text: "",
				  icon: 'warning',
				  showCancelButton: true,
				  confirmButtonColor: '#3085d6',
				  cancelButtonColor: '#d33',
				  confirmButtonText: 'Yes'
				}).then((result) => {
				  if (result.isConfirmed) {
					$.ajax({
					type: "GET",
					url:
					  "https://efflo.xyz/App/api.php?gofor=employeesdelete&employee_id=" +lId,
					success: function (data) {
					  window.location.reload();
					  setTimeout(() => {
						showNotification("Deleted Successfully");
					  }, 2000);
					},
				  });
					
				  } //else {
					//Swal.fire('Changes are not saved', '', 'info')
				  //}
				})
            });

            $(document).on("click", ".edit_user", (e) => {
              $(".fa-file-pdf-o").show();
              actionType = "editemployees";
              employeeId =
                e.target.parentElement.getAttribute("data-employee-id");
              var selectedemployeeData = employeeData.find(
                (l) => l.employee_id === employeeId.toString()
              );
              window.selectedemployeeData = selectedemployeeData;
              var entries = Object.entries(selectedemployeeData);

              for ([key, value] of entries) {
                if (
                  key !== "user_id" &&
                  key !== "employee_id" &&
                  value !== "" &&
                  key !== "created_date" &&
                  key !== "modified_date"
                ) {
                  $("[name=" + key + "]").val(value);
                }
                if (key == "proof") {
                  $(".fa-file-pdf-o").attr("data-url", value);
                }
                if (key === "photo") {
                  $(".prefill-image").html(
                    '<a href="' +
                      value +
                      '" data-lightbox="image-1" data-title="My caption"><img width="80px" data-lightbox="image-1" style="cursor: pointer" class="edit-image" src="' +
                      value +
                      '"></a>'
                  );
                }
              }
              $("#add_client").modal("show");
            });
          },
          error: function (e) {
            $("#output").text(e.responseText);
            console.log("ERROR : ", e);
          },
        });

        $("#photo").change(function (el) {
          var file = el.target.files[0];
          var reader = new FileReader();
          reader.onloadend = function () {
            $(".prefill-image").html(
              '<a href="' +
                reader.result +
                '" data-lightbox="image-1" data-title="My caption"><img width="80px" data-lightbox="image-1" style="cursor: pointer" class="edit-image" src="' +
                reader.result +
                '"></a>'
            );
            const replaceBaseSrc = reader.result.split("base64,")[1];

            var data = {
              gofor: "employee_photo_post",
              user_id: sessionStorage.getItem("user_id"),
              photo: replaceBaseSrc,
            };
            uploadImage(data);
          };
          reader.readAsDataURL(file);
        });

        $("#proof").change(function (el) {
          var file = el.target.files[0];
          var reader = new FileReader();
          reader.onloadend = function () {
            const replaceBaseSrc = reader.result.split("base64,")[1];

            var data = {
              gofor: "employee_proof_post",
              user_id: sessionStorage.getItem("user_id"),
              proof: replaceBaseSrc,
            };
            uploadImage(data);
          };
          reader.readAsDataURL(file);
        });

        function uploadImage(postData) {
          $.ajax({
            type: "POST",
            url: "https://efflo.xyz/App/api.php",
            contentType: "application/json",
            cache: false,
            data: JSON.stringify(postData),
            success: function (data) {
              var keyToSave = Object.keys(postData)[2];
              window[keyToSave] = data;
            },
            error: function (e) {
              console.log(e);
            },
          });
        }

        $(".fa-file-pdf-o").click((v) => {
          previewPdf($(".fa-file-pdf-o").attr("data-url"));
        });
        function previewPdf(url) {
          const pdfUrl = url;

          pdfUrlToBase64(pdfUrl).then((base64Data) => {
            if (base64Data) {
              var base64 = base64Data;
              const blob = base64ToBlob(base64, "application/pdf");
              const url = URL.createObjectURL(blob);
              const pdfWindow = window.open("");
              pdfWindow.document.write(
                "<iframe width='100%' height='100%' src='" + url + "'></iframe>"
              );

              function base64ToBlob(base64, type = "application/octet-stream") {
                const binStr = atob(base64);
                const len = binStr.length;
                const arr = new Uint8Array(len);
                for (let i = 0; i < len; i++) {
                  arr[i] = binStr.charCodeAt(i);
                }
                return new Blob([arr], { type: type });
              }
            } else {
              console.log("Conversion failed.");
            }
          });
        }

        $(".submit-btn").click((e) => {
          e.preventDefault();
          // Get form
          var form = $("#addForm")[0];

          // Create an FormData object
          var data = new FormData(form);
          data.append("gofor", actionType);
          data.append("user_id", sessionStorage.getItem("user_id"));
		  
		  // Validation form
			function printError(elemId, hintMsg) {
				document.getElementById(elemId).innerHTML = hintMsg;
			}
			
			// Defining error variables with a default value
			var nameErr = mobilenoErr = emailErr = usernameErr =  passwordErr = joining_dateErr = designationErr = statusErr = true;
			
			
					
			if($("input[name='name']").val() == "") {
				printError("nameErr", "Please enter name");
			} else {
				printError("nameErr", "");
				nameErr = false;
			}
			
			
			// Validate mobile number
			if(($("input[name='mobileno']").val() == "")) {
				printError("mobilenoErr", "Please enter your mobile number");
			} else {
				var regex = /^[1-9]\d{9}$/;
				if((regex.test($("input[name='mobileno']").val()) === false)) {
					printError("mobilenoErr", "Please enter a valid 10 digit mobile number");
				} else{
					printError("mobilenoErr", "");
					mobilenoErr = false;
				}
			}
			
			// Validate email address
			if($("input[name='email']").val() == "") {
				printError("emailErr", "Please enter your email address");
			} else {
				// Regular expression for basic email validation
				var regex = /^\S+@\S+\.\S+$/;
				if(regex.test($("input[name='email']").val()) === false) {
					printError("emailErr", "Please enter a valid email address");
				} else{
					printError("emailErr", "");
					emailErr = false;
				}
			}
				
			if($("input[name='username']").val() == "") {
				printError("usernameErr", "Please enter your username");
			} else {
				printError("usernameErr", "");
				usernameErr = false;
			}
			
			if($("input[name='password']").val() == "") {
				printError("passwordErr", "Please enter your password");
			} else {
				printError("passwordErr", "");
				passwordErr = false;
			}
			
			// Validate role
			//if($("select[name='role']").val() == "") {
			//	printError("roleErr", "Please select role");
			//} else {
			//	printError("roleErr", "");
			//	roleErr = false;
			//}
			
			if($("input[name='joining_date']").val() == "") {
				printError("joining_dateErr", "Please pick the joining date");
			} else {
				printError("joining_dateErr", "");
				joining_dateErr = false;
			}
			
			if($("select[name='designation']").val() == "") {
				printError("designationErr", "Please select designation");
			} else {
				printError("designationErr", "");
				designationErr = false;
			}
			
			
			// Validate status
			if($("#status").val() == "") {
				printError("statusErr", "Please select your status");
			} else {
				printError("statusErr", "");
				statusErr = false;
			}
			
			
			
			// Prevent the form from being submitted if there are any errors
			if((nameErr || mobilenoErr || emailErr || usernameErr || passwordErr || joining_dateErr || designationErr || statusErr) == true) {
			   return false;
			}

          if(typeof window.photo !== 'string') {
            data.append("photo", window.selectedemployeeData.photo)
          } else {
            data.append("photo", window.photo);
          }

          if(typeof window.proof !== 'string') {
            data.append("proof", window.selectedemployeeData.proof)
          } else {
            data.append("proof", window.proof);
          }

          if (actionType === "editemployees") {
            data.append("employee_id", employeeId);
          }
          var jsonData = JSON.stringify(Object.fromEntries(data));
		  
		  

          $.ajax({
            type: "POST",
            enctype: "multipart/form-data",
            url: "https://efflo.xyz/App/api.php",
            data: jsonData,
            processData: false,
            contentType: false,
            cache: false,
            success: function (data) {
              window.location.reload();
              setTimeout(() => {
                $(".toast-header strong").text("Added");
                $(".toast-body").text("employee Added Successfully");
                $(".toast").toast("show");
              }, 1000);
            },
          });
        });

        //reset form on modal close
        $("#add_client").on("hidden.bs.modal", function () {
          $(this).find("form").trigger("reset");
          var actionType = "addemployees";
          $(".fa-file-pdf-o").hide();
          $(".prefill-image").html("");
        });
      });
    </script>
    <script>
      lightbox.option({
        resizeDuration: 200,
        wrapAround: true,
      });
    </script>
	<?php include "common-script.php";?>
  </body>
</html>
