<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
        <?php include "meta-title.php";?>
		
		<!-- Favicon -->
        <link rel="shortcut icon" type="image/x-icon" href="assets/img/favicon.png">
		
		<!-- Bootstrap CSS -->
        <link rel="stylesheet" href="assets/css/bootstrap.min.css">
		
		<!-- Fontawesome CSS -->
        <link rel="stylesheet" href="assets/css/font-awesome.min.css">
		
		<!-- Lineawesome CSS -->
        <link rel="stylesheet" href="assets/css/line-awesome.min.css">
		
		<!-- Select2 CSS -->
		<link rel="stylesheet" href="assets/css/select2.min.css">
		
		<!-- Datetimepicker CSS -->
		<link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css">
		
		<!-- Main CSS -->
        <link rel="stylesheet" href="assets/css/style.css">
		
		<link rel="stylesheet" href="assets/css/vendor.css">
		
		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!--[if lt IE 9]>
			<script src="assets/js/html5shiv.min.js"></script>
			<script src="assets/js/respond.min.js"></script>
		<![endif]-->
    </head>
    <body>
		<!-- Main Wrapper -->
        <div class="main-wrapper">
		
			<!-- Header -->
            <?php include "header.php";?>
			<!-- /Header -->
			
			<!-- Sidebar -->
            <?php include "sidebar.php";?>
			<!-- /Sidebar -->
			
			<!-- Page Wrapper -->
            <div class="page-wrapper">
			
				<!-- Page Content -->
                <div class="content container-fluid">
				
					<!-- Page Header -->
					<div class="page-header">
						<div class="row align-items-center">
							<div class="col">
								<h3 class="page-title">Invoices</h3>
								<ul class="breadcrumb">
									<li class="breadcrumb-item"><a href="dashboard.php">Dashboard</a></li>
									<li class="breadcrumb-item active">Invoices</li>
								</ul>
							</div>
							<div class="col-auto float-right ml-auto">
								<div class="circle-btn">
									<a href="create-invoice.php"><div class="circle-container"><div class="circle-div">+</div></div></a>
								</div>
							</div>
						</div>
					</div>
					<!-- /Page Header -->
					<div class="row">
						<div class="col-md-12">
							<div class="card-group m-b-30">
								<div class="card">
									<div class="card-body">
										<div class="d-flex justify-content-between mb-3">
											<div>
												<span class="d-block">New </span>
											</div>
											<div>
												<span class="text-success"></span>
											</div>
										</div>
										<h3 class="mb-3">112</h3>
										<div class="progress mb-2" style="height: 5px;">
											<div class="progress-bar bg-info" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
										</div>
									</div>
								</div>
							
								<div class="card">
									<div class="card-body">
										<div class="d-flex justify-content-between mb-3">
											<div>
												<span class="d-block">Pending</span>
											</div>
											<div>
												<span class="text-success"></span>
											</div>
										</div>
										<h3 class="mb-3">70</h3>
										<div class="progress mb-2" style="height: 5px;">
											<div class="progress-bar bg-success" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
										</div>
									</div>
								</div>
							
								<div class="card">
									<div class="card-body">
										<div class="d-flex justify-content-between mb-3">
											<div>
												<span class="d-block">Active</span>
											</div>
											<div>
												<span class="text-danger"></span>
											</div>
										</div>
										<h3 class="mb-3">100</h3>
										<div class="progress mb-2" style="height: 5px;">
											<div class="progress-bar bg-warning" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
										</div>
									</div>
								</div>
							
								<div class="card">
									<div class="card-body">
										<div class="d-flex justify-content-between mb-3">
											<div>
												<span class="d-block">Inactive</span>
											</div>
											<div>
												<span class="text-danger"></span>
											</div>
										</div>
										<h3 class="mb-3">125</h3>
										<div class="progress mb-2" style="height: 5px;">
											<div class="progress-bar bg-danger" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
										</div>
									</div>
								</div>
							</div>
						</div>	
					</div>
					
					<!-- Search Filter -->
					<div class="row filter-row">
						<div class="col-sm-6 col-md-3">  
							<div class="form-group form-focus">
								<div class="cal-icon">
									<input class="form-control floating datetimepicker" type="text">
								</div>
								<label class="focus-label">From</label>
							</div>
						</div>
						<div class="col-sm-6 col-md-3">  
							<div class="form-group form-focus">
								<div class="cal-icon">
									<input class="form-control floating datetimepicker" type="text">
								</div>
								<label class="focus-label">To</label>
							</div>
						</div>
						<div class="col-sm-6 col-md-3"> 
							<div class="form-group form-focus select-focus">
								<select class="select floating"> 
									<option>Select Status</option>
									<option>Pending</option>
									<option>Paid</option>
									<option>Partially Paid</option>
								</select>
								<label class="focus-label">Status</label>
							</div>
						</div>
						<div class="col-sm-6 col-md-3">  
							<a href="#" class="btn btn-success btn-block"> Search </a>  
						</div>     
                    </div>
					<!-- /Search Filter -->
					
					<div class="row">
						<div class="col-md-12">
							<div class="table-responsive">
								<table class="table table-striped custom-table mb-0">
									<thead>
										<tr>
											<th>#</th>
											<th>Invoice Number</th>
											<th>Client</th>
											<th>Created Date</th>
											<th>Due Date</th>
											<th>Amount</th>
											<th>Status</th>
											<th class="text-right">Action</th>
										</tr>
									</thead>
									<tbody>
										<tr>
											<td>1</td>
											<td><a href="invoice-view.php">#INV-0001</a></td>
											<td>Global Technologies</td>
											<td>11 Mar 2019</td>
											<td>17 Mar 2019</td>
											<td>$2099</td>
											<td><span class="badge bg-inverse-success">Paid</span></td>
											<td class="text-right">
												<a class="text-danger" href="#" data-toggle="modal" data-target="#edit_user"><i class="fa fa-trash-o fa-lg m-r-5"></i></a>
												<a class="text-success" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-pencil fa-lg m-r-5"></i></a>
												<a class="text-warning" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-envelope fa-lg m-r-5"></i></a>
												<a class="text-primary" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-external-link-square fa-lg m-r-5"></i></a>
											</td>
										</tr>
										<tr>
											<td>2</td>
											<td><a href="invoice-view.php">#INV-0002</a></td>
											<td>Delta Infotech</td>
											<td>11 Mar 2019</td>
											<td>17 Mar 2019</td>
											<td>$2099</td>
											<td><span class="badge bg-inverse-info">Sent</span></td>
											<td class="text-right">
												<a class="text-danger" href="#" data-toggle="modal" data-target="#edit_user"><i class="fa fa-trash-o fa-lg m-r-5"></i></a>
												<a class="text-success" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-pencil fa-lg m-r-5"></i></a>
												<a class="text-warning" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-envelope fa-lg m-r-5"></i></a>
												<a class="text-primary" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-external-link-square fa-lg m-r-5"></i></a>
											</td>
										</tr>
										<tr>
											<td>3</td>
											<td><a href="invoice-view.php">#INV-0003</a></td>
											<td>Cream Inc</td>
											<td>11 Mar 2019</td>
											<td>17 Mar 2019</td>
											<td>$2099</td>
											<td><span class="badge bg-inverse-warning">Partially Paid</span></td>
											<td class="text-right">
												<a class="text-danger" href="#" data-toggle="modal" data-target="#edit_user"><i class="fa fa-trash-o fa-lg m-r-5"></i></a>
												<a class="text-success" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-pencil fa-lg m-r-5"></i></a>
												<a class="text-warning" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-envelope fa-lg m-r-5"></i></a>
												<a class="text-primary" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-external-link-square fa-lg m-r-5"></i></a>
											</td>
										</tr>
									</tbody>
								</table>
							</div>
						</div>
					</div>
                </div>
				<!-- /Page Content -->
				
            </div>
			<!-- /Page Wrapper -->

        </div>
		<!-- /Main Wrapper -->

		<!-- jQuery -->
        <script src="assets/js/jquery-3.5.1.min.js"></script>

		<!-- Bootstrap Core JS -->
        <script src="assets/js/popper.min.js"></script>
        <script src="assets/js/bootstrap.min.js"></script>

		<!-- Slimscroll JS -->
		<script src="assets/js/jquery.slimscroll.min.js"></script>
		
		<!-- Select2 JS -->
		<script src="assets/js/select2.min.js"></script>
		
		<!-- Datetimepicker JS -->
		<script src="assets/js/moment.min.js"></script>
		<script src="assets/js/bootstrap-datetimepicker.min.js"></script>

		<!-- Custom JS -->
		<script src="assets/js/app.js"></script>
		<?php include "common-script.php";?>
    </body>
</html>