<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <?php include "meta-title.php";?>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Datatable CSS -->
    <link rel="stylesheet" href="assets/css/dataTables.bootstrap4.min.css" />
    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />
    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />
    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />
    <link rel="stylesheet" href="assets/css/vendor.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->

      <div id="notification" class="notification"></div>

      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <div id="snackbar"></div>
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row align-items-center">
              <div class="col">
                <h3 class="page-title">Leads</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Leads</li>
                </ul>
              </div>
              <div class="col-auto float-right ml-auto">
                <div class="quick-stats" style="left: -170px !important">
                  <button
                    class="btn btn-danger"
                    data-toggle="modal"
                    data-target="#bulk_upload"
                  >
                    Bulk Upload</button
                  >&nbsp;&nbsp;
                  <a href="download_format/leads.csv" download
                    ><button class="special-box-btn">
                      <i class="ti-download"></i></button
                  ></a>
                </div>
                <div class="circle-btn">
                  <a href="#" data-toggle="modal" data-target="#add_client"
                    ><div class="circle-container">
                      <div class="circle-div">+</div>
                    </div></a
                  >
                </div>
              </div>
            </div>
          </div>
          <!-- /Page Header -->
          <!--
          <div class="row text-center mb-4">
            <div class="col-sm-12 col-md-12">
              <a href="#" class="btn btn-white btn-md">Birthday</a>
              <a href="#" class="btn btn-danger btn-md">Wedding</a>
              <a href="#" class="btn btn-white btn-md">Corporate</a>
            </div>
          </div>
		  -->

          <div class="row">
            <div class="col-md-12">
              <div class="" style="position: absolute; right: 28%; z-index: 9">
                <select
                  class="form-control form-control-sm"
                  id="filterByEventType"
                >
                  <option value="">All</option>
                </select>
              </div>
              <div class="table-responsive">
                <table
                  class="table table-striped table-nowrap custom-table mb-0"
                >
                  <thead>
                    <tr>
                      <th>#</th>
					  <th style='display:none;'>Lead ID</th>
                      <th>Name</th>
                      <th>Mobile</th>
                      <th>Event Type</th>
                      <th>Shoot Type</th>
                      <th>Event Date</th>
                      <th>Status</th>
                      <th>Next Followup</th>
                      <th class="text-right">Actions</th>
                    </tr>
                  </thead>
                  <tbody></tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
        <!-- /Page Content -->
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->
    <!--
		<div id="mybutton">
			<a href="add-category.php" style="width:50px;height:50px;"><button class="add-btn btn-hover"><span class="fclr" onmouseover="this.style.color = '#E5E5E5'"; onmouseout="this.style.color = '#fff'";>+</span></button></a>
		</div>
-->
    <div id="bulk_upload" class="modal custom-modal fade" role="dialog">
      <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Bulk Upload</h5>
            <button
              type="button"
              class="close"
              data-dismiss="modal"
              aria-label="Close"
            >
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form
              action="upload.php"
              enctype="multipart/form-data"
              method="post"
            >
              <div class="row">
                <div class="col-md-12">
                  <input
                    type="hidden"
                    class=""
                    name="userid"
                    id="userid"
                    value=""
                  />
                  <label class="col-form-label">Upload Files</label>
                  <input class="form-control" type="file" name="file" />
                </div>
                <div class="col-md-12">
                  <div class="submit-section" style="text-align: left">
                    <button
                      class="btn btn-primary"
                      type="submit"
                      name="update"
                      value="update"
                    >
                      Submit
                    </button>
                  </div>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
    <!-- Add Client Modal -->
    <div id="add_client" class="modal custom-modal fade" role="dialog">
      <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Add Leads</h5>
            <button
              type="button"
              class="close"
              data-dismiss="modal"
              aria-label="Close"
            >
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form id="addForm">
              <div class="row">
                <div class="col-md-6 csource">
                  <div class="form-group">
                    <label class="col-form-label"
                      >Source <span class="text-danger">*</span></label
                    >
                    <select class="form-control" id="source" name="source">
                      <option value="">Select Source</option>
                    </select>
                    <span class="error-message" id="sourceErr"></span>
                  </div>
                </div>
                <div class="col-md-6 d-none" id="rname">
                  <div class="form-group">
                    <label class="col-form-label">Referrer Name</label>
                    <input
                      class="form-control floating"
                      type="text"
                      name="referrer_name"
                    />
                  </div>
                </div>

                <div class="col-md-6 d-none" id="rnumber">
                  <div class="form-group">
                    <label class="col-form-label">Referrer Number</label>
                    <input
                      class="form-control floating"
                      type="text"
                      name="referrer_number"
                    />
                  </div>
                </div>

                <div class="col-md-6 category_div" id="category_div">
                  <label class="col-form-label"
                    >Subcategory<span class="text-danger">*</span></label
                  >
                  <select
                    class="form-control select2"
                    id="subcategory"
                    name="subcategory"
                    style="width: 100%"
                  >
                    <option value="">Choose</option>
                  </select>
                  <span class="error-message" id="subcategoryErr"></span>
                </div>
                <div class="col-md-6 sub_category_div" id="sub_category_div">
                  <label class="col-form-label"
                    >Type of Shoot<span class="text-danger">*</span></label
                  >
                  <select
                    class="form-control select2"
                    id="shoot_type"
                    name="shoot_type"
                    style="width: 100%"
                  >
                    <option value="">Choose</option>
                  </select>
                </div>

                <div class="col-md-6 cname">
                  <div class="form-group">
                    <label class="col-form-label"
                      >Client Name <span class="text-danger">*</span></label
                    >
                    <input class="form-control" type="text" name="name" />
                    <span class="error-message" id="nameErr"></span>
                  </div>
                </div>
                <div class="col-md-6 cmobile">
                  <div class="form-group">
                    <label class="col-form-label"
                      >Mobile No<span class="text-danger">*</span></label
                    >
                    <input class="form-control" type="text" name="mobileno" />
                    <span class="error-message" id="mobileErr"></span>
                  </div>
                </div>
                <div class="col-md-6 ccontact">
                  <div class="form-group">
                    <label class="col-form-label">Contact Saved as</label>
                    <input
                      class="form-control"
                      type="text"
                      name="contact_saved"
                    />
                  </div>
                </div>

                <div class="col-md-6 cevent_date">
                  <div class="form-group">
                    <label class="col-form-label">Event Date</label>
                    <input
                      class="form-control floating"
                      type="text"
                      name="event_date"
                    />
                  </div>
                </div>
                <div class="col-md-6 cevent_venue">
                  <div class="form-group">
                    <label class="col-form-label">Event Venue </label>
                    <input
                      class="form-control floating"
                      type="text"
                      name="location"
                    />
                  </div>
                </div>

                <div class="col-md-6 csource">
                  <div class="form-group">
                    <label class="col-form-label">Lead Status </label>
                    <select
                      class="form-control"
                      id="lead_status"
                      name="lead_status"
                    >
                      <option>Select Lead Status</option>
                      <option value="Success">Success</option>
                      <option value="Failure">Failure</option>
                      <option value="No Response">No response</option>
                      <option value="Discussion">Discussion</option>
                    </select>
                  </div>
                </div>
                <div class="col-sm-6 cnext_followup">
                  <div class="form-group">
                    <label>Next Followup Date</label>
                    <div class="cal-icon">
                      <input
                        class="form-control datetimepicker"
                        type="text"
                        name="next_followup"
                      />
                      <!--<span class="error-message" id="next_followupErr"></span>-->
                    </div>
                  </div>
                </div>

                <div class="col-md-6">
                  <div class="form-group">
                    <label class="col-form-label">Remarks </label>
                    <textarea
                      class="form-control floating"
                      name="remarks"
                    ></textarea>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label class="col-form-label"
                      >Active Status <span class="text-danger">*</span></label
                    >
                    <select class="form-control" id="status" name="status">
                      <option value="">Select Status</option>
                      <option value="1">Active</option>
                      <option value="0">Inactive</option>
                    </select>
                    <span class="error-message" id="statusErr"></span>
                  </div>
                </div>
              </div>

              <div class="submit-section">
                <button class="btn btn-primary submit-btn">Submit</button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
    <!-- /Add Client Modal -->

    <!-- Toast -->
    <div
      class="toast"
      role="alert"
      aria-live="assertive"
      aria-atomic="true"
      data-delay="2000"
      style="position: absolute; top: 5rem; right: 1rem"
    >
      <div>
        <strong class="mr-auto toast-header"></strong>
        <button
          type="button"
          class="ml-2 mb-1 close"
          data-dismiss="toast"
          aria-label="Close"
        >
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="toast-body"></div>
    </div>
    <!-- /Toast -->

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>
    <!-- Select2 JS -->
    <script src="assets/js/select2.min.js"></script>
    <!-- Datetimepicker JS -->
    <script src="assets/js/moment.min.js"></script>
    <script src="assets/js/bootstrap-datetimepicker.min.js"></script>
    <!-- Datatable JS -->
    <script src="assets/js/jquery.dataTables.min.js"></script>
    <script src="assets/js/dataTables.bootstrap4.min.js"></script>

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>

    <script language="javascript" type="text/javascript">
      $(function () {
        $(".AgeCalc").on("dp.change", function (e) {
          var dob = e.date.format(e.date._f);
          //alert(dob);
          var birth = dob;
          // convert user input value into date object
          var birthDate = new Date(birth);
          console.log(" birthDate" + birthDate);

          // get difference from current date;
          var difference = Date.now() - birthDate.getTime();

          var ageDate = new Date(difference);
          var calculatedAge = Math.abs(ageDate.getUTCFullYear() - 1970);
          $("#age").val(calculatedAge);
        });
      });
    </script>

    <script>
      function findMostRepeatedItems(arr, numItems) {
        // Count occurrences of each item
        const countMap = {};
        arr.forEach((item) => {
          countMap[item] = (countMap[item] || 0) + 1;
        });

        // Sort items by their occurrences in descending order
        const sortedItems = Object.keys(countMap).sort(
          (a, b) => countMap[b] - countMap[a]
        );

        // Get the first 'numItems' items
        const result = sortedItems.slice(0, numItems);

        return result;
      }
      var leadData = "";
      var actionType = "addleads";
      var leadId = "";
      $(document).ready(function () {
        getSourceList();
        getSubcategoryList();
        getShootList();
        const uid = sessionStorage.getItem("user_id");
        $("#userid").val(uid);
        var table = $(".custom-table tbody");
        $.ajax({
          type: "GET",
          url:
            "https://efflo.xyz/App/api.php?gofor=leadslist&user_id=" +
            uid,
          success: function (data) {
            table.empty();
            leadData = data;
            var tabList = data.map((v) => {
              return v.subcategory;
            });
            const mostRepeatedItems = findMostRepeatedItems(tabList, 3);
            mostRepeatedItems.map((v) => {
              $("#filterByEventType").append(
                `<option value='${v}'>${v}</option>`
              );
            });
			let num = 0
            $.each(data, function (index, b) {
			  num++;
              let spanData = "";
              if (b.lead_status === "Discussion") {
                spanData =
                  '<span class="badge bg-inverse-primary">Discussion</span>';
              }
              if (b.lead_status === "Success") {
                spanData =
                  '<span class="badge bg-inverse-success">Success</span>';
              }
              if (b.lead_status === "Failure") {
                spanData =
                  '<span class="badge bg-inverse-danger">Failure</span>';
              }
              if (b.lead_status === "No Response") {
                spanData =
                  '<span class="badge bg-inverse-warning">No Response</span>';
              }

              table.append(
                "<tr><td>" +
                  num +
                  "</td>" +
				  "<td style='display:none;'>" +
                  b.lead_id +
                  "</td>" +
                  "<td>" +
                  b.name +
                  "</td>" +
                  "<td>" +
                  b.mobileno +
                  "</td>" +
                  "<td>" +
                  b.subcategory +
                  "</td>" +
                  "<td>" +
                  b.shoot_type +
                  "</td>" +
                  "<td>" +
                  b.event_date +
                  "</td>" +
                  "<td>" +
                  spanData +
                  "</td>" +
                  "<td>" +
                  b.next_followup +
                  "</td>" +
                  '<td class="text-right"><span class="text-danger delete_user" data-lead-id="' +
                  b.lead_id +
                  '"><i class="sl-icon-trash fa-lg m-r-5"></i></span><span class="text-success edit_user" data-lead-id="' +
                  b.lead_id +
                  '"><i class="sl-icon-note fa-lg m-r-5"></i></span><span class="text-primary convert_user" data-lead-id="' +
                  b.lead_id +
                  '"><i class="ti-new-window fa-lg m-r-5"></i></span></td></tr>'
              );
            });

            //   $('.custom-table').DataTable();
            $(".custom-table").dataTable({
              //ordering: false,
              order: [[1, "desc"]],
              paging: true,
              searching: true,
              pageLength: 10,
              initComplete: () => {
                $(document).on("click", ".edit_user", (e) => {
                  actionType = "editleads";
                  leadId = e.target.parentElement.getAttribute("data-lead-id");
                  var selectedLeadData = leadData.find(
                    (l) => l.lead_id === leadId.toString()
                  );
                  var entries = Object.entries(selectedLeadData);
                  for ([key, value] of entries) {
                    if (
                      key !== "user_id" &&
                      key !== "lead_id" &&
                      value !== "" &&
                      key !== "created_date" &&
                      key !== "modified_date"
                    ) {
                      $("[name=" + key + "]").val(value);

                      // set sub catergory
                      if (key === "subcategory") {
                        $('#subcategory').val(value).trigger('change');
                      }
                      // set type of shoot
                      if (key === "shoot_type") {
                        $('#shoot_type').val(value).trigger('change');
                      }

                      // set source dependent dropdowns
                      if (key === "source") {
                        if (value === "Referral") {
                          $("#rname").removeClass("d-none");
                          $("#rnumber").removeClass("d-none");
                        } else {
                          $("#rname").addClass("d-none");
                          $("#rnumber").addClass("d-none");
                        }
                      }
                    }
                  }
                  $("#add_client").modal("show");
                });

                $(document).on("click", ".delete_user", (e) => {
                  const lId =
                    e.target.parentElement.getAttribute("data-lead-id");

                  Swal.fire({
                    title: "Are you sure! want to delete?",
                    text: "",
                    icon: "warning",
                    showCancelButton: true,
                    confirmButtonColor: "#3085d6",
                    cancelButtonColor: "#d33",
                    confirmButtonText: "Yes",
                  }).then((result) => {
                    if (result.isConfirmed) {
                      $.ajax({
                        type: "GET",
                        url:
                          "https://efflo.xyz/App/api.php?gofor=leadsdelete&lead_id=" +
                          lId,
                        success: function (data) {
                          showNotification("Deleted Successfully");
                          setTimeout(() => {
                            window.location.reload();
                          }, 1500);
                        },
                      });
                    } //else {
                    //Swal.fire('Changes are not saved', '', 'info')
                    //}
                  });
                });

                $(".convert_user").click((e) => {
                  const lid =
                    e.target.parentElement.getAttribute("data-lead-id");
                  var selectedLeadData = leadData.find(
                    (l) => l.lead_id === lid.toString()
                  );
                  $.ajax({
                    type: "GET",
                    url: `https://efflo.xyz/App/api.php?gofor=leadtocustomer&lead_id=${lid}&mobileno=${selectedLeadData.mobileno}`,
                    success: function (data) {
                      showNotification("Converted Successfully");
                      setTimeout(() => {
                        window.location.href =
                        "customers.php";
                      }, 1500);
                    },
                  });
                });
              },
            });

            $("#filterByEventType").on("change", function () {
              var selectedRole = $(this).val();
              $(".custom-table")
                .DataTable()
                .columns(3)
                .search(selectedRole)
                .draw();
            });
          },
          error: function (e) {
            $("#output").text(e.responseText);
            console.log("ERROR : ", e);
          },
        });
        $("#source").change((v) => {
          if (v.target.value === "Referral") {
            $("#rname").removeClass("d-none");
            $("#rnumber").removeClass("d-none");
          } else {
            $("#rname").addClass("d-none");
            $("#rnumber").addClass("d-none");
          }
        });

        $(".submit-btn").click((e) => {
          e.preventDefault();
          // Get form
          var form = $("#addForm")[0];

          // Create an FormData object
          var data = new FormData(form);
          data.append("gofor", actionType);
          data.append("user_id", sessionStorage.getItem("user_id"));
          if (actionType === "editleads") {
            data.append("lead_id", leadId);
          }
          var jsonData = JSON.stringify(Object.fromEntries(data));

          // Validation form
          function printError(elemId, hintMsg) {
            document.getElementById(elemId).innerHTML = hintMsg;
          }

          // Defining error variables with a default value
          var sourceErr =
            (nameErr =
            mobileErr =
            statusErr =
              true);

          if ($("#source").val() == "") {
            printError("sourceErr", "Please select your source");
          } else {
            printError("sourceErr", "");
            sourceErr = false;
          }

          if ($("input[name='name']").val() == "") {
            printError("nameErr", "Please enter name");
          } else {
            printError("nameErr", "");
            nameErr = false;
          }

          // Validate mobile number
          if ($("input[name='mobileno']").val() == "") {
            printError("mobileErr", "Please enter your mobile number");
          } else {
            var regex = /^[1-9]\d{9}$/;
            if (regex.test($("input[name='mobileno']").val()) === false) {
              printError(
                "mobileErr",
                "Please enter a valid 10 digit mobile number"
              );
            } else {
              printError("mobileErr", "");
              mobileErr = false;
            }
          }

          //if ($("input[name='next_followup']").val() == "") {
          //  printError("next_followupErr", "Please pick the followup date");
          //} else {
          //  printError("next_followupErr", "");
          //  next_followupErr = false;
          //}

          // Validate status
          if ($("#status").val() == "") {
            printError("statusErr", "Please select your status");
          } else {
            printError("statusErr", "");
            statusErr = false;
          }

          // Prevent the form from being submitted if there are any errors
          if (
            (sourceErr ||
              nameErr ||
              mobileErr ||
              statusErr) == true
          ) {
            return false;
          }

          $.ajax({
            type: "POST",
            enctype: "multipart/form-data",
            url: "https://efflo.xyz/App/api.php",
            data: jsonData,
            processData: false,
            contentType: false,
            cache: false,
            success: function (data) {
              $("#add_client").modal("hide");

              showSnackbar("Added Successfully");
              setTimeout(() => {
                window.location.reload();
              }, 1500);
            },
          });
        });

        function getSourceList() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=refsourcelist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#source");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" + this.name + "'>" + this.name + "</option>"
                );
              });
            },
          });
        }

        function getSubcategoryList() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=subcategorylist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#subcategory");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" + this.name + "'>" + this.name + "</option>"
                );
              });
            },
          });
        }

        function getShootList() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=shootlist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#shoot_type");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" + this.name + "'>" + this.name + "</option>"
                );
              });
            },
          });
        }

        //reset form on modal close
        $("#add_client").on("hidden.bs.modal", function () {
          $(this).find("form").trigger("reset");
        });
      });
    </script>

    <script>
      $(".select2").select2();
    </script>

    <?php include "common-script.php";?>
  </body>
</html>
