<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <?php include "meta-title.php";?>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />

    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />

    <link rel="stylesheet" href="assets/css/vendor.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->

      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row align-items-center">
              <div class="col">
                <h3 class="page-title">Orders</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Orders</li>
                </ul>
              </div>
              <!-- <div class="col-auto float-right ml-auto">
                <div class="circle-btn">
                  <a href="#" data-toggle="modal" data-target="#add_client"
                    ><div class="circle-container">
                      <div class="circle-div">+</div>
                    </div></a
                  >
                </div>
              </div> -->
            </div>
          </div>
          <!-- /Page Header -->

          <div class="card mb-0">
            <div class="card-body">
              <div class="row">
                <div class="col-md-12">
                  <div class="profile-view">
                      <div class="row">
                        <div class="col-md-7">
                          <ul class="personal-info" style="display: grid;">
                            
                          </ul>
                        </div>
                      </div>
                    <!-- <div class="pro-edit">
                      <a
                        data-target="#profile_info"
                        data-toggle="modal"
                        class="edit-icon"
                        href="#"
                        ><i class="fa fa-pencil"></i
                      ></a>
                    </div> -->
                  </div>
                </div>
              </div>
            </div>
          </div>

          <div class="card tab-box">
            <div class="row user-tabs">
              <div class="col-lg-12 col-md-12 col-sm-12 line-tabs">
                <ul class="nav nav-tabs nav-tabs-bottom">
                  <li class="nav-item">
                    <a
                      href="#paymentDetails"
                      data-toggle="tab"
                      class="nav-link active"
                      >Payments</a
                    >
                  </li>
                  <li class="nav-item">
                    <a
                      href="#trackingDetails"
                      data-toggle="tab"
                      class="nav-link"
                      >Tracking</a
                    >
                  </li>
                  <li class="nav-item">
                    <a
                      href="#expensesDetails"
                      data-toggle="tab"
                      class="nav-link"
                      >Expenses
                    </a>
                  </li>
                </ul>
              </div>
            </div>
          </div>

          <div class="tab-content">
            <!-- Profile Info Tab -->
            <div
              id="paymentDetails"
              class="pro-overview tab-pane fade show active"
            >
              <div class="card">
                <div class="card-body">
                  <div class="col-md-12">
                    <div class="table-responsive">
                      <table class="table table-striped payment-table mb-0">
                        <thead>
                          <tr>
                            <th>Payment Id</th>
                            <th>Date</th>                            
                            <th>Amount Payable</th>
                            <th>PayType</th>
							<th>Remarks</th>
                            <th>Status</th>
                            <!--<th class="text-right">Action</th>-->
                          </tr>
                        </thead>
                        <tbody></tbody>
                      </table>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <!-- /Profile Info Tab -->

            <!-- Projects Tab -->
            <div class="tab-pane fade" id="trackingDetails">
              <div class="row">
                <div class="col-12 generate">
                  <div class="card">
                    <div class="card-body">
                      <button
                        type="button"
                        class="btn btn-custom"
                        id="generate"
                      >
                        Generate
                      </button>
                    </div>
                  </div>
                </div>
                <div class="kanban-board card mb-0">
                  <div class="card-body">
                    <div class="kanban-cont"></div>
                  </div>
                </div>
              </div>
            </div>
            <!-- /Projects Tab -->

            <!-- Bank Statutory Tab -->
            <div class="tab-pane fade" id="expensesDetails">
              <div class="card">
                <div class="card-body">
                  <div class="col-md-12">
                    <div class="table-responsive">
                      <table class="table table-striped expense-table mb-0">
                        <thead>
                          <tr>
                            <th>Expense Id</th>
                            <th>Date</th>
                            <th>Expenses Name</th>
                            <th>Amount</th>
                            <th>Detail</th>
                            <th>To Whom</th>
                            <th>Type</th>
                            <th>Method</th>
                            <th>Status</th>
                            <!--<th class="text-right">Action</th>-->
                          </tr>
                        </thead>
                        <tbody></tbody>
                      </table>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <!-- /Bank Statutory Tab -->
          </div>
        </div>
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->

    <div id="edit_task_modal" class="modal custom-modal fade" role="dialog">
      <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Add/Edit Tasks</h5>
            <button
              type="button"
              class="close"
              data-dismiss="modal"
              aria-label="Close"
            >
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form id="addUpload">
              <div class="row">
                <div class="col-md-6">
                  <label class="col-form-label">Deadline</label>
                  <input class="form-control" type="date" id="due_date" />
                </div>
                <div class="col-md-6">
                  <label class="col-form-label">Task</label>
                  <select class="form-control" id="task">
                    <option value="">Choose</option>
                  </select>
                </div>
                <div class="col-md-6">
                  <label class="col-form-label">Remarks</label>
                  <input class="form-control" type="text" id="remarks" />
                </div>
                <div class="col-md-6">
                  <label class="col-form-label">Status</label>
                  <select class="form-control" id="status" disabled>
                    <option value="1">Todo</option>
                    <option value="2">WIP</option>
                    <option value="3">Done</option>
                  </select>
                </div>
                <div class="col-md-6">
                  <label class="col-form-label">Allocated To</label>
                  <select
                    class="form-control"
                    id="allocated"
                    onchange="showDiv(this.value)"
                  >
                    <option value="Employee">Employee</option>
                    <option value="Vendor">Vendor</option>
                    <option value="Client">Client</option>
                  </select>
                </div>
                <div class="col-md-6" id="hidden_div1" style="display: none">
                  <label class="col-form-label">Employee Name</label>
                  <select class="select" name="employee_id" id="employee">
                    <option value="select">Please Select</option>
                  </select>
                </div>
                <div class="col-md-6" id="hidden_div2" style="display: none">
                  <label class="col-form-label">Vendor Name</label>
                  <select class="select" name="vendor_id" id="vendor">
                    <option value="select">Please Select</option>
                  </select>
                </div>
                <div class="col-md-12">
                  <div class="submit-section" style="text-align: left">
                    <button class="btn btn-primary submit-btn">Submit</button>
                  </div>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Lodash -->
    <script src="assets/js/lodash.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/select2.min.js"></script>

    <!-- Datetimepicker JS -->
    <script src="assets/js/moment.min.js"></script>
    <script src="assets/js/bootstrap-datetimepicker.min.js"></script>

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>
    <script type="text/javascript">
      function showDiv(select) {
        if (select == "Employee") {
          document.getElementById("hidden_div1").style.display = "block";
          document.getElementById("hidden_div2").style.display = "none";
        } else if (select == "Vendor") {
          document.getElementById("hidden_div1").style.display = "none";
          document.getElementById("hidden_div2").style.display = "block";
        } else {
          document.getElementById("hidden_div1").style.display = "none";
          document.getElementById("hidden_div2").style.display = "none";
        }
      }
    </script>

    <script>
      var orderData = "";
      var actionType = "addorders";
      var orderId = "";
      var selectedServiceId = "";
      var selectedTrackingId = "";
      var actionType = "addtracking";
      var trackingDetail = "";
      $(document).ready(function () {
        var url_str = $(location).attr("href");
        var url = new URL(url_str);
        var search_params = url.searchParams;
        var activeTab = url.searchParams.get("activeTab");

        if (activeTab) {
          if (activeTab == 2) {
            $('[href="#trackingDetails"]').click();
          }
        }

        $(".generate").hide();
        $(".kanban-board").hide();
        getOrderDetail();
        getEmployeesList();
        getVendorsList();
        getPaymentList();
        getExpensesList();
        getTrakingList();
        getTasksList();
        document.getElementById("hidden_div1").style.display = "block";
        document.getElementById("hidden_div2").style.display = "none";
        $("#status").val(1);
        const uid = sessionStorage.getItem("user_id");

        function getPaymentList() {
          var url_str = $(location).attr("href");
          var url = new URL(url_str);
          var search_params = url.searchParams;
          var order_id = url.searchParams.get("order_id");
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=orderpaymentslist&user_id=" +
              sessionStorage.getItem("user_id") +
              "&order_id=" +
              order_id,
            success: function (data) {
              var $paymentDetails = $(".payment-table tbody");
              $.each(data, function (a, b) {
                let spanData = "";
                var PayStatus = b.total_amount - b.amount_paying;
                if (PayStatus == "0") {
                  spanData =
                    '<span class="badge bg-inverse-success">Fully Paid</span>';
                }
                if (PayStatus != "0") {
                  spanData =
                    '<span class="badge bg-inverse-danger">Partially Paid</span>';
                }
                $paymentDetails.append(
                  "<tr><td>" +
                    b.payment_id +
                    "</td>" +
                    "<td>" +
                    b.date +
                    "</td>" +
                    "<td>" +
                    b.amount_paying +
                    "</td>" +                    
                    "<td>" +
                    b.payment_method +
                    "</td>" +
					"<td>" +
                    b.remarks +
                    "</td>" +
                    "<td>" +
                    spanData +
                    "</td>"
                    //'<td class="text-right"><span class="text-success edit_user" data-order-id="' +
                    //b.order_id +
                    //'"><i class="sl-icon-note fa-lg m-r-5"></i></span></td></tr>'
                );
              });
            },
          });
        }

        function getExpensesList() {
          var url_str = $(location).attr("href");
          var url = new URL(url_str);
          var search_params = url.searchParams;
          var order_id = url.searchParams.get("order_id");
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=orderexpenseslist&user_id=" +
              sessionStorage.getItem("user_id") +
              "&order_id=" +
              order_id,
            success: function (data) {
              var $paymentDetails = $(".expense-table tbody");
              $.each(data, function (a, b) {
                let spanData = "";

                if (b.status == "0") {
                  spanData =
                    '<span class="badge bg-inverse-success">Inactive</span>';
                }
                if (b.status == "1") {
                  spanData =
                    '<span class="badge bg-inverse-danger">Active</span>';
                }
                $paymentDetails.append(
                  "<tr><td>" +
                    b.expense_id +
                    "</td>" +
                    "<td>" +
                    b.date +
                    "</td>" +
                    "<td>" +
                    b.expense_name +
                    "</td>" +
                    "<td>" +
                    b.expense_amount +
                    "</td>" +
                    "<td>" +
                    b.expense_detail +
                    "</td>" +
                    "<td>" +
                    b.towhom +
                    "</td>" +
                    "<td>" +
                    b.expense_type +
                    "</td>" +
                    "<td>" +
                    b.payment_method +
                    "</td>" +
                    "<td>" +
                    spanData +
                    "</td>"
                    //'<td class="text-right"><span class="text-success edit_user" data-order-id="' +
                    //b.order_id +
                    //'"><i class="sl-icon-note fa-lg m-r-5"></i></span></td></tr>'
                );
              });
            },
          });
        }

        function getTrakingList() {
          var url_str = $(location).attr("href");
          var url = new URL(url_str);
          var search_params = url.searchParams;
          var order_id = url.searchParams.get("order_id");
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=ordertrackinglist&user_id=" +
              sessionStorage.getItem("user_id") +
              "&order_id=" +
              order_id,
            success: function (data) {
              trackingDetail = data;
              const grouped = _.groupBy(data, (data) => data.service_name);
              if (data.length == 0) {
                $(".generate").show();
                $(".kanban-board").hide();
              } else {
                $(".generate").hide();
                $(".kanban-board").show();
                Object.entries(grouped).forEach(([key, value]) => {
                  let topContent = `<div class="kanban-list kanban-${value[0].service_color}"><div class="kanban-header"><span class="status-title">${key}</span></div><div class="kanban-wrap">`;

                  let bottomContent = `<div class="add-new-task" data-service-id="${value[0].service_id}"><a href="javascript:void(0);" data-toggle="modal" data-target="#edit_task_modal">Add New Task</a></div>`;

                  value.map((content) => {
                    topContent += `<div class="card panel"><div class="kanban-box"><div class="task-board-header"><span class="status-title"><a href="task-view.html">${
                      content.task_name
                    }</a></span><div class="dropdown kanban-task-action"><a href="" data-toggle="dropdown"><i class="fa fa-angle-down"></i></a><div class="dropdown-menu dropdown-menu-right"><span class="dropdown-item delete-tracking" data-tracking-id="${
                      content.tracking_id
                    }">Delete</a></div></div></div><div class="task-board-body"><div class="row"><div class="col-md-12"><p class="small task-name-color-1">${
                      content.remarks
                    }</p></div><div class="col-md-6"><p class="small mb-0">Deadline: </p><span class="small">${
                      content.due_date
                    }</span></div><div class="col-md-6"><p class="small">Allocated To: ${
                      content.assigned
                    }</p></div></div><div class="kanban-footer"><span class="task-info-cont"><span class="task-priority badge bg-inverse-${
                      content.status == "1"
                        ? "danger"
                        : content.status == "2"
                        ? "warning"
                        : "success"
                    }">${
                      content.status == "1"
                        ? "Todo"
                        : content.status == "2"
                        ? "WIP"
                        : "Done"
                    }</span></span><span class="task-users"><span class="edit-task" data-tracking-id="${
                      content.tracking_id
                    }" data-toggle="modal" data-target="#edit_task_modal" class="text-success"><i class="fa fa-pencil fa-lg"></i></span></span></div></div></div></div>`;
                  });
                  $(".kanban-cont").append(topContent + bottomContent);
                });

                $(".add-new-task").click(function () {
                  selectedServiceId = $(this).attr("data-service-id");
                });

                $(".delete-tracking").click(function () {
                  deleteTracking($(this).attr("data-tracking-id"));
                });

                $(".edit-task").click(function () {
                  actionType = "edittracking";
                  editTaskList($(this).attr("data-tracking-id"));
                });
              }
            },
          });
        }

        function getEmployeesList() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=employeeslist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#employee");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" + this.name + "'>" + this.name + "</option>"
                );
              });
            },
          });
        }

        function getVendorsList() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=vendorslist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#vendor");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" + this.name + "'>" + this.name + "</option>"
                );
              });
            },
          });
        }

        function getTasksList() {
          $.ajax({
            type: "GET",
            url: "https://efflo.xyz/App/api.php?gofor=taskslist",
            success: function (data) {
              var $dropdown = $("#task");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.task_id +
                    "'>" +
                    this.task_name +
                    "</option>"
                );
              });
            },
          });
        }

        function getOrderDetail () {
          var url_str = $(location).attr("href");
          var url = new URL(url_str);
          var search_params = url.searchParams;
          var order_id = url.searchParams.get("order_id");
          $.ajax({
            type: "GET",
            url: "https://efflo.xyz/App/api.php?gofor=getorder&order_id="+order_id,
            success: function (data) {
              var vendorData = Object.entries(data.order_detail);
              const wrapper = $(".personal-info");

              for ([key, value] of vendorData) {
                if (
                  key !== "estimate_id" &&
                  key !== "modified_date" &&
                  key !== "order_id" &&
                  key !== "status" &&
                  key !== "user_id"
                ) {
                  wrapper.append(`
                    <li>
                      <div class="title">${key}: </div>
                      <div class="text">${value}</div>
                    </li>
                  `);
                }
              }
            },
          });
        }

        function editTaskList(tid) {
          var prefillData = trackingDetail.find((v) => v.tracking_id == tid);
          $("#status").attr("disabled", false);
          $("#task").val(prefillData.task_id);
          $("#allocated").val(prefillData.atype);
          showDiv($("#allocated").val());
          if (prefillData.atype == "Employee") {
            $("#employee").val(prefillData.assigned);
            $("#employee").trigger("change");
          } else if (prefillData.atype == "Vendor") {
            $("#vendor").val(prefillData.assigned);
            $("#vendor").trigger("change");
          }
          $("#due_date").val(prefillData.due_date);
          $("#remarks").val(prefillData.remarks);
          $("#status").val(prefillData.status);
          selectedTrackingId = prefillData.tracking_id;
          selectedServiceId = prefillData.service_id;
        }

        function deleteTracking(tid) {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=trackingdelete&tracking_id=" +
              tid,
            success: function (data) {
              var url_str = $(location).attr("href");
              var url = new URL(url_str);
              var search_params = url.searchParams;
              var order_id = url.searchParams.get("order_id");
              window.location.search = `order_id=${order_id}&activeTab=2`;
            },
          });
        }

        $("#generate").click(() => {
          var queryString = window.location.search;
          var urlParams = new URLSearchParams(queryString);
          var oid = urlParams.get("order_id");

          $.ajax({
            type: "GET",
            url: `https://efflo.xyz/App/api.php?gofor=autotaskinsert&order_id=${oid}&user_id=${sessionStorage.getItem(
              "user_id"
            )}`,
            success: function (data) {
              var url_str = $(location).attr("href");
              var url = new URL(url_str);
              var search_params = url.searchParams;
              var order_id = url.searchParams.get("order_id");
              window.location.search = `order_id=${order_id}&activeTab=2`;
            },
          });
        });

        $(".submit-btn").click((e) => {
          e.preventDefault();
          var url_str = $(location).attr("href");
          var url = new URL(url_str);
          var search_params = url.searchParams;
          var order_id = url.searchParams.get("order_id");
          var payload = {
            gofor: actionType,
            user_id: sessionStorage.getItem("user_id"),
            service_id: selectedServiceId,
            order_id: order_id,
            task_id: $("#task").val(),
            task_name: $("#task").find("option:selected").text(),
            assigned: "",
            due_date: $("#due_date").val(),
            remarks: $("#remarks").val(),
            atype: $("#allocated").val(),
          };

          if (actionType == "edittracking") {
            payload.tracking_id = selectedTrackingId;
            payload.status = $("#status").val();
          }

          if ($("#allocated").val() == "Employee")
            payload.assigned = $("#employee").val();
          if ($("#allocated").val() == "Vendor")
            payload.assigned = $("#vendor").val();
          if ($("#allocated").val() == "Client") payload.assigned = "NA";

          $.ajax({
            type: "POST",
            enctype: "multipart/form-data",
            url: "https://efflo.xyz/App/api.php",
            data: JSON.stringify(payload),
            processData: false,
            contentType: false,
            cache: false,
            success: function (data) {
              var url_str = $(location).attr("href");
              var url = new URL(url_str);
              var search_params = url.searchParams;
              var order_id = url.searchParams.get("order_id");
              window.location.search = `order_id=${order_id}&activeTab=2`;
              setTimeout(() => {
                $(".toast-header strong").text("Added");
                $(".toast-body").text("Feedback Added Successfully");
                $(".toast").toast("show");
              }, 1000);
            },
          });
        });

        //reset form on modal close
        $("#edit_task_modal").on("hidden.bs.modal", function () {
          $(this).find("form").trigger("reset");
          document.getElementById("hidden_div1").style.display = "block";
          document.getElementById("hidden_div2").style.display = "none";
          $("#status").attr("disabled", true);
          actionType = "addtracking";
          selectedTrackingId = "";

          $("#task").val("");
          $("#allocated").val("Employee");
          $("#employee").val("");
          $("#employee").trigger("change");
          $("#vendor").val("");
          $("#vendor").trigger("change");
          $("#due_date").val("");
          $("#remarks").val("");
          $("#status").val(1);
        });
      });
    </script>
  </body>
</html>
