<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
        <?php include "meta-title.php";?>
		
		<!-- Favicon -->
        <link rel="shortcut icon" type="image/x-icon" href="assets/img/favicon.png">
		
		<!-- Bootstrap CSS -->
        <link rel="stylesheet" href="assets/css/bootstrap.min.css">
		
		<!-- Fontawesome CSS -->
        <link rel="stylesheet" href="assets/css/font-awesome.min.css">
		
		<!-- Lineawesome CSS -->
        <link rel="stylesheet" href="assets/css/line-awesome.min.css">
		
		<!-- Datatable CSS -->
		<link rel="stylesheet" href="assets/css/dataTables.bootstrap4.min.css">
		
		<!-- Select2 CSS -->
		<link rel="stylesheet" href="assets/css/select2.min.css">
		
		<!-- Datetimepicker CSS -->
		<link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css">
		
		<!-- Main CSS -->
        <link rel="stylesheet" href="assets/css/style.css">
		
		<link rel="stylesheet" href="assets/css/vendor.css">
		
		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!--[if lt IE 9]>
			<script src="assets/js/html5shiv.min.js"></script>
			<script src="assets/js/respond.min.js"></script>
		<![endif]-->
    </head>
    <body>
		<!-- Main Wrapper -->
        <div class="main-wrapper">
		
			<!-- Header -->
            <?php include "header.php";?>
			<!-- /Header -->
			
			<!-- Sidebar -->
            <?php include "sidebar.php";?>
			<!-- /Sidebar -->
			
			<!-- Page Wrapper -->
            <div class="page-wrapper">
			
				<!-- Page Content -->
                <div class="content container-fluid">
				
					<!-- Page Header -->
					<div class="page-header">
						<div class="row">
						  <div class="col-sm-6">
							<h3 class="page-title">Payroll</h3>
							<ul class="breadcrumb">
							  <li class="breadcrumb-item">
								<a href="dashboard.php">Dashboard</a>
							  </li>
							  <li class="breadcrumb-item active">Payroll</li>
							</ul>
						  </div>
						  <div class="col-sm-6 text-right ml-auto">
							<!--
							<form id="addForm1">
								<?php 
									$next_month = date('F', strtotime('first day of +1 month'));
									$previous_month = date('F', strtotime('first day of -1 month'));
									$current_month = date('F');
								?>
								<input class="form-control" type="hidden" id="month" name="month" value="<?php echo $next_month;?>"/>
								<button class="btn btn-danger generate">Generate Payroll</button>
							</form>
							-->							
							<button class="btn btn-danger generate">Generate Payroll</button>
						  </div>
						  <div class="col-sm-6 mt-3">
							<form>
								<div class="form-group row">
									<?php 
										$next_month = date('F', strtotime('first day of +1 month'));
										$previous_month = date('F', strtotime('first day of -1 month'));
										$current_month = date('F');
									?>
									<label class="col-md-4 mt-2">Choose Month <span class="text-danger">*</span></label>
									<div class="col-md-8">
										<select class="form-control" id="month" name="month">
											<option value="">Select</option>
											<option value="<?php echo $previous_month;?>"><?php echo $previous_month;?></option>
											<option value="<?php echo $current_month;?>" selected><?php echo $current_month;?></option>
											<option value="<?php echo $next_month;?>"><?php echo $next_month;?></option>
										</select>
									</div>
								</div>
							</form>
						  </div>
						</div>
						
					</div>
					<!-- /Page Header
					
					<div class="row special">
						<div class="col-md-12">
							<div class="card-group special-box m-b-30">
								<div class="card">
									<div class="card-body">
										<h3 class="mb-1 box-div-number">112</h3>
										<div class="d-flex justify-content-between mb-3">
											<div class="box-div-content">
												<span class="d-block">New </span>
											</div>
											<div>
												<span class="text-success"></span>
											</div>
										</div>
										
										<div class="progress mb-2" style="height: 5px;">
											<div class="progress-bar bg-info1" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
										</div>
									</div>
								</div>
							
								<div class="card">
									<div class="card-body">
										<h3 class="mb-1 box-div-number">70</h3>
										<div class="d-flex justify-content-between mb-3">
											<div class="box-div-content">
												<span class="d-block">Pending</span>
											</div>
											<div>
												<span class="text-success"></span>
											</div>
										</div>
										
										<div class="progress mb-2" style="height: 5px;">
											<div class="progress-bar bg-primary1" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
										</div>
									</div>
								</div>
							
								<div class="card">
									<div class="card-body">
										<h3 class="mb-1 box-div-number">100</h3>
										<div class="d-flex justify-content-between mb-3">
											<div class="box-div-content">
												<span class="d-block">Active</span>
											</div>
											<div>
												<span class="text-danger"></span>
											</div>
										</div>
										
										<div class="progress mb-2" style="height: 5px;">
											<div class="progress-bar bg-danger1" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
										</div>
									</div>
								</div>
							
								<div class="card">
									<div class="card-body">
										<h3 class="mb-1 box-div-number">125</h3>
										<div class="d-flex justify-content-between mb-3">
											<div class="box-div-content">
												<span class="d-block">Inactive</span>
											</div>
											<div>
												<span class="text-danger"></span>
											</div>
										</div>
										
										<div class="progress mb-2" style="height: 5px;">
											<div class="progress-bar bg-success1" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
										</div>
									</div>
								</div>
							</div>
						</div>	
					</div>
					-->
					<!-- Search Filter 
					<div class="row filter-row">
						<div class="col-sm-6 col-md-3">  
							<div class="form-group form-focus">
								<input type="text" class="form-control floating">
								<label class="focus-label">Name</label>
							</div>
						</div>
						<div class="col-sm-6 col-md-3"> 
							<div class="form-group form-focus select-focus">
								<select class="select floating"> 
									<option>Select Issue</option>
									<option>Global Technologies</option>
									<option>Delta Infotech</option>
								</select>
								<label class="focus-label">Issue</label>
							</div>
						</div>
						<div class="col-sm-6 col-md-3"> 
							<div class="form-group form-focus select-focus">
								<select class="select floating"> 
									<option>Select Orders</option>
									<option>Web Developer</option>
									<option>Web Designer</option>
									<option>Android Developer</option>
									<option>Ios Developer</option>
								</select>
								<label class="focus-label">Orders</label>
							</div>
						</div>
						<div class="col-sm-6 col-md-3">  
							<a href="#" class="btn btn-success btn-block"> Search </a>  
						</div>     
                    </div>
					<!-- /Search Filter -->
					
					<div class="row mt-3">
						<div class="col-md-12">
							<div class="table-responsive">
								<table class="table table-striped table-nowrap custom-table mb-0">
									<thead>
										<tr>
											<th>#</th>
											<th>PayDate</th>
											<th>Name</th>
											<th>Month</th>
											<th>Salary</th>
											<th>Deductions</th>
											<th>Net Amount</th>
											<th class="text-right">Action</th>
										</tr>
									</thead>
									<tbody>
										
									</tbody>
								</table>
							</div>
						</div>
					</div>
                </div>
				<!-- /Page Content -->
				
				<!-- Add User Modal -->
				<div id="add_client" class="modal custom-modal fade" role="dialog">
					<div class="modal-dialog modal-dialog-centered modal-lg" role="document">
						<div class="modal-content">
							<div class="modal-header">
								<h5 class="modal-title text-right">Add Payroll</h5>
								<button type="button" class="close" data-dismiss="modal" aria-label="Close">
									<span aria-hidden="true">&times;</span>
								</button>
							</div>
							<div class="modal-body">
								<form id="addForm">
									<div class="row">
									    
										<div class="col-md-6">
											<div class="form-group">
												<label>Employees <span class="text-danger">*</span></label>
												<select class="select" name="employee_id" id="employee">
												  <option value="">Please Select</option>
												  
												</select>
											  </div>
										</div>
										<div class="col-md-3">  
											<div class="form-group">
												<label class="col-form-label">Month <span class="text-danger">*</span></label>
												<select class="form-control" name="month" id="month"> 
													<option value="">Choose</option>
													<option value="January">January</option>
                                                    <option value="February">February</option>
                                                    <option value="March">March</option>
													<option value="April">April</option>
													<option value="May">May</option>
													<option value="June">June</option>
													<option value="July">July</option>
													<option value="August">August</option>
													<option value="September">September</option>
													<option value="October">October</option>
													<option value="November">November</option>
													<option value="December">December</option>
												</select>
											</div>
										</div>
										<div class="col-md-3">
											<div class="form-group">
												<label>Payroll Date <span class="text-danger">*</span></label>
												<div class="cal-icon">
													<input class="form-control datetimepicker" type="text" id="payroll_date" name="payroll_date">
												</div>
											</div>
										</div>
										<div class="col-md-4">
											<div class="form-group">
												<label class="col-form-label">Salary Amount <span class="text-danger">*</span></label>
												<input class="form-control" type="text" name="salary" id="salary">
											</div>
										</div>
										<div class="col-md-4">
											<div class="form-group">
												<label class="col-form-label">Deductions <span class="text-danger">*</span></label>
												<input class="form-control" type="text" name="deductions" id="deductions">
											</div>
										</div>
										<div class="col-md-4">
											<div class="form-group">
												<label class="col-form-label">Net Amount <span class="text-danger">*</span></label>
												<input class="form-control" type="text" name="netamount" id="netamount">
											</div>
										</div>
										
										
										
										<div class="col-md-6">  
											<div class="form-group">
												<label class="col-form-label">Status <span class="text-danger">*</span></label>
												<select class="form-control" name="status" id="status"> 
													<option value="">Select Status </option>
													<option value="1">Active</option>
													<option value="0">Inactive</option>
												</select>
											</div>
										</div>
										
									</div>
									
									<div class="submit-section">
										<div class="col-md-12 text-right">
											
											<button class="btn btn-danger submit-btn">Submit</button>
										</div>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
				<!-- /Add User Modal -->
				
				<!-- Toast -->
				<div class="toast" role="alert" aria-live="assertive" aria-atomic="true" data-delay="2000" style="position: absolute; top: 5rem; right: 1rem;">
				  <div>
					<strong class="mr-auto toast-header"></strong>
					<button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Close">
					  <span aria-hidden="true">&times;</span>
					</button>
				  </div>
				  <div class="toast-body"></div>
				</div>
				<!-- /Toast -->
				
				
				
				<!-- Delete User Modal -->
				<div class="modal custom-modal fade" id="delete_user" role="dialog">
					<div class="modal-dialog modal-dialog-centered">
						<div class="modal-content">
							<div class="modal-body">
								<div class="form-header">
									<h3>Delete User</h3>
									<p>Are you sure want to delete?</p>
								</div>
								<div class="modal-btn delete-action">
									<div class="row">
										<div class="col-6">
											<a href="javascript:void(0);" class="btn btn-primary continue-btn">Delete</a>
										</div>
										<div class="col-6">
											<a href="javascript:void(0);" data-dismiss="modal" class="btn btn-primary cancel-btn">Cancel</a>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<!-- /Delete User Modal -->
				
            </div>
			<!-- /Page Wrapper -->

        </div>
		<!-- /Main Wrapper -->

		<!-- jQuery -->
        <script src="assets/js/jquery-3.5.1.min.js"></script>

		<!-- Bootstrap Core JS -->
        <script src="assets/js/popper.min.js"></script>
        <script src="assets/js/bootstrap.min.js"></script>

		<!-- Slimscroll JS -->
		<script src="assets/js/jquery.slimscroll.min.js"></script>
		
		<!-- Select2 JS -->
		<script src="assets/js/select2.min.js"></script>
		
		<!-- Datetimepicker JS -->
		<script src="assets/js/moment.min.js"></script>
		<script src="assets/js/bootstrap-datetimepicker.min.js"></script>
		
		<!-- Datatable JS -->
		<script src="assets/js/jquery.dataTables.min.js"></script>
		<script src="assets/js/dataTables.bootstrap4.min.js"></script>

		<!-- Custom JS -->
		<script src="assets/js/app.js"></script>
		<script>
			$(function() {
				$("#salary, #deductions").on("keydown keyup", sum);
				function sum() {				
				$("#netamount").val(Number($("#salary").val()) - Number($("#deductions").val()));
				}
			});
		</script>

<script>
      var payrollData = "";
      var actionType = "addpayroll";
      var payrollId = "";
      $(document).ready(function () {		
		getEmployeesList();		  
		const months = [ 
			"January", "February",  
			"March", "April", "May",  
			"June", "July", "August", 
			"September", "October",  
			"November", "December" 
		]; 
		const d = new Date();
		const next_month = months[d.getMonth()+1];
		const current_month = months[d.getMonth()];
		const previous_month = months[d.getMonth()-1];
		  
        const uid = sessionStorage.getItem("user_id");
        var table = $(".custom-table tbody");
        $.ajax({
          type: "GET",
          url:
            "https://efflo.xyz/App/api.php?gofor=payrolllist&month="+current_month+"&user_id=" +
            uid,
          success: function (data) {
            table.empty();
            payrollData = data;
            $.each(data, function (a, b) {
              

              table.append(
                "<tr><td>" +
                  (a + 1) +
                  "</td>" +
                  "<td>" +
                  b.payroll_date +
                  "</td>" +
                  "<td>" +
                  b.employee_name +
                  "</td>" +
                  "<td>" +
                  b.month +
                  "</td>" +
                  "<td>" +
                  b.salary +
                  "</td>" +
                  "<td>" +
                  b.deductions +
                  "</td>" +
                  "<td>" +
                  b.netamount +
                  "</td>" +
                  '<td class="text-right"><span class="text-danger delete_user" data-payroll-id="' +
                  b.payroll_id +
                  '"><i class="sl-icon-trash fa-lg m-r-5"></i></span><span class="text-success edit_user" data-payroll-id="' +
                  b.payroll_id +
                  '"><i class="sl-icon-note fa-lg m-r-5"></i></span><a class="text-primary convert_user" href="Payslip.pdf" target="_blank"><i class="ti-printer fa-lg m-r-5"></i></a></td></tr>'
              );
            });

            //   $('.custom-table').DataTable();
            $(".custom-table").dataTable({
              paging: true,
              searching: true,
              pageLength: 10,
              initComplete: () => {
                $(document).on("click", ".edit_user", (e) => {
                  actionType = "editpayroll";
                  payrollId = e.target.parentElement.getAttribute("data-payroll-id");
                  var selectedpayrollData = payrollData.find(
                    (l) => l.payroll_id === payrollId.toString()
                  );
                  var entries = Object.entries(selectedpayrollData);
                  for ([key, value] of entries) {
                    if (
                      key !== "user_id" &&
                      key !== "payroll_id" &&
                      value !== "" &&
                      key !== "created_date" &&
                      key !== "modified_date"
                    ) {
                      $("[name=" + key + "]").val(value);

                      
                    }
                  }
                  $("#add_client").modal("show");
                });
				
                
                $(document).on("click", ".delete_user", (e) => {
                    const lId = e.target.parentElement.getAttribute("data-payroll-id");
                   
					Swal.fire({
					  title: 'Are you sure! want to delete?',
					  text: "",
					  icon: 'warning',
					  showCancelButton: true,
					  confirmButtonColor: '#3085d6',
					  cancelButtonColor: '#d33',
					  confirmButtonText: 'Yes'
					}).then((result) => {
					  if (result.isConfirmed) {
						$.ajax({
						type: "GET",
						url:
						  "https://efflo.xyz/App/api.php?gofor=payrolldelete&payroll_id="+lId,
						success: function (data) {
						  window.location.reload();
						  setTimeout(() => {
							showNotification("Deleted Successfully");
						  }, 2000);
						},
					  });
						
					  } //else {
						//Swal.fire('Changes are not saved', '', 'info')
					  //}
					})
                });
              },
            });
          },
          error: function (e) {
            $("#output").text(e.responseText);
            console.log("ERROR : ", e);
          },
        });
        $("#source").change((v) => {
          if (v.target.value === "Referral") {
            $("#rname").removeClass("d-none");
            $("#rnumber").removeClass("d-none");
          } else {
            $("#rname").addClass("d-none");
            $("#rnumber").addClass("d-none");
          }
        });
		
		$("#month").on('change', function() {
			var month_value = $(this).val();
			//$("#city").empty();
			//alert(countryid);
			$.ajax({
				type: "GET",
				url:
				  "https://efflo.xyz/App/api.php?gofor=payrolllist&month="+month_value+"&user_id=" +uid,
				  success: function (data) {
					table.empty();
					payrollData = data;
					if(data.length == 0){
						  table.append("<tr><td colspan='8' align='center'><div style='margin-top:5%'><h1><i class='fa fa-smile-o no-data-icon'></i></h1><p>No Data Found</p></tr>");
					} else {
						$.each(data, function (a, b) {					  
						  table.append(
							"<tr><td>" +
							  (a + 1) +
							  "</td>" +
							  "<td>" +
							  b.payroll_date +
							  "</td>" +
							  "<td>" +
							  b.employee_name +
							  "</td>" +
							  "<td>" +
							  b.month +
							  "</td>" +
							  "<td>" +
							  b.salary +
							  "</td>" +
							  "<td>" +
							  b.deductions +
							  "</td>" +
							  "<td>" +
							  b.netamount +
							  "</td>" +
							  '<td class="text-right"><span class="text-danger delete_user" data-payroll-id="' +
							  b.payroll_id +
							  '"><i class="sl-icon-trash fa-lg m-r-5"></i></span><span class="text-success edit_user" data-payroll-id="' +
							  b.payroll_id +
							  '"><i class="sl-icon-note fa-lg m-r-5"></i></span><a class="text-primary convert_user" href="Payslip.pdf" target="_blank"><i class="ti-printer fa-lg m-r-5"></i></a></td></tr>'
						  );
						});
					}
					
				},
			  });
		});
		
		$(".generate").click((e) => {			
			
			  Swal.fire({
				  title: 'Are you sure to generate?',
				  text: "",
				  icon: 'warning',
				  showCancelButton: true,
				  confirmButtonColor: '#3085d6',
				  cancelButtonColor: '#d33',
				  confirmButtonText: 'Yes'
				}).then((result) => {
				  if (result.isConfirmed) {
					$.ajax({
						  type: "POST",
						  url:
							"https://efflo.xyz/App/api.php?gofor=calpayroll&user_id=" +
							uid+"&month="+next_month,
						  success: function (data) {
							window.location.reload();
							setTimeout(() => {
								$('.toast-header strong').text('Added');
								$('.toast-body').text('Payroll Added Successfully');
								$('.toast').toast('show');
							}, 1000)
						  },
						  error: function (e) {
							$("#output").text(e.responseText);
							console.log("ERROR : ", e);
						  },
				  });
					
				  } //else {
					//Swal.fire('Changes are not saved', '', 'info')
				  //}
				})
			
			 
        });

        $(".submit-btn").click((e) => {
          e.preventDefault();
          // Get form
          var form = $("#addForm")[0];

          // Create an FormData object
          var data = new FormData(form);
          data.append("gofor", actionType);
          data.append("user_id", sessionStorage.getItem("user_id"));
          if (actionType === "editpayroll") {
            data.append("payroll_id", payrollId);
          }
          var jsonData = JSON.stringify(Object.fromEntries(data));

          $.ajax({
            type: "POST",
            enctype: "multipart/form-data",
            url: "https://efflo.xyz/App/api.php",
            data: jsonData,
            processData: false,
            contentType: false,
            cache: false,
            success: function (data) {
              window.location.reload();
                setTimeout(() => {
                    $('.toast-header strong').text('Added');
                    $('.toast-body').text('Payroll Added Successfully');
                    $('.toast').toast('show');
                }, 1000)
            },
          });
        });
		
		function getEmployeesList() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=employeeslist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#employee");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.employee_id +
                    "'>" +
                    this.name +
                    "</option>"
                );
              });
            },
          });
        }
		
		$("#employee").on('change', function() {
			var employeeid = $(this).val();
			$("#salary").empty();
			//alert(employeeid);
			$.ajax({
				type: "GET",
				url:
				  "https://efflo.xyz/App/api.php?gofor=getsalary&employee_id="+employeeid,
				  success: function (data) {
				  //alert(data.amount);
				  $("[name='salary']").val(data.amount);			  
				},
			  });
		});

        

        //reset form on modal close
        $("#add_client").on("hidden.bs.modal", function () {
          $(this).find("form").trigger("reset");
        });
      });
    </script>

	<?php include "common-script.php";?>	
    </body>
</html>