<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <?php include "meta-title.php";?>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <link
      type="text/css"
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/lightgallery/2.7.2/css/lightgallery.min.css"
    />

    <!-- lightgallery plugins -->
    <link
      type="text/css"
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/lightgallery/2.7.2/css/lg-zoom.min.css"
    />
    <link
      type="text/css"
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/lightgallery/2.7.2/css/lg-thumbnail.min.css"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Datatable CSS -->
    <link rel="stylesheet" href="assets/css/dataTables.bootstrap4.min.css" />

    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />

    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />

    <link rel="stylesheet" href="assets/css/vendor.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
    <link
      rel="stylesheet"
      href="plugins/porfolio-filter/css/magnific-popup.css"
    />
    <style>
      .portfolio-menu {
        text-align: center;
      }
      .portfolio-menu ul li {
        display: inline-block;
        margin: 0;
        list-style: none;
       
        cursor: pointer;
        -webkit-transition: all 05s ease;
        -moz-transition: all 05s ease;
        -ms-transition: all 05s ease;
        -o-transition: all 05s ease;
        transition: all 0.5s ease;
      }
      .portfolio-item .item {
        float: left;
        margin-bottom: 10px;
      }
      .img-thumbs {
        background: #eee;
        border: 1px solid #ccc;
        border-radius: 0.25rem;
        margin: 1.5rem 0;
        padding: 0.75rem;
      }
      .img-thumbs-hidden {
        display: none;
      }

      .wrapper-thumb {
        position: relative;
        display: inline-block;
        margin: 1rem 0;
        justify-content: space-around;
      }

      .img-preview-thumb {
        background: #fff;
        border: 1px solid none;
        border-radius: 0.25rem;
        box-shadow: 0.125rem 0.125rem 0.0625rem rgba(0, 0, 0, 0.12);
        margin-right: 1rem;
        max-width: 140px;
        padding: 0.25rem;
      }

      .remove-btn {
        position: absolute;
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: 0.7rem;
        top: -5px;
        right: 10px;
        width: 20px;
        height: 20px;
        background: white;
        border-radius: 10px;
        font-weight: bold;
        cursor: pointer;
      }

      .remove-btn:hover {
        box-shadow: 0px 0px 3px grey;
        transition: all 0.3s ease-in-out;
      }
    </style>
    <style>
      input[type="file"]::file-selector-button {
        background-color: #fff;
        color: #000;
        border: 0px;
        border-right: 1px solid #e5e5e5;
        padding: 10px 15px;
        margin-right: 20px;
        transition: 0.5s;
      }

      input[type="file"]::file-selector-button:hover {
        background-color: #eee;
        border: 0px;
        border-right: 1px solid #e5e5e5;
      }
    </style>
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->
        
        <!-- loader --> 
        <div class="loading-overlay">
          <i class="fa fa-4x fa-spin fa-spinner" aria-hidden="true"></i>
        </div>
        <!-- loader --> 
        
      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row align-items-center">
              <div class="col">
                <h3 class="page-title">Portfolio</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Portfolio</li>
                </ul>
              </div>
              <div class="col-auto float-right ml-auto">
                <div class="circle-btn">
                  <a href="#" data-toggle="modal" data-target="#add_client"
                    ><div class="circle-container">
                      <div class="circle-div">+</div>
                    </div></a
                  >
                </div>
              </div>
            </div>
          </div>
          <!-- /Page Header -->
          <style>
            .filters li.btn {
              margin-bottom: 20px;
              margin-right: 10px;
            }
          </style>
          <div class="row">
            <div class="col-md-12 col-lg-12">
              <div class="card">
                <div class="card-body">
                  <div class="portfolio-menu mt-2 mb-4">
                    <ul class="filters">
                      <li class="btn btn-outline-dark active" data-filter="*">
                        All
                      </li>
                    </ul>
                  </div>
                  <div class="portfolio-item row d-flex justify-content-center" id="lightgallery"></div>
                </div>
                <!-- table-wrapper -->
              </div>
              <!-- section-wrapper -->
            </div>
          </div>
        </div>
        <!-- /Page Content -->

        <!-- Add User Modal -->
        <div id="add_client" class="modal custom-modal fade" role="dialog">
          <div
            class="modal-dialog modal-dialog-centered modal-lg"
            role="document"
          >
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title text-right">Add Images</h5>
                <button
                  type="button"
                  class="close"
                  data-dismiss="modal"
                  aria-label="Close"
                >
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <form
                  method="post"
                  enctype="multipart/form-data"
                  id="form-upload"
                >
                  <div class="form-group">
                    <label class="col-form-label"
                      >Services <span class="text-danger">*</span></label
                    >
                    <select
                      class="form-control"
                      id="service_id"
                      name="service_id"
                    >
                      <option value="">Select Services</option>
                    </select>
                  </div>
                  <div class="form-group">
                    <label for="">Upload Your Photos</label>
                    <input
                      type="file"
                      class="form-control"
                      name="images[]"
                      multiple
                      id="upload-img"
                    />
                  </div>
                  <div
                    class="img-thumbs img-thumbs-hidden"
                    id="img-preview"
                  ></div>
                  <button type="submit" class="mt-3 btn btn-primary">
                    Upload
                  </button>
                </form>
              </div>
            </div>
          </div>
        </div>
        <!-- /Add User Modal -->
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>

    <!-- Select2 JS -->
    <script src="assets/js/select2.min.js"></script>

    <!-- Datetimepicker JS -->
    <script src="assets/js/moment.min.js"></script>
    <script src="assets/js/bootstrap-datetimepicker.min.js"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/lightgallery/2.7.2/lightgallery.min.js"></script>

    <!-- lightgallery plugins -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/lightgallery/2.7.2/plugins/thumbnail/lg-thumbnail.umd.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/lightgallery/2.7.2/plugins/zoom/lg-zoom.umd.min.js"></script>

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>
    <script>
      $(document).ready(function () {
        $(".special-box-btn").click(function () {
          $(".special").toggle();
        });
      });
    </script>

    <!-- Datatable JS -->
    <script src="assets/js/jquery.dataTables.min.js"></script>
    <script src="assets/js/dataTables.bootstrap4.min.js"></script>

    <script src="plugins/porfolio-filter/js/isotope.pkgd.js"></script>
    <script src="plugins/porfolio-filter/js/jquery.magnific-popup.js"></script>

    <script type="text/javascript">
      $(document).ready(function () {
        getServicesList();
        const uid = sessionStorage.getItem("user_id");
        fetch(
          "https://efflo.xyz/App/api.php?gofor=portfoliolist&user_id=" +
            uid
        )
          .then(function (response) {
            return response.json();
          })
          .then(function (data) {
            appendData(data);
            function appendData(data) {
              for (var i = 0; i < data.length; i++) {
                var galleryList =
                  '<a href="' +
                  data[i].imgname +
                  '" data-lg-size="500-300" data-service-id="' + data[i].service_id + '" style="padding:10px;">' +
                  '<img style="object-fit:cover;" alt="img2" width="200px" height="125px" src="' +
                  data[i].imgname +
                  '" />' +
                  "</a>";
                $("#lightgallery").append(galleryList);
              }
            }

            lightGallery(document.getElementById("lightgallery"), {
              plugins: [lgZoom, lgThumbnail],
              licenseKey: "test",
              speed: 500,
              // ... other settings
            });

            $(document).on("click", ".delete_user", (e) => {
              const lId =
                e.target.parentElement.getAttribute("data-portfolio-id");
              //alert(lId);
              Swal.fire({
                title: "Are you sure! want to delete?",
                text: "",
                icon: "warning",
                showCancelButton: true,
                confirmButtonColor: "#3085d6",
                cancelButtonColor: "#d33",
                confirmButtonText: "Yes",
              }).then((result) => {
                if (result.isConfirmed) {
                  $.ajax({
                    type: "GET",
                    url:
                      "https://efflo.xyz/App/api.php?gofor=portfoliodelete&portfolio_id=" +
                      lId,
                    success: function (data) {
                      window.location.reload();
                      setTimeout(() => {
                        showNotification("Deleted Successfully");
                      }, 2000);
                    },
                  });
                } //else {
                //Swal.fire('Changes are not saved', '', 'info')
                //}
              });
            });
          })
          .catch(function (err) {
            console.log("error: " + err);
          });

        $("#imgname").change(function (el) {
          var file = el.target.files[0];
          var reader = new FileReader();
          reader.onloadend = function () {
            const replaceBaseSrc = reader.result.split("base64,")[1];

            window.portfolioImage = replaceBaseSrc;
          };
          reader.readAsDataURL(file);
        });

        function uploadImage(postData) {
          $.ajax({
            type: "POST",
            url: "https://efflo.xyz/App/api.php",
            contentType: "application/json",
            cache: false,
            data: JSON.stringify(postData),
            success: function (data) {
              window.location.reload();
            },
            error: function (e) {
              console.log(e);
            },
          });
        }

        var imgUpload = document.getElementById("upload-img"),
          imgPreview = document.getElementById("img-preview"),
          imgUploadForm = document.getElementById("form-upload"),
          totalFiles,
          previewTitle,
          previewTitleText,
          img;

        var uploadedImages = [];
        var uploadPromises = [];
        imgUpload.addEventListener("change", previewImgs, true);

        imgUploadForm.addEventListener("submit", uploadImages, true);

        //convert img src to base64
        const getBase64 = (file) =>
          new Promise((resolve, reject) => {
            const reader = new FileReader();
            reader.readAsDataURL(file);
            reader.onload = () => resolve(reader.result);
            reader.onerror = (err) => reject(err);
          });
        //convert img src to base64

        function previewImgs(event) {
          totalFiles = imgUpload.files.length;

          if (!!totalFiles) {
            imgPreview.classList.remove("img-thumbs-hidden");
          }

          for (var i = 0; i < totalFiles; i++) {
            getBase64(event.target.files[i]).then((v) => {
              uploadedImages.push(v.split("base64,")[1]);
            });

            wrapper = document.createElement("div");
            wrapper.classList.add("wrapper-thumb");
            wrapper.setAttribute("data-id", i);
            removeBtn = document.createElement("span");
            nodeRemove = document.createTextNode("x");
            removeBtn.classList.add("remove-btn");
            removeBtn.appendChild(nodeRemove);
            img = document.createElement("img");
            img.src = URL.createObjectURL(event.target.files[i]);
            img.classList.add("img-preview-thumb");
            wrapper.appendChild(img);
            wrapper.appendChild(removeBtn);
            imgPreview.appendChild(wrapper);
          }

          $(".remove-btn").click(function (el) {
            let elementIndexToRemove = $(this)
              .parent(".wrapper-thumb")
              .attr("data-id");
            uploadedImages.splice(elementIndexToRemove, 1);
            $(this).parent(".wrapper-thumb").remove();
          });
        }
        function uploadImages(event) {
          event.preventDefault();
          uploadedImages.map((v) => {
            uploadPromises.push(uploadImagesApi(v));
          });

          //All file upload Success
          Promise.all(uploadPromises).then((values) => {
            window.location.reload();
          });
        }

        function uploadImagesApi(v) {
          return new Promise((resolve, reject) => {
            var postData = {
              gofor: "portfolio_photo_post_final",
              user_id: sessionStorage.getItem("user_id"),
              service_id: $("#service_id").val(),
              imgname: v,
            };

            $.ajax({
              type: "POST",
              url: "https://efflo.xyz/App/api.php",
              contentType: "application/json",
              cache: false,
              data: JSON.stringify(postData),
              success: function (data) {
                console.log(data);
                resolve("Success");
              },
              error: function (e) {
                console.log(e);
                reject("Failed");
              },
            });
          });
        }

        function getServicesList() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=serviceslist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#service_id");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.service_id +
                    "'>" +
                    this.service_name +
                    "</option>"
                );
              });
              var $filter_list = $(".filters");
              $.each(data, function (a, b) {
                $filter_list.append(
                  '<li class="btn btn-outline-dark text" data-filter=' +
                    this.service_id +
                    '">' +
                    this.service_name +
                    "</li>"
                );
              });
            },
          });
        }
        
        $('.btn-outline-dark').click((el) => {
            $('.filters .active').removeClass('active')
            el.target.classList.add('active');
            
            $('#lightgallery a').hide();
            if(el.target.getAttribute('data-filter') === '*') {
                $('#lightgallery a').show();
            } else {
                const servId = el.target.getAttribute('data-filter');
                $(`#lightgallery data-service-id=${servId}`).show();
            }
        })
      });
    </script>

    <?php include "common-script.php";?>
  </body>
</html>
