<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
  <?php include "meta-title.php"; ?>

  <!-- Favicon -->
  <link rel="shortcut icon" type="image/x-icon" href="assets/img/favicon.png">

  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="assets/css/bootstrap.min.css">

  <!-- Fontawesome CSS -->
  <link rel="stylesheet" href="assets/css/font-awesome.min.css">

  <!-- Lineawesome CSS -->
  <link rel="stylesheet" href="assets/css/line-awesome.min.css">

  <!-- Datatable CSS -->
  <link rel="stylesheet" href="assets/css/dataTables.bootstrap4.min.css">

  <!-- Select2 CSS -->
  <link rel="stylesheet" href="assets/css/select2.min.css">

  <!-- Datetimepicker CSS -->
  <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css">

  <!-- Main CSS -->
  <link rel="stylesheet" href="assets/css/style.css">

  <link rel="stylesheet" href="assets/css/vendor.css">

  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
			<script src="assets/js/html5shiv.min.js"></script>
			<script src="assets/js/respond.min.js"></script>
		<![endif]-->
</head>

<body>
  <!-- Main Wrapper -->
  <div class="main-wrapper">

    <!-- Header -->
    <?php include "header.php"; ?>
    <!-- /Header -->

    <!-- Sidebar -->
    <?php include "sidebar.php"; ?>
    <!-- /Sidebar -->

    <!-- Page Wrapper -->
    <div class="page-wrapper">

      <!-- Page Content -->
      <div class="content container-fluid">

        <!-- Page Header -->
        <div class="page-header">
          <div class="row align-items-center">
            <div class="col">
              <h3 class="page-title">Billing</h3>
              <ul class="breadcrumb">
                <li class="breadcrumb-item"><a href="dashboard.php">Dashboard</a></li>
                <li class="breadcrumb-item active">Billing</li>
              </ul>
            </div>
            <div class="col-auto float-right ml-auto">

              <div class="circle-btn">
                <a href="#" data-toggle="modal" data-target="#add_client">
                  <div class="circle-container">
                    <div class="circle-div">+</div>
                  </div>
                </a>
              </div>
            </div>
          </div>
        </div>
        <!-- /Page Header -->

        <div class="row mt-3">
          <div class="col-md-12">
            <div class="table-responsive">
              <table class="table table-striped table-nowrap custom-table mb-0">
                <thead>
                  <tr>
                    <th>#</th>
                    <th>Date</th>
                    <th>Discount</th>
                    <th>Total</th>
                    <th>Advance</th>
                    <th>Due</th>
                    <th>Notes</th>
                    <th>Status</th>
                    <th class="text-right">Action</th>
                  </tr>
                </thead>
                <tbody>

                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
      <!-- /Page Content -->

      <!-- Add User Modal -->
      <div id="add_client" class="modal custom-modal fade" role="dialog">
        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title text-right">Add Billing</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <form id="addForm">
                <div class="row">
                  <div class="col-md-6">
                    <div class="form-group">
                      <label>Date <span class="text-danger">*</span></label>
                      <div class="cal-icon">
                        <input class="form-control datetimepicker" type="text" id="date" name="date">
                      </div>
                    </div>
                  </div>

                  <div class="col-md-6 billing-id-group">
                    <div class="form-group">
                      <label>Billing Id <span class="text-danger">*</span></label>
                      <input class="form-control" type="text" readonly id="estid" />
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-12 col-sm-12">
                    <div class="table-responsive">

                      <table id="GRNTable1" class="table table-hover table-white">
                        <thead>
                          <tr>
                            <th class="col-md-5">Products</th>
                            <th class="col-md-5">Qty</th>
                            <th>Amount</th>
                            <th></th>
                          </tr>
                        </thead>
                        <tbody>
                          <tr>
                            <td>
                              <select class="form-control" style="min-width: 150px" id="col1">
                                <option value="">Please Select</option>
                              </select>
                            </td>
                            <td>
                              <input class="form-control" type="text" style="min-width: 150px" id="col2" />
                            </td>
                            <td>
                              <input class="form-control amount" style="width: 100px" type="text" id="col3" />
                            </td>

                            <td style="padding-top: 20px">
                              <a href="javascript:void(0)" class="text-success font-18" title="Add" onclick="insRow()"><i class="fa fa-plus"></i></a>&nbsp;&nbsp;<a href="javascript:void(0)" class="text-danger font-18" title="Remove" onclick="deleteRow(this)"><i class="fa fa-trash-o"></i></a>
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </div>
                    <div class="table-responsive">
                      <table class="table table-hover table-white">
                        <tbody>
                          <tr>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td class="text-right">Total</td>
                            <td style="
													text-align: right;
													padding-right: 30px;
													width: 230px;
												  ">
                              <input class="form-control text-right" readonly type="text" id="total" />
                            </td>
                          </tr>
                          <tr>
                            <td colspan="5" class="text-right">Discount %</td>
                            <td style="
													text-align: right;
													padding-right: 30px;
													width: 230px;
												  ">
                              <input class="form-control discount text-right" type="text" id="discount" name="discount" value="0" />
                            </td>
                          </tr>
                          <tr>
                            <td colspan="5" style="text-align: right; font-weight: bold">
                              Grand Total
                            </td>
                            <td style="
													text-align: right;
													padding-right: 30px;
													font-weight: bold;
													font-size: 16px;
													width: 230px;
												  ">
                              <input class="form-control text-right" readonly type="text" id="grandtotal" name="total" />
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-6">
                    <div class="form-group">
                      <label class="col-form-label">Advance Payment<span class="text-danger">*</span></label>
                      <input class="form-control" type="text" name="advance" id="advance" />
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div class="form-group">
                      <div class="form-group">
                        <label class="col-form-label">Pending Amount <span class="text-danger">*</span></label>
                        <input class="form-control" type="text" name="due" id="due" />
                      </div>
                    </div>
                  </div>
                  <div class="col-md-12">
                    <div class="form-group">
                      <label>Notes</label>
                      <textarea class="form-control" rows="4" name="notes" id="notes"></textarea>
                    </div>
                  </div>
                </div>

                <div class="submit-section">
                  <div class="col-md-12 text-right">

                    <button class="btn btn-danger submit-btn">Submit</button>
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
      <!-- /Add User Modal -->

      <!-- Toast -->
      <div class="toast" role="alert" aria-live="assertive" aria-atomic="true" data-delay="2000" style="position: absolute; top: 5rem; right: 1rem;">
        <div>
          <strong class="mr-auto toast-header"></strong>
          <button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="toast-body"></div>
      </div>
      <!-- /Toast -->



      <!-- Delete User Modal -->
      <div class="modal custom-modal fade" id="delete_user" role="dialog">
        <div class="modal-dialog modal-dialog-centered">
          <div class="modal-content">
            <div class="modal-body">
              <div class="form-header">
                <h3>Delete User</h3>
                <p>Are you sure want to delete?</p>
              </div>
              <div class="modal-btn delete-action">
                <div class="row">
                  <div class="col-6">
                    <a href="javascript:void(0);" class="btn btn-primary continue-btn">Delete</a>
                  </div>
                  <div class="col-6">
                    <a href="javascript:void(0);" data-dismiss="modal" class="btn btn-primary cancel-btn">Cancel</a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- /Delete User Modal -->

    </div>
    <!-- /Page Wrapper -->

  </div>
  <!-- /Main Wrapper -->

  <!-- jQuery -->
  <script src="assets/js/jquery-3.5.1.min.js"></script>

  <!-- Bootstrap Core JS -->
  <script src="assets/js/popper.min.js"></script>
  <script src="assets/js/bootstrap.min.js"></script>

  <!-- Slimscroll JS -->
  <script src="assets/js/jquery.slimscroll.min.js"></script>

  <!-- Select2 JS -->
  <script src="assets/js/select2.min.js"></script>

  <!-- Datetimepicker JS -->
  <script src="assets/js/moment.min.js"></script>
  <script src="assets/js/bootstrap-datetimepicker.min.js"></script>

  <!-- Datatable JS -->
  <script src="assets/js/jquery.dataTables.min.js"></script>
  <script src="assets/js/dataTables.bootstrap4.min.js"></script>

  <!-- Custom JS -->
  <script src="assets/js/app.js"></script>


  <script>
    function deleteRow(row) {
      var x = document.getElementById("GRNTable1");
      var len = x.rows.length;
      var i = row.parentNode.parentNode.rowIndex;
      if (i == len - 1)
        if (i != 1) document.getElementById("GRNTable1").deleteRow(i);
        else alert("Must have one row");
      else alert("Delete last rows first");
    }

    function insRow() {
      var cloneRow = $("#GRNTable1 tr").last().clone();
      cloneRow.find(":input").val("");

      $("#GRNTable1 tr").last().after(cloneRow);
    }
    var storeData = "";
    var actionType = "addstores";
    var storeId = "";
    $(document).ready(function() {
      $('.billing-id-group').hide()
      var productList;
      getProductList();

      const uid = sessionStorage.getItem("user_id");
      var table = $(".custom-table tbody");
      $.ajax({
        type: "GET",
        url: "https://efflo.xyz/App/api.php?gofor=storeslist&user_id=" +
          uid,
        success: function(data) {
          table.empty();
          storeData = data;
          $.each(data, function(a, b) {
            let spanData = "";
            if (b.status === "1") {
              spanData =
                '<span class="badge bg-inverse-success">Active</span>';
            }
            if (b.status === "0") {
              spanData =
                '<span class="badge bg-inverse-danger">Inactive</span>';
            }

            const packageServices = [];
            if (productList && b.store_products) {
              b.store_products.map(p => {
                const mapProduct = productList.find(s => s.product_id === p.product)
                if (mapProduct) {
                  packageServices.push(mapProduct.product_name)
                }
              })
            }

            table.append(
              "<tr><td>" +
              (a + 1) +
              "</td>" +
              "<td>" +
              b.date +
              "</td>" +
              "<td>" +
              b.discount +
              "</td>" +
              "<td>" +
              b.total +
              "</td>" +
              "<td>" +
              b.advance +
              "</td>" +
              "<td>" +
              b.due +
              "</td>" +
              "<td>" +
              b.notes +
              "</td>" +
              "<td>" +
              spanData +
              "</td>" +
              '<td class="text-right"><span class="text-danger delete_user" data-store-id="' +
              b.store_id + '"><i class="sl-icon-trash fa-lg m-r-5"></i></span><span class="text-success edit_user" data-store-id="' + b.store_id + '"><i class="sl-icon-note fa-lg m-r-5"></i></span></td></tr>'
            );
          });

          //   $('.custom-table').DataTable();
          $(document).on("click", ".edit_user", (e) => {
            $('.billing-id-group').show()
            actionType = "editstores";
            $('.modal-title').text('Edit Store');
            storeId =
              e.target.parentElement.getAttribute("data-store-id");
            selectedstoreData = storeData.find(
              (l) => l.store_id === storeId.toString()
            );

            selectedstoreData.store_products.map((s, i) => {
              if (i === 0) {
                $("#GRNTable1 tr").last().find("select").val(s.product)
                $("#GRNTable1 tr").last().find("td").eq(1).find("input").val(s.quantity)
                $("#GRNTable1 tr").last().find("td").eq(2).find("input").val(s.amount)
              } else {
                var cloneRow = $("#GRNTable1 tr").last().clone();
                cloneRow.find(":input").val("");

                $("#GRNTable1 tr").last().after(cloneRow);

                //prefill values
                $("#GRNTable1 tr").last().find("select").val(s.product)
                $("#GRNTable1 tr").last().find("td").eq(1).find("input").val(s.quantity)
                $("#GRNTable1 tr").last().find("td").eq(2).find("input").val(s.amount)
              }
            })

            var entries = Object.entries(selectedstoreData);
            for ([key, value] of entries) {
              if (
                key !== "user_id" &&
                key !== "store_id" &&
                value !== "" &&
                key !== "created_date" &&
                key !== "modified_date"
              ) {
                $("[name=" + key + "]").val(value);
              }
            }
            
            if(selectedstoreData.discount > 0) {
              var deduction = (selectedstoreData.total * selectedstoreData.discount) / 100;
              var remainingAmount = selectedstoreData.total - deduction;
              $("#grandtotal").val(remainingAmount);
            } else {
              $("#grandtotal").val(grandTotal);
            }
            
            $('#total').val(selectedstoreData.total)
            $('#discount').val(selectedstoreData.discount)
            $("#add_client").modal("show");
          });
        },
        error: function(e) {
          $("#output").text(e.responseText);
          console.log("ERROR : ", e);
        },
      });

      $(document).on("change", ".amount", function() {
        var grandTotal = 0;
        $("#GRNTable1 tbody tr").map(function() {
          var $row = $(this);
          grandTotal += Number($row.find("td").eq(2).find("input").val());
        });
        $("#total").val(grandTotal);
        var disc = $("#discount").val();
        if(disc > 0) {
          var deduction = (grandTotal * disc) / 100;
          var remainingAmount = grandTotal - deduction;
          $("#grandtotal").val(remainingAmount);
        } else {
          $("#grandtotal").val(grandTotal);
        }
      });

      $(document).on("change", "#discount", function() {
        var grandTotal = 0;
        $("#GRNTable1 tbody tr").map(function() {
          var $row = $(this);
          grandTotal += Number($row.find("td").eq(2).find("input").val());
        });
        $("#total").val(grandTotal);
        var disc = $("#discount").val();
        if(disc > 0) {
          var deduction = (grandTotal * disc) / 100;
          var remainingAmount = grandTotal - deduction;
          $("#grandtotal").val(remainingAmount);
        } else {
          $("#grandtotal").val(grandTotal);
        }
      });

      $("#addForm").submit(function(e) {
        e.preventDefault();
        const uid = sessionStorage.getItem("user_id");
        
        var postData = {
          gofor: actionType,
          user_id: uid,
          date: $('[name="date"]').val(),
          discount: $("#discount").val(),
          total: $("#grandtotal").val(),
          advance: $("#advance").val(),
          due: $("#due").val(),
          notes: $("#notes").val(),
          status: "1",
          store_products: [],
        };

        

        if (actionType === 'editstores') postData.store_id = selectedstoreData.store_id;

        $('#GRNTable1 tbody tr').each(function(index, element) {
          postData.store_products.push({
            "product_id": $(element).find('#col1').val(),
            "quantity": $(element).find('#col2').val(),
            "amount": $(element).find('#col3').val(),
            store_id: (actionType === 'editstores') ? selectedstoreData.store_id : undefined
          })
        });
        addStores(postData);
      });

      function addStores(postData) {
        return $.ajax({
          type: "POST",
          url: "https://efflo.xyz/App/api.php",
          contentType: "application/json",
          cache: false,
          data: JSON.stringify(postData),
          success: function(data) {
            console.log(data);
            window.location.reload();
          },
          error: function(e) {
            console.log(e);
          },
        });
      }


      function getProductList() {
        return $.ajax({
          type: "GET",
          url: "https://efflo.xyz/App/api.php?gofor=productslist&user_id=" +
            sessionStorage.getItem("user_id"),
          success: function(data) {
            $dropdown = $("#col1");
            productList = data;
            $.each(data, function(index, product) {
              $dropdown.append(
                "<option value='" +
                product.product_id +
                "'>" +
                product.product_name +
                "</option>"
              );
            });
          },
        });
      }

      //reset form on modal close
      $("#add_client").on("hidden.bs.modal", function() {
        $(this).find("form").trigger("reset");
        actionType = "addstores";
        $('.modal-title').text('Add Stores');
        $('.billing-id-group').hide()
      });
    });
  </script>

  <?php include "common-script.php"; ?>
</body>

</html>