<?php
$page_name = "content_management";
?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <?php include "meta-title.php";?>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />

    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />

    <!-- Tagsinput CSS -->
    <link
      rel="stylesheet"
      href="assets/plugins/bootstrap-tagsinput/bootstrap-tagsinput.css"
    />

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />

    <link rel="stylesheet" href="assets/css/vendor.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->

      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row">
              <div class="col-sm-12">
                <h3 class="page-title">Terms</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Terms</li>
                </ul>
              </div>
            </div>
          </div>
          <!-- /Page Header -->

          <div class="card mb-0">
            <div class="card-body">
              <div class="row">
                <div class="col-md-12">
                  <div class="profile-view staff-grid-row">
                    <form id="addForm">
                      <div class="row">
                        <div class="col-md-12">
                          
                          <div class="row">
                            <div class="col-md-12">
							  <input type="hidden" name="term_id" id="term_id"/>
                              <div class="form-group">
                                <label>Terms</label>
                                <textarea
                                  type="text"
                                  class="form-control"
                                  name="terms" style="height:350px"
                                ></textarea>
                              </div>
                            </div>
                            
                            
                          </div>
                        </div>
                      </div>

                      <div class="submit-section">
                        <button class="btn btn-primary submit-btn">
                          Submit
                        </button>
                      </div>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- /Page Content -->
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>

    <!-- Select2 JS -->
    <script src="assets/js/select2.min.js"></script>

    <!-- Datetimepicker JS -->
    <script src="assets/js/moment.min.js"></script>
    <script src="assets/js/bootstrap-datetimepicker.min.js"></script>

    <!-- Tagsinput JS -->
    <script src="assets/plugins/bootstrap-tagsinput/bootstrap-tagsinput.min.js"></script>

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>

    <script>
      
      
      
      $(document).ready(function () {
        const uid = sessionStorage.getItem("user_id");
        var table = $(".staff-grid-row");
		$.ajax({
          type: "GET",
          url:
            "https://efflo.xyz/App/api.php?gofor=termslist&user_id=" +
            uid,
          success: function (data) {
			  $.each(data, function (a, b) {
				  //alert(b.term_id);
				  $("[name='term_id']").val(b.term_id);
			  });
          },
          error: function (e) {
            $("#output").text(e.responseText);
            console.log("ERROR : ", e);
          },
        });
        $.ajax({
          type: "GET",
          url:
            "https://efflo.xyz/App/api.php?gofor=termssingle&user_id=" +
            uid,
          success: function (data) { 
         
            $("[name='terms']").val(data.terms);
            
          },
          error: function (e) {
            $("#output").text(e.responseText);
            console.log("ERROR : ", e);
          },
        });

        $(".submit-btn").click((e) => {
          e.preventDefault();		  
          // Get form
          var form = $("#addForm")[0];
		  if ($("input[name='term_id']").val() == "") {
			  var actionType = "addterms";
		  } else {
			  var actionType = "editterms";
		  }
          var data = {
            gofor: actionType,			
            terms: $("[name='terms']").val(),
			user_id: sessionStorage.getItem('user_id'),
			status: 1,
          };
			
          var jsonData = JSON.stringify(data);
		  //alert(jsonData);
          $.ajax({
            type: "POST",
            enctype: "multipart/form-data",
            url: "https://efflo.xyz/App/api.php",
            data: jsonData,
            processData: false,
            contentType: false,
            cache: false,
            success: function (data) {
              window.location.reload();
              setTimeout(() => {
                $(".toast-header strong").text("Added");
                $(".toast-body").text("user Added Successfully");
                $(".toast").toast("show");
              }, 1000);
            },
          });
        });

        
      });
    </script>
    <?php include "common-script.php";?>
  </body>
</html>
