<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <?php include "meta-title.php";?>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />

    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />

    <link rel="stylesheet" href="assets/css/vendor.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->

      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row align-items-center">
              <div class="col">
                <h3 class="page-title">Vendors</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Vendors</li>
                </ul>
              </div>
              <div class="col-auto float-right ml-auto">
                <div class="circle-btn">
                  <a href="#" data-toggle="modal" data-target="#add_client"
                    ><div class="circle-container">
                      <div class="circle-div">+</div>
                    </div></a
                  >
                </div>
              </div>
            </div>
          </div>
          <!-- /Page Header -->

          <div class="card mb-0">
            <div class="card-body">
              <div class="row">
                <div class="col-md-12">
                  <div class="profile-view">
                    <div class="row">
                      <div class="col-md-12">
						<h4 class="" style="color:#000;margin-left:20px">General:</h4>
                        <ul style="margin-left:20px;" class="personal-info"></ul>
                        <div class="table-responsive mt-5">
						  <h4 class="" style="color:#000;margin-left:20px">Services:</h4>
                          <table id="vendorServiceTable" class="table table-nowrap custom-table mb-0">
                            <thead>
                              <tr>
                                <th>Service</th>
                                <th>Amount</th>
                              </tr>
                            </thead>
                            <tbody>
                              <!-- Table body will be populated dynamically using jQuery -->
                            </tbody>
                          </table>
                        </div>
                      </div>
                    </div>
                    <!-- <div class="pro-edit">
                      <a
                        data-target="#profile_info"
                        data-toggle="modal"
                        class="edit-icon"
                        href="#"
                        ><i class="fa fa-pencil"></i
                      ></a>
                    </div> -->
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/select2.min.js"></script>

    <!-- Datetimepicker JS -->
    <script src="assets/js/moment.min.js"></script>
    <script src="assets/js/bootstrap-datetimepicker.min.js"></script>

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>

    <script>
      $(document).ready(function () {
        var url_str = $(location).attr("href");
        var url = new URL(url_str);
        var search_params = url.searchParams;
        var vendor_id = url.searchParams.get("vid");

        $.ajax({
          type: "GET",
          url:
            "https://efflo.xyz/App/api.php?gofor=vendorslist&vendor_id=" +
            vendor_id,
          success: function (data) {
            var vendorData = Object.entries(data);
            const wrapper = $(".personal-info");

            for ([key, value] of vendorData) {
              if (
                key !== "vendor_service" &&
                key !== "vendor_id" &&				
                key !== "user_id" &&
				key !== "created_date" &&
				key !== "modified_date" &&
                key !== "status"
              ) {
                wrapper.append(`
                  <li>
                    <div class="title" style="text-transform:capitalize">${key} </div>
                    <div class="text">: ${value}</div>
                  </li>
                `);
              }

              if (key === "vendor_service") {
                var tbody = $("#vendorServiceTable tbody");

                // Clear existing rows
                tbody.empty();

                // Iterate over the JSON data and append rows to the tbody
                $.each(value, function (index, item) {
                  var row =
                    "<tr>" +
                    "<td>" +
                    item.service +
                    "</td>" +
                    "<td>" +
                    item.amount +
                    "</td>" +
                    "<td>" +
                    "</tr>";

                  tbody.append(row);
                });
              }
            }
          },
        });
      });
    </script>

    <?php include "common-script.php";?>
  </body>
</html>
